2011-11-01  Petr Mladek  <pmladek@suse.cz>  [1277520c28e73cead1067d5bbff78b482ca6c09f]

Version 3.4.4.2, tag libreoffice-3.4.4.2 (3.4.4-rc2)


2011-11-01  David Tardon  <dtardon@redhat.com>  [9f55aac9e3e8f96249d23d392c553afe56f6411d]

this is definitely not present in Qt 4.8.0 beta1

Signed-off-by: Thorsten Behrens <tbehrens@suse.com>
Signed-off-by: Tomáš Chvátal <scarabeus@gentoo.org>
Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-10-31  Tomofumi Yagi  <yagit@mknada.sakura.ne.jp>  [a38d5a3381555f1fd5e9afb1e3be1efd70a06bbc]

fdo#37129: Fix the drawing of dotted and dashed borders in Calc.

Signed-off-by: Kohei Yoshida <kohei.yoshida@suse.com>
Signed-off-by: Petr Mladek <pmladek@suse.cz>
Signed-off-by: Cedric Bosdonnat <cedric.bosdonnat.ooo@free.fr>

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [9a9bbf2bf071dbcdeebd782265fb8c356c2aabe0]

Branch libreoffice-3-4-4

This is 'libreoffice-3-4-4' - the stable branch for the 3.4.4 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [63980c2658d69cbad8756b54ef6119536a009f62]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-10-24  julien2412  <serval2412@yahoo.fr>  [ee26becc4a5690840fd3181b71d293340853b58e]

activation order crashes address database (fdo#41022)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-10-21  Luboš Luňák  <l.lunak@suse.cz>  [4c2b93d96689f62c24ebdb2d4e87ac08d51ed53a]

let Qt call XInitThreads(), so that it knows it's been called (fdo#40298)

Otherwise QPixmap complains when used outside of the main Qt thread
and resets itself to null pixmap, eventually leading to crashes.

Signed-off-by: Tomáš Chvátal <tchvatal@suse.cz>

2011-10-20  Martin Hosken  <martin_hosken@sil.org>  [79801abff2e4764471a7b328f9150fe4feafe61f]

Upgrade graphite to 1.0.3 fix surrogate support

Signed-off-by: Michael Meeks <michael.meeks@suse.com>

2011-10-05  Caolán McNamara  <caolanm@redhat.com>  [18744f661be29d5f41421c5b71b2434097e8ef4c]

help gcc 4.6.1 out with ambiguity


2011-09-27  Radek Doulik  <rodo@novell.com>  [b3d61e7991192986dcd7103d3c86ee50f8425504]

fix crash when changing screen resolution

 - m_aXineramaScreenIndexMap in GtkSalDisplay was shadowing
   the same field in SalDisplay, which led to crash in saldisp.cxx
   code in SalDisplay::addXineramaScreenUnique

Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>>

2011-09-02  Radek Doulik  <rodo@novell.com>  [cd19349339135af876d3c484813738c39a175a42]

make sure we stay in array bounds

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-08-16  Petr Mladek  <pmladek@suse.cz>  [b059b524f01f6477605ea19cfaeb07df2d47053c]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-08-05  Caolán McNamara  <caolanm@redhat.com>  [199d9667d159f0b37490e15c1972788de2727cb1]

drop SkipNumberFormatterInStream


2011-08-05  Eike Rathke  <ooo@erack.de>  [14a83b892ead65acf16d566e2b69c2e8dd75d617]

Fix fdo#38956 discarding bracketed prefixes in number formats, such as [RED]

* Fixed discarding of prefixes.
* Fixed the broken handling of Thai calendar and numerals speciality.
* Added bits to actually display a format with embedded LCID in the dialog if
  the LCID doesn't match the currently viewed locale.
(cherry picked from commit fbe916fd7dc7ba22b8652bc0c5b8a0d9cb15cc9d)

Conflicts:

	svl/inc/svl/zforlist.hxx
	svl/source/numbers/zformat.cxx

2011-08-01  Eike Rathke  <ooo@erack.de>  [9ee1d8454294375954c8407943ce64b09b573789]

Removed Kabyle language entry.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-08-01  Eike Rathke  <ooo@erack.de>  [bc5ab2983ccb6cbccffb994bf2672fb9ae32b572]

fix Kabyle_Algeria [kab_DZ] absent currency symbol.

* In locale data replaceTo must not be empty if replaceFrom isn't.
+ Also added check to locale data compiler to prevent this in future.
* Fixed a currency format's group separator.
* Marked LANGUAGE_USER_KABYLE (0x0659) obsolete as LANGUAGE_TAMAZIGHT_LATIN
  (0x085F) is used instead, actually commit
  909c9aa4550a068513300bc3e899c0466d9287b4 crossed
  b51eaf4c5083ec35366d18c522a7dd50f9c9b3c0
- Removed the corresponding duplicated entry from langtab.src.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-26  Andras Timar  <atimar@novell.com>  [cf6eb7aca7dff8103b2419121d5f876728bb32bd]

change 97/XP/2000 to 97/XP/2000/2003 - fdo#36734

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-26  Andras Timar  <atimar@novell.com>  [ed288dd607d68a3b0b30e0e7dc1f39e6127ea123]

change SV_BUTTONTEXT_LESS from More to Less - fdo#36663

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-26  Andras Timar  <atimar@suse.com>  [e410b2f8cca61f167e0f36117e765e0030860da3]

add Teke-Eboo language - fdo#37275

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-25  Caolán McNamara  <caolanm@redhat.com>  [0c94a18a0020c2f54ad3284edd25cfb64d34bed7]

EMF+ records don't need payload all the time

Fix for fdo#39517. Looking through the emf+ records, it looks like the
assumption made that the minimum valid record length is 12 + non-0
length payload isnt' right, looks like that the minimum valid record
length is just 12, i.e. no need for a payload.

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-07-20  Andras Timar  <atimar@suse.com>  [db2278e2adbbd6584782216818e9d0e3746547d7]

add gd_GB (Gaelic, Scottish) locale data #i117857#

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-07-19  Petr Mladek  <pmladek@suse.cz>  [4d046c6a2e0276f7944dcb12f007b1e9ce10a154]

fix typo in the last commit

scriptListCount should get initialized by scriptList variable

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-07-19  Caolán McNamara  <caolanm@redhat.com>  [079bbde52d6a136f55957c40b7f8d536a6c16065]

Resolves: fdo#38095 half&full width forms need to remain asian

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-07-12  Petr Mladek  <pmladek@suse.cz>  [dbcedbc7b7747f852af163428a1de39d0fbf077d]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-12  Radek Doulik  <rodo@novell.com>  [f143e7cf1ceaf7526fc95ca70ad95b4458d52225]

fix set color regression in cairo canvas

 - the cairo_set_source_rgba should be called with non-alpha-pre-multiplied
   color values
 - fixes fdo#33591 and fdo#35681

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-07-12  Radek Doulik  <rodo@novell.com>  [24016c09cb9ccab425a3cebd1cbdf0023a502ffa]

fix regression in SvGlobalName::operator <

 - it was comparing wrong parts and ommiting part of ID's, resulting
   in wrong results and thus ::std::map didn't work well with default
   less compare function of it's keys
 - fixes fdo#32709
(cherry picked from commit 345dc7961bc142f167a1b8e5f43f4439e8234f06)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-07-08  Caolán McNamara  <caolanm@redhat.com>  [74b48022853b3141b8c2d421eec5b59fbc35d93f]

handle busted emf lengths (cherry picked from commit 2b15986b1452f47f93ffc25d2ffcc52d347d5581)


2011-07-08  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [b74f2e0c4ff7a0f8a0b5c031825aef7a7d211daf]

fdo#38963: crash in number format dialog

Signed-off-by: Katarina Machalkova <kmachalkova@novell.com>

2011-07-07  Katarina Machalkova  <kmachalkova@novell.com>  [1d66d2233cc4b458d3ad3bdad8682828f5fb321a]

Duplicate entries in Directory definition are no longer treated as errors

Fixes a problem where cetain XLS documents open as blank in
LibreOffice.

Described in the non-public bnc#682484.

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-07-07  Caolán McNamara  <caolanm@redhat.com>  [3e89e510bf9974f75a81baf13dc59f6e137ec9a9]

Related: #i46388# busted ole2 wrapper

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-06-29  Caolán McNamara  <caolanm@redhat.com>  [30d4566c9685c091d08867adeb147a1cb2070c9e]

Related: fdo#38704 make simpleMapNativeRoleFrom::accessibleContext safer (cherry picked from commit 5efca1417e430a0f1ba169638955d3b5cf921dde)


2011-06-28  Radek Doulik  <rodo@novell.com>  [c9eaa03dac70bde19f17381dc1d993379b8c34cc]

do not set minimal size for fullscreen windows

 - otherwise they cannot shrink when downsizing resolution of the screen

2011-06-28  Radek Doulik  <rodo@novell.com>  [7cd035c10c000565361594119318eab1e5d9f6c1]

make sure we send resize event to fullscreen windows

 - this fixes regression of i#86302 fix. it happens when screen is resized
   (by xrandr for example) and the fullscreen windows are not notified
   about their size change, because they don't have sizeable style set

2011-06-28  Radek Doulik  <rodo@novell.com>  [8837e1b9668410f9de3ad55e8bc5cf369ea9d94c]

fix condition for compositing surface refresh

  - fixes problems on slideshow window shrinking

2011-06-23  Caolán McNamara  <caolanm@redhat.com>  [5263052d3261c4fff45120d568c947e30987d6df]

Resolves: fdo#33509 Context menu in spellcheck in RTL UI closes too early (cherry picked from commit 485b6dc95fe783ef3bb9bbe1ae2f65fe04edc926)


2011-06-14  Petr Mladek  <pmladek@suse.cz>  [5eaff8456878a03f5c45187493c6b6d9bb867952]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-06-10  Radek Doulik  <rodo@novell.com>  [147671396ba2576f8814395f26e2112090b76911]

make the renderer component point to the right shared library

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-06-10  Radek Doulik  <rodo@novell.com>  [8b0f95253f517c015ff0c4d0b8534ea81d4c0e8d]

added mtfrenderer component


2011-06-10  Radek Doulik  <rodo@novell.com>  [804351ed11c19a20e5c65ad208ac8d0cb189cc9a]

make the debug build work again

Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2011-06-09  Caolán McNamara  <caolanm@redhat.com>  [561dc7adb28467815dba1753a0338dfbb1f01677]

Resolves: fdo#37668 bitwise operations on signed numbers


2011-05-24  Michael Meeks  <michael.meeks@novell.com>  [125a64ce0a9fb96093b42e9960b8dd9cd17a3367]

revert previous patch for now.


2011-05-24  Lucas Baudin  <xapantu@gmail.com>  [dd6e9386b157fb2e9fca4ffb4c69ebfc069ccf90]

Fix some visual glitch with GTK+

- Fix separators, they weren't properly aligned, and they didn't use
  gtk_paint_box when needed some gtk themes/engine draw lines with box ^^
  (for 3d appearance for instance)
- Fix pressed toolbar buttons state: it wasn't drawn correctly
- Fix toolbar buttons background: window background was paint, but the
  background was the toolbar, so, now, the background of the toolbar is paint
- Use gtk_paint_box instead of gtk_paint_flat_box for buttondefault, it wasn't
  correct and caused some weird things in the corners
- Code cleanup: remove a function call which set the widgets flags, it is
  useless (and could cause some segfaults) since we must specify widget state
  and shadow in gtk_paint_(flat_)box).
- Code cleanup: remove duplicated code, toolbar button are now drawn using the
  same function as normal buttons

2011-05-20  Kohei Yoshida  <kyoshida@novell.com>  [6a5fc45bb00dbe99b257be2aa5a81deeb6ced1ca]

fdo#36690: Don't broadcast setting changes during painting of button.

Calling SetSettings() when the output device is Window causes it to
broadcast data change.  PushButton::Draw() in fact calls this method
when the button contains colors, which ends up broadcasting its change
via Window::DataChanged call.  But depending on the output device
this DataChanged call may end up painting it again, which basically
causes a recursive loop.

The solution is to make sure OutputDevice::SetSettings() is called ( which only
 changes the settings without doing anything else ) and *not* and derived
classes 'SetSettings()' method

Signed-off-by: Noel Power <noel.power@novell.com>

2011-05-20  Noel Power  <noel.power@novell.com>  [f71529593fc6e16554602638d100d02ac03bee75]

Revert "fdo#36690: Don't broadcast setting changes during painting of button."

This reverts commit 829d4abd5eda9b03c5d4518f43efc4444bc63935.

2011-05-20  Lucas Baudin  <xapantu@gmail.com>  [fc1301e5940dbb38ed10719f87b44848f0aa65db]

Fix a bug about presssed button state (fdo#36613)

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-05-20  Noel Power  <noel.power@novell.com>  [829d4abd5eda9b03c5d4518f43efc4444bc63935]

fdo#36690: Don't broadcast setting changes during painting of button.

Calling SetSettings() when the output device is Window causes it to
broadcast data change.  PushButton::Draw() in fact calls this method
when the button contains colors, which ends up broadcasting its change
via Window::DataChanged call.  But depending on the output device
this DataChanged call may end up painting it again, which basically
causes a recursive loop.

The solution is to make sure OutputDevice::SetSettings() is called ( which only
 changes the settings without doing anything else ) and *not* and derived
classes 'SetSettings()' method

Signed-off-by: Noel Power <noel.power@novell.com>

2011-05-19  Cédric Bosdonnat  <cedric.bosdonnat.ooo@free.fr>  [30428e1b7088df9b61a18c9b47557669cb542622]

fdo#36615: Fixed the prefix recognition in URLs... that list is sorted.


2011-05-18  Michael Meeks  <michael.meeks@novell.com>  [eaccbc2c2c81341a6eaf71dc59fba95a9e13051e]

fix gtk FMR on shutdown - fdo#37302

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-05-17  Petr Mladek  <pmladek@suse.cz>  [2a3fc4a5782c6712845a74672663106014ec3f0e]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-16  Jan Holesovsky  <kendy@suse.cz>  [b9859b83c5d5bd4da3acd9d0abf08b0b2ac5bdf0]

Fix crash in WMF import - fdo#36991.

(cherry picked from commit c4361c93de2b9661d59bc4aa799dffea7ad579e2)

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-05-11  Katarina Machalkova  <kmachalkova@suse.cz>  [8d08e19822871afc0f4c82b13ea3111b5f62f553]

Fix for fdo#36673: corrupt date formats of cells

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-05-10  Petr Mladek  <pmladek@suse.cz>  [653b2c909600ad77ed87a6e70f6d7a6424f6f0e9]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-10  Jan Holesovsky  <kendy@suse.cz>  [38e6007f56087bd5261d76f1b2ccad785f382e00]

wikihelp: Pass the LibreOffice version to help.libreoffice.org.


2011-05-10  Michael Meeks  <michael.meeks@novell.com>  [e39ce42790f1a5e99a2d41edb71976b94d12b992]

fix crash with out of bound accelerater vector access fdo#36802


2011-05-09  Thorsten Behrens  <tbehrens@novell.com>  [f8aa9663aeba8b9227ae197eb964ad2c64f943f1]

Fix non-changeability of UI locale

Enabled commented-out code, that actually permits changing the ui
locale without having to go through configuration.

This permits forcing en-us locale from the unit tests (which don't
have a working config)

2011-05-06  Thorsten Behrens  <tbehrens@novell.com>  [0688b0d86b21374bcf6eba2e252df97924d337e1]

Fix dbglevel=2 build


2011-05-05  Michael Meeks  <michael.meeks@novell.com>  [c668119c3303a9ef6f09dfc5a74f5314aecd188d]

bug 36262 - undo BrOffice branding work


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [c7fd3c56fffbf3da6b8602682a5ad38a75fc20ed]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-05-02  Tor Lillqvist  <tlillqvist@novell.com>  [8ea63a59f14c4f0bb9d5e8bdcf6c25a376bb879d]

Fix for fdo#36481: Spinboxes missing up/down arrows on Windows

Bypass test for empty control region (rectangle) on Windows. Obviously
just a stopgap measure. More insightful fix welcome.

2011-05-02  Luboš Luňák  <l.lunak@suse.cz>  [ba678b7d44fbde9e9ac1f0e01b49dc0b211530c0]

fix off-by-one when exporting postscript fonts to pdf

The problem shows when exporting a text document to pdf and there
a .pfb font is used (e.g. Standard Symbols L or Bitstream Charter).
As far as I can say this is actually harmless, as this is just
a padding section, but Acroread shows an error dialog for this
(bnc#690005).

2011-04-29  Noel Power  <noel.power@novell.com>  [18211731500d267bd68c914d2cf204d8e9ee755f]

fix for fdo#36629, corrupted IDE tabs when adding/deleting modules


2011-04-29  Thorsten Behrens  <tbehrens@novell.com>  [9e17ee98db942f696188873ad36d5861b9a973e3]

dlopen-global-symbols.diff: use global namespace for dlopened sym


2011-04-28  Thorsten Behrens  <tbehrens@novell.com>  [43ee921d23fb9ec6c589ac6ae1072ae874848d7b]

normalize-template-paths-fix.diff: allow to install templates from extensions

expand path placeholders early in template dialog (bnc#512146)

2011-04-28  Radek Doulik  <rodo@novell.com>  [7839260b83da45a3fa997a2632e7ba3edfb75a3e]

wmf-mm-text-1.diff: fix regression caused by wmf-mm-text.diff (bnc#417818)

make the fixed code run only when device size is set

2011-04-28  Petr Mladek  <pmladek@suse.cz>  [4ee339eb6d9f7d6dfeb821275a3abceccec55f57]

wmf-mm-text.diff: M_TEXT map mode support in wmf (bnc#417818)


2011-04-27  Petr Mladek  <pmladek@suse.cz>  [3bf568fb0341c84dd125ebcd3582d3e6741fed1f]

i18nutil-glibc-braindamage-workaround.diff: build failure with glibc-2.4

glibc 2.4's langinfo.h does "#define CURRENCY_SYMBOL __CURRENCY_SYMBOL"
which (obviously) breaks UnicodeType::CURRENCY_SYMBOL

2011-04-27  Radek Doulik  <rodo@novell.com>  [bfc7756f1024ad1c0cc010c6b8486b8d457f45c8]

svtools-unsort-template-dialogentries.diff: grouping items in templates dialog

group entries in the "Documents and Templates dialog" (bnc#106603)

2011-04-27  David Tardon  <dtardon@redhat.com>  [895abcc47033c985fa83da0c172a885a68af2734]

fdo#36404 once more, or, bitten by git .-)


2011-04-27  David Tardon  <dtardon@redhat.com>  [9eb0bf14ee5ef0904ec43262faed9a94f0edfc62]

fdo#36404 real fix this time


2011-04-27  Robert Dargaud  <libo@bobiciel.com>  [8868f7b6d2362bba48ff8f656050a34d6033634d]

fdo#36404 more than one text cursor at the same time in textfields


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [60416446e2b5e4442b9803d9d25a85a66decad54]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-21  Jan Holesovsky  <kendy@suse.cz>  [12661f9b0ecea5bf1fc1965dccc931714e442ef1]

Fix typo; NF_KEY_FALSE should be "FALSE".


2011-04-20  Christian Dywan  <christian.dywan@lanedo.com>  [ebbfea9ef686fdbb67a49772e9e81f11820d109f]

Only accelerators in Edit popup on Windows and KDE

The new style setting AcceleratorsInContextMenus defaults to True and
is disabled for GNOME and OSX.

Fixes: fdo#36239

2011-04-20  Robert Dargaud  <libo@bobiciel.com>  [26f6f09adab952da44cb0d4a1a11a4bb32d8605f]

fix fdo#36399 - ScrollBar display bug on dialog boxes


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [b466fd3bf1f6a4c1af8e42d836a43576754b7dac]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-18  Anthony Durity  <gently@jollyrotten.org>  [f639348a580074d852c2424ca9707796c62b59fb]

Resolves: fdo#36336 fix crash on launch (cherry picked from commit 2cae8853762ba357b19773fe0890996b3c2b95b5)


2011-04-15  Caolán McNamara  <caolanm@redhat.com>  [f8e60bf3199ac15cc6a0d5f93fd2372066551277]

those TRUE->sal_True conversions look really wrong


2011-04-15  Radek Doulik  <rodo@novell.com>  [a7289e0659b041580c89908c936222d3cff4319d]

process glib events on exit

so that waiting asynchronous events are not discarded; helps with updating
recently-used.xbel (recently used files in bookmarks format) and possibly
with other things

2011-04-14  Tor Lillqvist  <tlillqvist@novell.com>  [a744dc832da5edf5dc3db6aeb6c4b1dc7981de2b]

The NULL must be a css::uno::Sequence< css::beans::PropertyValue >*, I think


2011-04-14  Tor Lillqvist  <tlillqvist@novell.com>  [5c06e7530c9672be8f8ea1440181ea1a4f3436e8]

Revert "It's the WMF_APMFILEHEADER* parameter that needs a cast, I think"

Nope, the NULL can't be meaning the WMF_APMFILEHEADER* thing as that
is added by external-apm-header.diff.

This reverts commit 6107a6b764eecdf3d84fbf5505a8c628d8111811.

2011-04-14  Tor Lillqvist  <tlillqvist@novell.com>  [6107a6b764eecdf3d84fbf5505a8c628d8111811]

It's the WMF_APMFILEHEADER* parameter that needs a cast, I think


2011-04-14  Tor Lillqvist  <tlillqvist@novell.com>  [bc944877411e71f2c2582967b9b4f06ac0b583c3]

Revert "Use static_cast to resolve ambiguity between NULL and 0"

This was not the actual problem.

This reverts commit 0d74c4b027b057c2552311be12571c044f472ad8.

2011-04-13  Katarina Machalkova  <kmachalkova@suse.cz>  [f4b300753878698d05d3e6fff236fdb57f5c5d20]

Fixed more build breakages with --enable-kde4 (cherry picked from commit 5dbb3b7b920045156e998ea2f0a93a870b93f09c)


2011-04-12  Katarina Machalkova  <kmachalkova@suse.cz>  [180c67523028aed289bb86d823d38e0b44271ab4]

Removed duplicate code block (mis-merge, prolly)

This fixes build with --enable-kde4
(cherry picked from commit ea898caa151fb8e94b6bdb00b1008b6da98fddad)

2011-04-12  Tor Lillqvist  <tlillqvist@novell.com>  [0d74c4b027b057c2552311be12571c044f472ad8]

Use static_cast to resolve ambiguity between NULL and 0


2011-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa263707166bf3b8a8949281e9609e31975f36e8]

Our fontconfig baseline is 2.2.0


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [47d0221db0d5e7b859317120159628a0a8f658d7]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-09  Norbert Thiebaud  <nthiebaud@gmail.com>  [7f385a0637e886876cef52e9cb2581f1e670cdc2]

fix typo from commit a6eaaeceed90192ea61371c5ddfb0fe795eebfba


2011-04-08  Luboš Luňák  <l.lunak@suse.cz>  [3638e82b039c071dbc3908a8977cb909ef71c07b]

better fix for KDE4 popup painting covering popup frame


2011-04-08  Luboš Luňák  <l.lunak@suse.cz>  [b2d1508fd2dfd22113b343914cb382be092fd628]

rework KDE4 popup menu drawing to avoid various glitches


2011-04-08  Luboš Luňák  <l.lunak@suse.cz>  [c15593ad44e736f55b26f5c117b07fd86be65178]

kde4 size of menu radio/checkboxes


2011-04-08  Luboš Luňák  <l.lunak@suse.cz>  [9a389766e67f8832381238d6c6f3dbb26ffdd660]

implement CTRL_PROGRESS for KDE4


2011-04-08  Luboš Luňák  <l.lunak@suse.cz>  [f38caab61313a7a18bf5c9215273f4c15c8ef68c]

define minimal scrollbar slider size for KDE4


2011-04-08  Luboš Luňák  <l.lunak@suse.cz>  [5a27f468b350f81becd088b565c3bc8ed3a6d824]

provide scrollbar track area, to fix detection of KDE4 scrollbar areas


2011-04-08  Luboš Luňák  <l.lunak@suse.cz>  [4a9a7743d0aa9d5372f3e1debc4ae46336f8315c]

move hitTestNativeControl() to be next to getNativeControlRegion()


2011-04-08  Andras Timar  <atimar@novell.com>  [64e7596bc1d1af9f419e054baca8e1b74560c8c1]

typo fixes in help text


2011-04-08  Andras Timar  <atimar@novell.com>  [a6eaaeceed90192ea61371c5ddfb0fe795eebfba]

add pt_AO locale data (edited version of Mandrake's patch)


2011-04-08  Caolán McNamara  <caolanm@redhat.com>  [0b48bbb324e3381e6088d61b5b3d130b16354e8b]

Resolves: fdo#30729 and make initial font discovery much much faster (cherry picked from commit 7db45b251adf8588624fee439df3ae0629c6ac4f)


2011-04-08  Andras Timar  <atimar@novell.com>  [a67356f5f5a3618a786f87b56c4c227c43e000c9]

add 8 languages spoken in Republic of Congo fdo#33779


2011-04-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [2db919542241a53c866c96162a6fd5d2e55977fb]

i#20348: made the ordinal suffixe autocorrection internationalized


2011-04-06  Caolán McNamara  <caolanm@redhat.com>  [387dcf9f1f5d509be76473f7eb83ee9309a04f6b]

merge oooXXXXX.vcl.x86_64.impressatk.diff from build


2011-04-06  Luboš Luňák  <l.lunak@suse.cz>  [ee39d120e7730970e8f5ce57ec6ec3abee37efed]

rework confused and racy clipboard event polling (bnc#683941)

It does not work reliably to just poll on the X connection fd,
as there may be already incoming events in the Xlib queue (removed
from the fd connection). So XPending() call is necessary; which
additionally ensures the output queue is flushed before polling.
The second poll() seems to have been just introduced as a result
of failing to understand this, and the strange XPending() nesting
later is no longer needed either.

2011-04-05  Petr Mladek  <pmladek@suse.cz>  [0944075553e0164a7cef09eaa35bafdffcc8ede8]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	svtools/source/control/toolbarmenu.cxx
	vcl/inc/vcl/gdimtf.hxx
	vcl/inc/vcl/settings.hxx
	vcl/unx/inc/saldata.hxx
	vcl/unx/kde4/KDESalGraphics.cxx

2011-04-05  Radek Doulik  <rodo@novell.com>  [a7febbdcdc9fd4a80e8357f3812456fc3fa0f39f]

fix for 3.3.2 blocker fdo#34718 - change the type of nDrawerHeight to long

 - before it became big positive long in the called Point::Move
   function, moving the drawer under the visible area. so it was
   basically signed/unsigned problem in the layouter

2011-04-05  Robert Nagy  <robert@openbsd.org>  [8d66230f9a03c994842f3b5f313e0f68dd79ceec]

link to the correct libraries on *BSD too


2011-04-04  Robert Nagy  <robert@openbsd.org>  [58ffad59de3f5c13db7678a0a0dd3edf72d381bc]

link to pthread on linux and *bsd


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [8b70d97797e27466154151bfd62cebf92571a6fe]

fix glyph fallback range crasher with negative nLevel


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [a57c528adb14a9a2ef4631d137e01ef0f7598905]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [02a0d7453669e6d669f0ffa3dfd7b7c8031065cb]

add accelerators to Unix 'Ok'/'Cancel' dialog buttons


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [4f442b56953387f25dd89ae8c96767cfc05011c7]

add in .webm suffix for jrb


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [25b340963aa06fa08e4d8577d2073877aeb7fd9a]

document letter wizard + STR_ARR_SVT_LANGUAGE_TABLE gotcha


2011-03-31  Tor Lillqvist  <tml@novell.com>  [e29b73f64c3d5d4cf42033ec139db00d192760f7]

localize-pl-cygwin-paths.diff: cygwin paths handling in localize.pl

Fixes localize.pl so that it doesn't pass Cygwin pathnames to the
non-Cygwin programs it runs.

2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [cf65106baec13379cbfadeb729b2294897b02398]

now that java paths are out of SOLARLIB can remove this


2011-03-31  Jan Holesovsky  <kendy@suse.cz>  [a64ad88a4ce1993cfac8f4243b8ec7ef05bbc375]

Fix 64bit build with Java (conflicting libjpeg).


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [fd0ccc6a249dedcff174a5e290486f4de8a2c4e1]

called from --enable-dbgutil


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [7920ad49731765dffdfb2cb1334508944f6e8d2e]

warning-uninitialized-variables-tools-2.diff: avoid warning (i#58984)

avoid warnings about that a variable is used unitialized; the code was correct;
though, the warning was considered as an error in openSUSE build service;
the change does not cause any harm

2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [4bb461d824699c1fb4cc494011ab71f7385a815c]

centralize caserotate here


2011-03-30  Tor Lillqvist  <tlillqvist@novell.com>  [d5370052d2b27901fb268d7d487d187fc4d85045]

Bin some Hamburg crack

We don't need the possibility to use a "source_config" file that would
list "repositories".

2011-03-30  Tor Lillqvist  <tlillqvist@novell.com>  [5794d95965c7410be22010e71e1668672aae7bc5]

Kill UPDMINOREXT and simplify


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [8335aaff2498076a81b03e5536375cd70d754d4b]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [0aa686b00e38f48a4a4ce4012eb94a91b30aad3d]

drop bogus executable flag from odf files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [fc727ac58a85856c0070fe65e10171580c7422b8]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [ef3125ee115b829eef99086f0469532209aa10a3]

use --xxx instead of -xxx for command line options


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [61b417296615ffdafa846284b03812925b2715ca]

add support for --headless


2011-03-29  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [3501bccd6c9a748045213f32111e25cd3ff32e0e]

fd#35772: toolkit.Toolkit::css::awt::XMessageBoxFactory fails on headless


2011-03-29  David Tardon  <dtardon@redhat.com>  [60f203b66d071512f3acfb936b3908d435605c42]

WaE: unused variable


2011-03-29  Tor Lillqvist  <tlillqvist@novell.com>  [8fb069b4f7e83f7d3ac2e195e66bb32a4798949c]

Don't skip the clone directory on Windows

As localize_sl is not a Cygwin program it won't understand the
symlinks pointing to clone/*/* anyway, so we won't get any duplicates
if we just let it recurse down the clone directory.

2011-03-29  Caolán McNamara  <caolanm@redhat.com>  [8c1f3c9e2e9757d28b61028600ac85769af6a1d2]

don't bleat about having called GtkSalObject::SetForwardKey


2011-03-29  Caolán McNamara  <caolanm@redhat.com>  [53e2bdb610cb46b8a2482c742820e2dbe80bfc47]

Resolves: rhbz#684580 'X' and '/' strike-through escapes range

i.e. it bleeds outside the text it is supposed to affect.  See #i114076#,

2011-03-29  Michael Meeks  <michael.meeks@novell.com>  [41a3b70e25a1a8d3531a92776457fcb350d90253]

if we patch ppds, don't package .orig files


2011-03-29  Michael Meeks  <michael.meeks@novell.com>  [22d40688d414f925fa7349b04cb7ceee574fc6ae]

build against old cairos (with warning)


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [23f0b0c5552323d1556f4b69ad7478cd1e49b449]

Resolves: fdo#33455 implement rendering of 1bit pngs palette colors


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [dc562ea25696c02384566d0f7a011636d2a7c3bf]

add PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [0c9708505db4e371d74883761cee9ee055ce42bf]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [875ea3d5844d21550d1aa6f0b3330b5d591137e2]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  David Tardon  <dtardon@redhat.com>  [e3bcec0b263d524de08e3fa8a3fcd12fb71e448d]

WaE: possible use of unitialized variable


2011-03-28  Kayo Hamid  <kayo.hamid@gekkolinux.com.br>  [eb5b576be4c15c6cfb8e4ec8ce8128dca3ea67dd]

removes some variableScope cppcheck warnings


2011-03-28  Rafael Dominguez  <venccsralph@gmail.com>  [ffb87cb84faeb9642b37d3d619130bcae57e8d7e]

Remove unused DECLARE_LIST.


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [66c802882e8c7c4d1c88dae9fbdaa5f97d50c650]

One more return of prewin.h/postwin.h hack :(


2011-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c08d7aae49103176d127d26ee0ede3e53ce5881d]

Temporarily put back prewin.h/postwin.h hack in tools and vcl


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [146338b724d6a9750a576dd9249dca5677bcca6a]

migrate unotools subsequenttests to gbuild


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [82a0c5861dc24a514a887b88664ce5e9815deb7f]

cleanup of unoapi test


2011-03-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea45707a06425e12a143b661a2ec39fd3bc5d697]

fix windows svl build


2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d4c8f26ca0bc5dd1c2dcb387f6ba7009004bc176]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-26  Andras Timar  <timar@fsf.hu>  [f8add41c9c7ed10859e8adc76e12eb98cd45b21d]

disable jpropex (currently unused and requires Java)


2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [2b7fafb779c002db3fcf0576f8d32f1e0b2999b4]

removing unoapi tests from build.lst as they are covered in gbuild


2011-03-26  Caolán McNamara  <caolanm@redhat.com>  [5813f3b94f7d261f2e86a767762a3b1d503ee711]

include windef.h for HWND


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a8282f0aa268602ca7fc393b910ec45905196aea]

fix windows build of sot


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [902876bbbc58992c78b19a9f427d1dd490f86b72]

One more windows breakage gone


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc6e8517b587288f965345c3b246276519af73f7]

Adapt the tree to tools/svwin.h removal


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [884461275d748ae60e2571958cacbce3917d4acd]

Remove completely the empty tools/svwin.h


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6f1dd02d09615b30409ddd89f8248c18a8c5ca54]

Fix Windows build of tools


2011-03-25  Samphan Raruenrom  <samphan@osdev.co.th>  [6b5a84d339676d6e34c17cbefbec427e4559f37a]

fdo#33089: Fixed number format handling for Thai locale.


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4bf9eae56c64d0c5198c30993626955b565765bb]

Wholesale prewin.h/postwin.h removal


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [c3903a58430f51ff71a63cac67e16247f4eb7700]

fd#35666: disable toolkit.UnoControlDialogModel::css::io::XPersistObject


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [381cd0a840540b893719e47862d69b7f029e0896]

fix localize.pl to search strings in the "translations" module


2011-03-25  Andras Timar  <timar@fsf.hu>  [718b194e9866795de518817f5c9d3e41909c9de3]

remove translations from mediatyp.src


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [dd50a0081f4fe0c49a0623886869b412e31cf3f8]

set build depencencies against the new "translations" module


2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [3291aab093221baf2f6812344b57fae0b941c80f]

using not needed here


2011-03-24  Luboš Luňák  <l.lunak@suse.cz>  [60f6b3d7da1be0ebdced638799ad0c898ba074d7]

why not just write abort() here? fix recursive self-call


2011-03-24  Samphan Raruenrom  <samphan@osdev.co.th>  [47e43576c8ec80f6e5d744e4b46e2d9e0f01a73a]

fix bug that prevents glyph-fallback for char at end of string


2011-03-23  Noel Power  <noel.power@novell.com>  [f073a68b52c3c66cce23e6c2ac7eef503903577e]

fix rebase conflict hicup

removed extra include for XDialog.hpp

2011-03-23  Noel Power  <noel.power@novell.com>  [6b5f8d6de35961ba436b9535a17eaa68e3cdcf8d]

adapt the vba container controls that got dropped as part of master merge


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [04c1efc6a9be0a78a128bad82050d39bf6aeb6cf]

big leak right from the start I believe, approx 800k+


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [c5fc334bc952e6335b54573d41719563817750be]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/libs-gui


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [dd7b312268213f9ed8f8ed686bfdf30a53aee677]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	cppcanvas/source/mtfrenderer/implrenderer.cxx
	dtrans/source/win32/dtobj/XTDataObject.cxx
	dtrans/source/win32/dtobj/XTDataObject.hxx
	sot/source/sdstor/stgio.cxx
	tools/source/debug/debug.cxx
	vcl/source/gdi/jobset.cxx
	vcl/unx/kde4/KDEData.cxx
	vcl/unx/kde4/KDEData.hxx
	vcl/unx/kde4/KDESalDisplay.cxx
	vcl/unx/kde4/KDESalFrame.cxx
	vcl/unx/kde4/KDESalFrame.hxx
	vcl/unx/kde4/KDESalGraphics.cxx
	vcl/unx/kde4/KDESalGraphics.hxx
	vcl/unx/kde4/KDESalInstance.cxx
	vcl/unx/kde4/KDESalInstance.hxx
	vcl/unx/kde4/KDEXLib.cxx
	vcl/unx/kde4/VCLKDEApplication.cxx
	vcl/unx/kde4/VCLKDEApplication.hxx

2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [f3b108ba884b47e90a07b144faa9964575836f79]

ensure safe lifecycle


2011-03-22  Thomas Arnhold  <thomas@arnhold.org>  [69503a2c88c41a7131dadbcb1c4b0c987d20abe5]

Remove obsolete rsc change file (version 1.12 to 1.13)


2011-03-22  Thomas Arnhold  <thomas@arnhold.org>  [c393da1081d9c6e8ad8ce422a4fcbe11b4570578]

Remove ChangeLog file (and this one)


2011-03-22  Thomas Arnhold  <thomas@arnhold.org>  [7b604937e8ea1b8278c76c8ab44468f8952d4331]

Remove ChangeLog file


2011-03-22  Noel Power  <noel.power@novell.com>  [e88065bbc3744a810633632e115237d128858eee]

fix basic userform operation

re-instate the global containee list

2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [22ec51681687c4d700336603f6f37e981ad37bf2]

Cut Gordian Knot of who owns the font options


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [d320abb6b91f8cc48fb1b5cb919578768c47e119]

add cppunit depend


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [f8cccd345883a5bd3a2a313d16c714fe2f45509a]

fix catastrophically wrong merge


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [7f831c8f723017a38a872a0a70aef9c83bb6f500]

update regression tests for new component registration


2011-03-21  Luboš Luňák  <l.lunak@suse.cz>  [e32e5f297f5296c0c2a9ebb887ef11343793c3a8]

remove unused function


2011-03-21  Luboš Luňák  <l.lunak@suse.cz>  [28b621637fc9fc60cda91d248d66706b04afdde3]

pClipRegion_ has been apparently renamed to mpClipRegion


2011-03-21  Luboš Luňák  <l.lunak@suse.cz>  [bb87041fe5f6cf4e91f1228b2f49a4d20378ac1c]

BOOL -> sal_Bool, get rid of useless and removed BYTE


2011-03-21  Christina Rossmanith  <ChrRossmanith@web.de>  [ce35bd00685cb0a8fdabe08660aac599e14a461f]

Removed commented code


2011-03-21  Christina Rossmanith  <ChrRossmanith@web.de>  [3cec6ebf1872deca2ef0c1ea68e4c9bc190d6d9e]

renamed variable bWeiter to bContinue


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [9b9ec4e23834ffff8df237a72a877153211dd3a8]

these are duplicates in wintypes now


2011-03-20  Caolán McNamara  <caolanm@redhat.com>  [dfef1d77feeb692e754ffacadaf1c2f19173ea62]

WaE: class/struct consistency


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [613c917c888230e16b04e8dd02ac7f7bbe6fc4e1]

Fixed RTF import/export of new border lines


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d5d78662a3a7886ccbbd4dbab9e518e6f5834abf]

Fixed some rebase problems


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3b37e7addc56214a8c5799bb0c7df76df804d83f]

Fixed lines width guessing: gap are no smaller than 1pt


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [9279f86ee25c41dbe59b8ab81bcab795265063f8]

Few fixes for RTF export and import of borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [82b268432d1796f05fa448dc2bfd36283b7cf798]

Remove the size in the LineListBox


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6e3eaf8d5b1db10fa173c1c21cda987886543668]

Switching the order of the SetLinesWidth arguments


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1195561689688295dc39d8daa0a73c380ab62536]

One LineListBox to rule them all: started improving column sep line


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f0cac16f43c2a5473410f4c4fa29d0a339de479d]

Fixed units mess in SvxBorderLine and BorderLineImpl


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [1bf98565dccbc1907aa56290897f629b5b329635]

Fixed BorderWidthImpl::GuessWidth()


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [4ada7b3a852821476acff00ff9fa641ac561e1d4]

Fixed the RTF import of borders to use new widths system


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [99aa7050cfda23f8f8d81ca5553aefe92da889f3]

Borders: expose the width computation logic for SvxBorderLine to use it


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [dae671a07ecf2e13d49ba1c254dc201921005a10]

Nicely draw borders using drawinglayer


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [cf4d682b5981fe2b688fd47d783788b47d73ee79]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-19  David Tardon  <dtardon@redhat.com>  [b950e55d39f7f192dc419a4f2ae74d427f2fe625]

fix debug build breakage


2011-03-18  Thomas Arnhold  <thomas@arnhold.org>  [b50f777da4e105a11b7cf2ed77d9ead597fc878b]

Remove unused DBG_ERROR macros


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [dede183096a6ce611ecfd12babdb876ec18fb00a]

WaE: fix up merge


2011-03-18  Thomas Arnhold  <thomas@arnhold.org>  [311a828d0b23900b48cde9d342ba70b4b41711e1]

WaE: silence some warnings


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [ce24ec8589579a59a4c7bf8f7a01fa310ce8d96b]

WaE: unused variable


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [2409f38d5eb8c93f4ce173a2d6679ec4ebd01e6b]

WaE: PAGE_NOT_FOUND is a 16bit value


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [f0ad5b38424e64790f3f3e96430d855df1e61379]

WaE: nCurSubGroup unused


2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [738ce720fc22c54186644f64c52afbda1a544622]

Fix build, re-introduce include path for xthrobber.hrc


2011-03-18  Michael Meeks  <michael.meeks@novell.com>  [2a4ee65adbdf2eca5bb23d1d2f638e032125f28c]

be more paranoid about eliding empty path params we get


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [839017a3794c08889c218f9cc226319f0c5370fd]

WaE: returning NULL for sal_uInt16


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [9e1e61b9cb4e5308437211433d65bc7bca41b263]

We can embolden via cairo_ft_font_face_create_for_pattern

If we're able to build a font from a pattern, then we can smuggle
into cairo the info that we want this font to be artificially
emboldened.

2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [a9ce19f9bda8ffcd90d3698d67186c0357dd5620]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/libs-gui


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [4bb9e1dbbe672186e87eb069807aa3e6482427df]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	comphelper/source/misc/servicedecl.cxx
	i18npool/source/breakiterator/breakiteratorImpl.cxx
	l10ntools/scripts/localize.pl
	svl/source/items/itemset.cxx
	svl/source/memtools/svarray.cxx
	svl/source/numbers/zformat.cxx
	svtools/source/brwbox/brwbox1.cxx
	tools/source/stream/strmwnt.cxx
	vcl/inc/vcl/graphite_adaptors.hxx
	vcl/inc/vcl/graphite_layout.hxx
	vcl/inc/vcl/graphite_serverfont.hxx
	vcl/source/control/imgctrl.cxx
	vcl/source/gdi/outdev.cxx
	vcl/source/gdi/outdev3.cxx
	vcl/source/glyphs/gcach_ftyp.cxx
	vcl/source/glyphs/graphite_adaptors.cxx
	vcl/source/glyphs/graphite_layout.cxx
	vcl/source/window/winproc.cxx
	vcl/unx/source/fontmanager/fontconfig.cxx

2011-03-18  Petr Mladek  <pmladek@suse.cz>  [95e301d0a55b8145ce0cdb037e438bbcfcd4a4eb]

slightly updated fix for import problems with unsupported HTML tag (fdo#34666)


2011-03-18  Christina Rossmanith  <ChrRossmanith@web.de>  [f10a9aa101d24c0aca00b1f5f20090c8700b5ed0]

Fix Bug 34666


2011-03-17  Michael Lefevre  <lefevre00@yahoo.fr>  [b39a2954ed99774ed472edd8a4b04516c3e043fa]

Remove duplicated constant F_PI and friends

Easy hack, constants already defined in libs-gui/basegfx/inc/basegfx/numeric/ftools.hxx

2011-03-17  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [3454884179270beff9073d1653bc924bafcbd40d]

remove unused variable warning


2011-03-17  Michael Meeks  <michael.meeks@novell.com>  [d7a8e7666c287de96b8699ce556162270f207870]

fix bestreversemap generation, fully this time


2011-03-17  Michael Meeks  <michael.meeks@novell.com>  [5f3fd2b14b24894d2e067787b2278bf3c7777637]

get paths right when building reversemap


2011-03-17  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [202ce92bcf76f6e54cd23ce6c1a028e1ba68ed5d]

killing off stl in gbuild


2011-03-17  Tor Lillqvist  <tlillqvist@novell.com>  [1032ed21af1b1741086497ca3425c681c746bd4f]

Cygwin fixes and cleanups

With realpath now called in AllLangResTarget.mk, we can revert the
explicit expansion of the symlinks to clone/libs-gui/toolkit in the
makefiles for the resources. Also remove unnecessary -I switches that
apparently have just been copy-pasted blindly.

Add realpath calls for -I switches to the makefiles for the
executables.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [8fb48eccb68d6c751c64aea2a86281b0dfe25c27]

More WIN_FOO cleanup


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [b69c7d15d3534c50a1becf7296ea54a920647e6c]

Just use a normal main(), no need for SAL crack here


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [dad970a075863d91e3b6ce1a0a0c5455198afda1]

Use realpath to avoid -I options containing symlinks on Cygwin


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [0a462f85e1b3fb0564dc7cd077b7ccfe2ec6ed67]

Use manually expansion of the "toolkit" symlink

rsc is not a Cygwin program, so it doesn't understand pathnames
containing symlinks. I couldn't figure out a way to use Make's
realpath function here, unfortunately. So expand the symlink manually,
we know it is always clone/libs-gui/toolkit, isn't it?

2011-03-16  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [62830565690bfdad5be9ac37f5139de97236e846]

using CustomTarget for generated code


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [bf5cc7d19dbf1e1d39a3abd11bccfe6c089ba1fa]

chmod -x


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [38739e9bad07f00f9d0ca6d6dce759da8cc5ade1]

The WIN_BOOL/ULONG dance no longer needed


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [63a7c658d4f61ae6ed9d4b7a0603f0bd1a2d5245]

Use realpath to avoid -I options containing symlinks on Cygwin


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [8899ff69f7ed9df007e5e2de3d6ca7e4fb5f0a4d]

Use realpath to avoid -I options containing symlinks on Cygwin


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [5aab60551b825b3ad283f19263f3ce549c725055]

Resolves: rhbz#680460 honour lcdfilter, subpixeling etc.


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [8c09b911f64b81b5f9ec7d28a5b5912b1ac63eee]

Use realpath to avoid -I options containing symlinks on Cygwin


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [1b44b5e0d81e79d18d3d7069dbcb5cc42a71d8e6]

No #warning in MSVC


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [ac474602b115a6f7e32570420008e6fca2284606]

Use realpath to avoid -I options containing symlinks on Cygwin


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [cc8f350a5829405832af1177fd32de7c41c30724]

Related: rhbz#680460 don't bother with an interim FontSet

I can't see why bother adding it to a FontSet and then
throw away the fontset, why not just use the pattern
directly and throw it away afterwards directly.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [0568113c984307b315efbef112d5f32aa56abfa1]

Revert "Revert "Use realpath to avoid -I options containing symlinks on Cygwin""

This reverts commit 00bfbcf96e5a5bbabe5cfe1811fecc96304a19fe.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [52dce550541d9248c63f74368caac23c4f30628f]

Revert "Revert "Use realpath to avoid pathnames containing symlinks on Cygwin""

This reverts commit bac18077450aec272f108bf7e700bfd7fafa33ff.

2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [649614448ce9807b95d49bc1388c09c3366a8e5c]

disable this warning for yacc code too


2011-03-16  obo  <obo@openoffice.org>  [d306dd4172f0e849729f35988e9d90df624e5fba]

masterfix DEV300: #i117352#,#i10000# WaE converting to non-pointer type sal_uInt16 from NULL


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [3c7459f1efcbb87df1ba78b24596651e8cc5a8c5]

WaE: int/char mix


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [e14a8fd4d1b78f54c47607d59d3c044cfe181a3d]

WaE: enable exceptions for new containers


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [f98d1d42edfae6e721875d3021c44a90a7ce27fa]

add a virtual dtor to baseclass


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [bac18077450aec272f108bf7e700bfd7fafa33ff]

Revert "Use realpath to avoid pathnames containing symlinks on Cygwin"

This reverts commit ea0f905a00c7b4d7ab31092566671b7613a956ac.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [00bfbcf96e5a5bbabe5cfe1811fecc96304a19fe]

Revert "Use realpath to avoid -I options containing symlinks on Cygwin"

This reverts commit e8701a1e09559ca8b52e39d5ee4da45237f099f8.

2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [e8701a1e09559ca8b52e39d5ee4da45237f099f8]

Use realpath to avoid -I options containing symlinks on Cygwin


2011-03-16  obo  <obo@openoffice.org>  [aa851f995545620803fdac27de287f0ade58e68e]

CWS-TOOLING: integrate CWS vcl120


2011-03-16  Miklos Vajna  <vmiklos@frugalware.org>  [d740b28a3bdb909ee043afadad8694d99275b1c1]

Introduce a single .gitattributes file in bootstrap


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [6a436da1aaec3bb201957e336753f8a8c622703b]

WaE: remove some warnings


2011-03-16  Tor Lillqvist  <tlillqvist@novell.com>  [ea0f905a00c7b4d7ab31092566671b7613a956ac]

Use realpath to avoid pathnames containing symlinks on Cygwin


2011-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa2ce650b3eecd32107178c0ae31d15d3f26d8ee]

Another GR2_STATIC define


2011-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [11dfa87ff9a72fed538347ddb8017d58f9358874]

MAKEFILE.MK -> makefile.mk


2011-03-16  obo  <obo@openoffice.org>  [f21efcf8967bc1b3154c4fd6ae9e5156be721bfb]

CWS-TOOLING: integrate CWS jl164


2011-03-16  obo  <obo@openoffice.org>  [a012cde5cdbb68b9ef2e414c2637f6695d6f4fd0]

CWS-TOOLING: integrate CWS ext006


2011-03-16  obo  <obo@openoffice.org>  [2b56aeca6ac89de375e08032c341d8ef728418b8]

CWS-TOOLING: integrate CWS obo55


2011-03-16  obo  <obo@openoffice.org>  [06ea6bcd7006555e7f21c3e830df3725436ee142]

CWS-TOOLING: integrate CWS debuglevels


2011-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [817ec499de576a917bc6db38a075c041fe086464]

Internal graphite is a static library


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [f134c525b0d0f92711ad736cd6779e1425cf6f45]

don't handle very oddly sized (but empty) control regions, they cause grief.


2011-03-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [7d1fc3ba06f0908f0548fe01e5947ed705a75476]

vcl120: #i117267# better paper matching


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [dfefad4f3066d7187bf8f3504489dedc8a1d7017]

fix up merge conflicts


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [56526740d6bbb201aa93f80d383ad952a2fdf8d2]

add regression test for weak chars


2011-03-15  Thorsten Behrens  <tbehrens@novell.com>  [f89d911853dacba568bb28dd8411ae3132695f72]

Lock rotation matrix orthogonality via unit test

There were cases reported when multiples of pi/2 did not yield a
properly-orthogonal rotation matrix. locked via unit test.

2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [ac47c11d077bf94cc82f0fc72eea97865ea98f0a]

Remove empty comment fields


2011-03-14  Pantelis Koukousoulas  <pktoss@gmail.com>  [133e9d68ddce213bbac273ddfdfde2913a6aa3e4]

Support for greek numerals

References:
  http://www.spinellis.gr/blog/20090625/ (Greek Numerals in OpenOffice.org)

  http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=7269
  ([Issue+Workaround] Custom Numbering in Bullets and Numbering)

  http://www.opengr.net/forum/viewtopic.php?f=13&t=51

And the references transitively mentioned in the above.

This functionality was implemented during Greek Coding Camp 2009.

NOTE: the present implementation uses the (modern) two-letter version of '6'
(sigma taf) instead of the ancient greek / katharevousa version that uses
the 'stigma' character.

OTOH, we do use the katharevousa 'qoppa' and 'sampi' because there is no
standard modern version that replaces them. If you have that many bullets
so that these symbols are needed, then you had it comin' anyway :p

Author: Pantelis Koukousoulas <pktoss@gmail.com>
License: LGPLv3 / MPL

Signed-off-by: Pantelis Koukousoulas <pktoss@gmail.com>

2011-03-14  Michael Meeks  <michael.meeks@novell.com>  [d5390c40ac4ea8ca3f91bbb16cee58cd0bece33f]

compile and install filechangedchecker ...


2011-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f4878ad7319156725a0b3beccf762e84ed66bbdd]

insert_iterator not member of std:: error with Visual Studio 10


2011-03-14  Michael Meeks  <michael.meeks@novell.com>  [a6514723a23632a8ae41e224dacedb9c1688d9e8]

cleanup


2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [fca3e47954fe36687989328ac90cbc6747e4bc4e]

Related: rhbz#684477 make sure this is thread safe


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f249c5bc1bb1875ebce9e9546c36633712b1aa35]

debuglevels: pulled and merged DEV300.m102


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [a2f1005a6e8d6dad55c3065c37ef6a7ed50c2a54]

no more vos3


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [285dd1654f003f1015d5af420e1349102f111d1e]

no more writeInfo


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [bc55b90772937a05bdab07ce987889faa0680ce2]

export filterutils.hxx (andd compile filterutils.cxx)


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [f18dc2000b38045c85177f0fa794c44f10124cd6]

mis-merge: we do not want Ooo new about box do we ?


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [d7efc31e31bc8dcc2ffa413640e7822b304a4645]

mis-merge: lost typedef


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [b88427c4a43aa2d6ac3f580b5e845af768397b3d]

missing headers in Package_inc.mk


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [d5f0af5d69bd3043147e301f9d752dd9367d1efa]

add a SolarMutexResettableGuard... needed in sfx2


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [0f9c21f8f87c2b6cb3f3d21664912795395a814e]

mis-merge: lost function :-)


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [ab38233c7629bdff2bdce7076a8ee6ffcf9d38f1]

use boost rather then extstd


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [6ffb5a765aa539f9da84c4c45a055732ab0519a1]

mis-merge: clean-up remaining tools types


2011-03-13  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [486c77f1eef1a7a5bd97a70b82038f05e505d305]

removing remaining tools types from svtools


2011-03-13  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [df1d42a0a2a16b9d4179bd56656fb70ad61ad03f]

removing remaining tools types from toolkit


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [f7c6577043916fb86d75b0a7a5cbd2affd9ef995]

Fix non-debug build


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [446d7a5eb983cdf56de0d2825b6f6d3e61496ea0]

OSL_TRACE: Use format string for GetBuffer()


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [7f6790aa1e7b67cc0b1fcb972034777d97c34ac5]

OSL_TRACE: Use format string


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [f2acba90f80435f2e364abd2233aa50b865db9cf]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [b44e28b2267dbacfda45d62c835c5e2fb1a3b87d]

Remove some dead code


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [a0ece3ec8abd0de584586eb20a76dca0a32c6379]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [ab96fb67a9e36d4c1d530ac6d50e6819433431bb]

Remove now unused DBG_TRACE[1-5] and DBG_TRACEFILE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [0f74b862775a7804371012237169c3de37689d56]

Move DBG_TRACE to OSL_TRACE for strings GetBuffer()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [2b6c7b9180c41cc44253e3284dd4c06798c89a6d]

Remove dead code


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [d80858c4622a31fa32dafff16b8d1944617eeaf1]

Move DBG_TRACE to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [f56ebd2518777b1e936ea5303e0bdc8ebdf40641]

Move DBG_TRACE3 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [73fd521fdbd705443d23b1a66ab06422700b6243]

Move DBG_TRACE2 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [07b67859cb9ecc7c956b32f108eb6ce32cca02df]

Move DBG_TRACE1 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [5c092460c50e162054be71ac2e79123e521fed05]

Remove now unused DBG_ERROR[1-5]


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [5d75f2756fcfc08d238bfb75c27f991e10c1ea62]

Move DBG_ERROR5 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [54876a99e70dcb0a2b465d0c26668efded346b88]

Move DBG_ERROR2 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [5bb06712de1ab8c43dc976ef4e001476dc18993b]

Move DBG_ERROR1 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [1d258c7345f342e262c9bd95c6b246ed00531917]

Remove unused DBG_ERROR macro :)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [a47ee69750f68ec04fc95d07a24fb72ab608fc42]

Move one DBG_ERROR to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [7e607be4d5ec3046d947ee29dd3bf0253ec45af2]

Move DBG_ERROR to OSL_FAIL for mac files


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [8ed9e6e4c0901a22d7745e673fea650cddc3a4e3]

Move DBG_ERROR to OSL_FAIL for preprocessor string literals


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [17417956b150b88b3a2216411b0b99ab8c8668cd]

Move DBG_ERROR to OSL_FAIL (multiline)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [f9253ef7761322ca7046a266e93c896c16115800]

Move DBG_ERROR to OSL_FAIL


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [a8ddde3f35f97586c870935a393333472a4458f8]

Move DBG_ERROR to OSL_FAIL for a macro


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [8cbbb99412be2bacaaaa5297b43ffd01225050f7]

Move DBG_ERROR to OSL_FAIL and correct OString usage


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [403e37dfe4228932250df90b9f67abb6c41b46dc]

Move DBG_ERROR to OSL_FAIL for getStr() (multiline)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [c40bdfc06224cb723475673c0b5d785a8a3f4f56]

Move DBG_ERROR to OSL_FAIL for strings with masked quotation marks


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [4b6ff2b3f6b361b606d51711439407425e811ad8]

Move DBG_ERROR to OSL_FAIL for getStr()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [aa7efbbbd3cf587bf60eb460daf4037993467c91]

Move DBG_ERROR to OSL_FAIL for strings foo().GetBuffer()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [d05d42e093d63f0a073f73a4248a7f471d51911d]

Move DBG_ERROR to OSL_FAIL for strings GetBuffer()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [5f28c259ca916060684ae71f4e002801cf484199]

Some cleaning


2011-03-11  Michael Meeks  <michael.meeks@novell.com>  [12fe68a979649987aa7f104b0ac8755299e10bb3]

fix up merging issues, so it compiles


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [1fd266de1ca0c27d326a28b3ac96fa607a1e72fb]

Fixed a build breakage.


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [c8113bccee12114e25bcfe7a6b4aa99f418cb39e]

Add some sample Tai Lue


2011-03-11  Jan Holesovsky  <kendy@suse.cz>  [be967c5ec9fc7a440fe79956e74f17def3d15217]

Merge commit 'ooo/DEV300_m101' into intm101

The following builds for me:

basebmp, basegfx, comphelper, dtrans, i18npool, i18nutil, l10ntools, o3tl,
psprint_config, regexp, rsc, sax, sot, tools, ucbhelper, unotools, vcl

The rest still needs fixing ;-)

Conflicts:
	canvas/prj/build.lst
	canvas/source/cairo/cairo_textlayout.cxx
	canvas/source/directx/dx_winstuff.hxx
	canvas/source/tools/image.cxx
	canvas/source/vcl/canvashelper.cxx
	comphelper/inc/comphelper/documentconstants.hxx
	comphelper/inc/comphelper/optionalvalue.hxx
	comphelper/inc/comphelper/querydeep.hxx
	comphelper/prj/build.lst
	comphelper/qa/complex/makefile.mk
	comphelper/qa/string/test_string_noadditional.cxx
	comphelper/source/misc/componentmodule.cxx
	comphelper/source/misc/mimeconfighelper.cxx
	comphelper/source/misc/querydeep.cxx
	comphelper/source/misc/uieventslogger.cxx
	comphelper/source/property/TypeGeneration.cxx
	comphelper/test/uno_iterators/uno_iterators.cxx
	comphelper/util/makefile.mk
	cppcanvas/source/mtfrenderer/implrenderer.cxx
	dtrans/prj/build.lst
	dtrans/source/generic/dtrans.cxx
	dtrans/source/win32/dtobj/FmtFilter.cxx
	i18npool/prj/build.lst
	i18npool/source/localedata/data/localedata_others.map
	i18npool/source/localedata/data/makefile.mk
	i18npool/source/localedata/localedata.cxx
	i18npool/source/localedata/saxparser.cxx
	i18npool/source/registerservices/registerservices.cxx
	i18npool/source/search/textsearch.cxx
	l10ntools/inc/cfgmerge.hxx
	l10ntools/inc/export.hxx
	l10ntools/inc/gsicheck.hxx
	l10ntools/inc/l10ntools/vosapp.hxx
	l10ntools/inc/tagtest.hxx
	l10ntools/inc/xmlparse.hxx
	l10ntools/layout/layoutparse.cxx
	l10ntools/layout/tralay.cxx
	l10ntools/source/cfgmerge.cxx
	l10ntools/source/export.cxx
	l10ntools/source/export2.cxx
	l10ntools/source/gsicheck.cxx
	l10ntools/source/help/HelpLinker.cxx
	l10ntools/source/lngex.cxx
	l10ntools/source/lngmerge.cxx
	l10ntools/source/merge.cxx
	l10ntools/source/tagtest.cxx
	l10ntools/source/xmlparse.cxx
	padmin/source/fontentry.cxx
	padmin/source/padialog.cxx
	padmin/source/padialog.src
	padmin/source/pamain.cxx
	rsc/inc/rscarray.hxx
	rsc/inc/rscclass.hxx
	rsc/inc/rscclobj.hxx
	rsc/inc/rsccont.hxx
	rsc/inc/rscdb.hxx
	rsc/inc/rscdef.hxx
	rsc/inc/rscmgr.hxx
	rsc/inc/rscrange.hxx
	rsc/inc/rsctop.hxx
	rsc/inc/vclrsc.hxx
	rsc/source/parser/rscdb.cxx
	rsc/source/parser/rscicpx.cxx
	rsc/source/parser/rscinit.cxx
	rsc/source/prj/start.cxx
	rsc/source/res/rscarray.cxx
	rsc/source/res/rscclass.cxx
	rsc/source/res/rscclobj.cxx
	rsc/source/res/rsccont.cxx
	rsc/source/res/rscmgr.cxx
	rsc/source/res/rscrange.cxx
	rsc/source/res/rsctop.cxx
	rsc/source/rsc/rsc.cxx
	rsc/source/tools/rscdef.cxx
	rsc/source/tools/rsctools.cxx
	sax/source/expatwrap/sax_expat.cxx
	sax/source/fastparser/facreg.cxx
	sax/source/tools/fastserializer.cxx
	sot/inc/sot/filelist.hxx
	sot/inc/sot/object.hxx
	sot/source/base/factory.cxx
	sot/source/base/filelist.cxx
	sot/source/sdstor/stg.cxx
	sot/source/sdstor/stgcache.cxx
	sot/source/sdstor/stgole.cxx
	sot/source/sdstor/stgstrms.cxx
	sot/source/sdstor/storage.cxx
	sot/source/sdstor/ucbstorage.cxx
	svl/inc/svl/cenumitm.hxx
	svl/inc/svl/cintitem.hxx
	svl/inc/svl/cntwall.hxx
	svl/inc/svl/ctypeitm.hxx
	svl/inc/svl/custritm.hxx
	svl/inc/svl/dateitem.hxx
	svl/inc/svl/filerec.hxx
	svl/inc/svl/globalnameitem.hxx
	svl/inc/svl/ilstitem.hxx
	svl/inc/svl/imageitm.hxx
	svl/inc/svl/intitem.hxx
	svl/inc/svl/itempool.hxx
	svl/inc/svl/itemset.hxx
	svl/inc/svl/lckbitem.hxx
	svl/inc/svl/poolitem.hxx
	svl/inc/svl/ptitem.hxx
	svl/inc/svl/rectitem.hxx
	svl/inc/svl/sfontitm.hxx
	svl/inc/svl/slstitm.hxx
	svl/inc/svl/srchitem.hxx
	svl/inc/svl/svarray.hxx
	svl/inc/svl/svdde.hxx
	svl/inc/svl/svstdarr.hxx
	svl/inc/svl/szitem.hxx
	svl/inc/svl/visitem.hxx
	svl/inc/svl/zforlist.hxx
	svl/inc/svl/zformat.hxx
	svl/prj/build.lst
	svl/qa/complex/ConfigItems/helper/ConfigItemTest.cxx
	svl/qa/complex/ConfigItems/helper/makefile.mk
	svl/qa/makefile.mk
	svl/source/filepicker/pickerhelper.cxx
	svl/source/filerec/filerec.cxx
	svl/source/items/cenumitm.cxx
	svl/source/items/cintitem.cxx
	svl/source/items/cntwall.cxx
	svl/source/items/ctypeitm.cxx
	svl/source/items/custritm.cxx
	svl/source/items/dateitem.cxx
	svl/source/items/globalnameitem.cxx
	svl/source/items/ilstitem.cxx
	svl/source/items/imageitm.cxx
	svl/source/items/intitem.cxx
	svl/source/items/itempool.cxx
	svl/source/items/itemprop.cxx
	svl/source/items/itemset.cxx
	svl/source/items/lckbitem.cxx
	svl/source/items/poolio.cxx
	svl/source/items/poolitem.cxx
	svl/source/items/ptitem.cxx
	svl/source/items/rectitem.cxx
	svl/source/items/slstitm.cxx
	svl/source/items/srchitem.cxx
	svl/source/items/style.cxx
	svl/source/items/szitem.cxx
	svl/source/items/visitem.cxx
	svl/source/items/whiter.cxx
	svl/source/memtools/svarray.cxx
	svl/source/misc/PasswordHelper.cxx
	svl/source/misc/adrparse.cxx
	svl/source/misc/lngmisc.cxx
	svl/source/notify/brdcst.cxx
	svl/source/notify/listener.cxx
	svl/source/notify/listenerbase.cxx
	svl/source/numbers/makefile.mk
	svl/source/numbers/nbdll.cxx
	svl/source/numbers/zforfind.cxx
	svl/source/numbers/zforlist.cxx
	svl/source/numbers/zformat.cxx
	svl/source/numbers/zforscan.cxx
	svl/source/passwordcontainer/passwordcontainer.cxx
	svl/source/svdde/ddecli.cxx
	svl/source/svdde/ddeimp.hxx
	svl/source/svdde/ddemlos2.h
	svl/source/svdde/ddesvr.cxx
	svl/source/undo/undo.cxx
	svl/source/uno/registerservices.cxx
	svl/util/makefile.mk
	svtools/bmpmaker/bmpsum.cxx
	svtools/bmpmaker/g2g.cxx
	svtools/bmpmaker/makefile.mk
	svtools/inc/borderhelper.hxx
	svtools/inc/svtools/accessiblefactory.hxx
	svtools/inc/svtools/apearcfg.hxx
	svtools/inc/svtools/brwbox.hxx
	svtools/inc/svtools/ctrlbox.hxx
	svtools/inc/svtools/ctrltool.hxx
	svtools/inc/svtools/editbrowsebox.hxx
	svtools/inc/svtools/ehdl.hxx
	svtools/inc/svtools/embedhlp.hxx
	svtools/inc/svtools/filter.hxx
	svtools/inc/svtools/ivctrl.hxx
	svtools/inc/svtools/parhtml.hxx
	svtools/inc/svtools/printdlg.hxx
	svtools/inc/svtools/rtftoken.h
	svtools/inc/svtools/ruler.hxx
	svtools/inc/svtools/svicnvw.hxx
	svtools/inc/svtools/svlbitm.hxx
	svtools/inc/svtools/svlbox.hxx
	svtools/inc/svtools/svtreebx.hxx
	svtools/inc/svtools/tabbar.hxx
	svtools/inc/svtools/table/abstracttablecontrol.hxx
	svtools/inc/svtools/taskbar.hxx
	svtools/inc/svtools/textview.hxx
	svtools/inc/svtools/valueset.hxx
	svtools/source/brwbox/brwbox1.cxx
	svtools/source/brwbox/brwbox2.cxx
	svtools/source/brwbox/datwin.cxx
	svtools/source/brwbox/datwin.hxx
	svtools/source/brwbox/makefile.mk
	svtools/source/config/apearcfg.cxx
	svtools/source/config/htmlcfg.cxx
	svtools/source/config/menuoptions.cxx
	svtools/source/config/miscopt.cxx
	svtools/source/contnr/cont_pch.cxx
	svtools/source/contnr/ctrdll.cxx
	svtools/source/contnr/fileview.cxx
	svtools/source/contnr/imivctl1.cxx
	svtools/source/contnr/ivctrl.cxx
	svtools/source/contnr/makefile.mk
	svtools/source/contnr/svcontnr.src
	svtools/source/contnr/svicnvw.cxx
	svtools/source/contnr/svimpbox.cxx
	svtools/source/contnr/svimpicn.cxx
	svtools/source/contnr/svlbitm.cxx
	svtools/source/contnr/svtreebx.cxx
	svtools/source/contnr/templwin.cxx
	svtools/source/contnr/templwin.hxx
	svtools/source/control/asynclink.cxx
	svtools/source/control/ctrlbox.cxx
	svtools/source/control/ctrldll.cxx
	svtools/source/control/ctrltool.cxx
	svtools/source/control/filectrl.cxx
	svtools/source/control/filectrl.src
	svtools/source/control/headbar.cxx
	svtools/source/control/inettbc.cxx
	svtools/source/control/makefile.mk
	svtools/source/control/prgsbar.cxx
	svtools/source/control/roadmap.cxx
	svtools/source/control/ruler.cxx
	svtools/source/control/scriptedtext.cxx
	svtools/source/control/stdmenu.cxx
	svtools/source/control/tabbar.cxx
	svtools/source/control/taskbar.cxx
	svtools/source/control/taskbox.cxx
	svtools/source/control/taskmisc.cxx
	svtools/source/control/taskstat.cxx
	svtools/source/control/valueacc.cxx
	svtools/source/control/valueset.cxx
	svtools/source/dialogs/addresstemplate.cxx
	svtools/source/dialogs/addresstemplate.src
	svtools/source/dialogs/colrdlg.src
	svtools/source/dialogs/filedlg2.cxx
	svtools/source/dialogs/filedlg2.hxx
	svtools/source/dialogs/makefile.mk
	svtools/source/dialogs/printdlg.cxx
	svtools/source/dialogs/printdlg.src
	svtools/source/dialogs/propctrl.cxx
	svtools/source/dialogs/propctrl.hxx
	svtools/source/dialogs/property.cxx
	svtools/source/edit/makefile.mk
	svtools/source/edit/sychconv.cxx
	svtools/source/edit/syntaxhighlight.cxx
	svtools/source/edit/textdoc.cxx
	svtools/source/edit/texteng.cxx
	svtools/source/edit/textundo.cxx
	svtools/source/edit/textview.cxx
	svtools/source/filter.vcl/filter/SvFilterOptionsDialog.cxx
	svtools/source/filter.vcl/filter/dlgejpg.cxx
	svtools/source/filter.vcl/filter/dlgejpg.hxx
	svtools/source/filter.vcl/filter/dlgejpg.src
	svtools/source/filter.vcl/filter/dlgepng.cxx
	svtools/source/filter.vcl/filter/dlgepng.hxx
	svtools/source/filter.vcl/filter/dlgepng.src
	svtools/source/filter.vcl/filter/dlgexpor.cxx
	svtools/source/filter.vcl/filter/dlgexpor.hxx
	svtools/source/filter.vcl/filter/dlgexpor.src
	svtools/source/filter.vcl/filter/filter2.cxx
	svtools/source/filter.vcl/filter/makefile.mk
	svtools/source/filter.vcl/filter/sgfbram.cxx
	svtools/source/filter.vcl/filter/sgvmain.cxx
	svtools/source/filter.vcl/filter/sgvspln.cxx
	svtools/source/filter.vcl/filter/strings.src
	svtools/source/filter.vcl/jpeg/makefile.mk
	svtools/source/filter.vcl/wmf/emfwr.cxx
	svtools/source/filter.vcl/wmf/emfwr.hxx
	svtools/source/filter.vcl/wmf/enhwmf.cxx
	svtools/source/filter.vcl/wmf/winmtf.hxx
	svtools/source/filter.vcl/wmf/wmfwr.cxx
	svtools/source/filter.vcl/wmf/wmfwr.hxx
	svtools/source/graphic/grfcache.cxx
	svtools/source/graphic/grfcache.hxx
	svtools/source/graphic/grfmgr.cxx
	svtools/source/graphic/makefile.mk
	svtools/source/inc/accessibletableimp.hxx
	svtools/source/inc/svimpbox.hxx
	svtools/source/java/patchjavaerror.src
	svtools/source/misc/ehdl.cxx
	svtools/source/misc/errtxt.src
	svtools/source/misc/helpagentwindow.cxx
	svtools/source/misc/imagemgr.cxx
	svtools/source/misc/imagemgr.src
	svtools/source/misc/imageresourceaccess.cxx
	svtools/source/misc/imap.cxx
	svtools/source/misc/langtab.src
	svtools/source/misc/makefile.mk
	svtools/source/misc/svtdata.cxx
	svtools/source/misc/templatefoldercache.cxx
	svtools/source/misc/transfer2.cxx
	svtools/source/misc/undo.src
	svtools/source/plugapp/commtest.cxx
	svtools/source/plugapp/commtest.src
	svtools/source/plugapp/makefile.mk
	svtools/source/plugapp/testtool.src
	svtools/source/productregistration/productregistration.cxx
	svtools/source/svhtml/htmlkywd.cxx
	svtools/source/svhtml/parhtml.cxx
	svtools/source/svrtf/rtfkey2.cxx
	svtools/source/svrtf/rtfkeywd.cxx
	svtools/source/table/defaultinputhandler.cxx
	svtools/source/table/makefile.mk
	svtools/source/table/tablecontrol.cxx
	svtools/source/table/tablecontrol_impl.cxx
	svtools/source/table/tablecontrol_impl.hxx
	svtools/source/table/tabledatawindow.cxx
	svtools/source/table/tablegeometry.cxx
	svtools/source/table/tablegeometry.hxx
	svtools/source/toolpanel/makefile.mk
	svtools/source/toolpanel/toolpaneldrawer.cxx
	svtools/source/uno/addrtempuno.cxx
	svtools/source/uno/miscservices.cxx
	svtools/source/uno/svtxgridcontrol.cxx
	svtools/source/uno/svtxgridcontrol.hxx
	svtools/source/uno/toolboxcontroller.cxx
	svtools/source/uno/treecontrolpeer.cxx
	svtools/source/uno/unocontroltablemodel.cxx
	svtools/source/uno/unocontroltablemodel.hxx
	svtools/source/uno/unoimap.cxx
	svtools/source/urlobj/inetimg.cxx
	svtools/util/makefile.mk
	svtools/workben/browser.cxx
	svtools/workben/cui/makefile.mk
	svtools/workben/makefile.mk
	svtools/workben/stest.cxx
	svtools/workben/toolpanel/makefile.mk
	svtools/workben/urange.cxx
	toolkit/inc/toolkit/awt/vclxdevice.hxx
	toolkit/inc/toolkit/awt/vclxgraphics.hxx
	toolkit/inc/toolkit/awt/vclxwindows.hxx
	toolkit/inc/toolkit/controls/dialogcontrol.hxx
	toolkit/inc/toolkit/helper/property.hxx
	toolkit/inc/toolkit/helper/servicenames.hxx
	toolkit/inc/toolkit/helper/throbberimpl.hxx
	toolkit/qa/complex/toolkit/accessibility/_XAccessibleComponent.java
	toolkit/source/awt/asynccallback.cxx
	toolkit/source/awt/vclxgraphics.cxx
	toolkit/source/awt/vclxtoolkit.cxx
	toolkit/source/awt/vclxwindow.cxx
	toolkit/source/awt/xsimpleanimation.cxx
	toolkit/source/awt/xthrobber.cxx
	toolkit/source/controls/dialogcontrol.cxx
	toolkit/source/controls/grid/defaultgridcolumnmodel.cxx
	toolkit/source/controls/grid/defaultgriddatamodel.cxx
	toolkit/source/controls/grid/gridcontrol.cxx
	toolkit/source/controls/grid/initguard.hxx
	toolkit/source/controls/unocontrol.cxx
	toolkit/source/controls/unocontrolcontainer.cxx
	toolkit/source/controls/unocontrols.cxx
	toolkit/source/helper/listenermultiplexer.cxx
	toolkit/source/helper/property.cxx
	toolkit/source/helper/registerservices.cxx
	toolkit/source/helper/servicenames.cxx
	toolkit/source/helper/throbberimpl.cxx
	toolkit/source/helper/tkresmgr.cxx
	tools/StaticLibrary_ooopathutils.mk
	tools/bootstrp/addexes/makefile.mk
	tools/bootstrp/addexes2/makefile.mk
	tools/bootstrp/addexes2/mkfilt.cxx
	tools/bootstrp/command.cxx
	tools/bootstrp/cppdep.cxx
	tools/bootstrp/iserver.cxx
	tools/bootstrp/makefile.mk
	tools/bootstrp/mkcreate.cxx
	tools/bootstrp/prj.cxx
	tools/bootstrp/rscdep.cxx
	tools/bootstrp/sstring.cxx
	tools/inc/bootstrp/command.hxx
	tools/inc/bootstrp/mkcreate.hxx
	tools/inc/bootstrp/prj.hxx
	tools/inc/bootstrp/sstring.hxx
	tools/inc/tools/agapi.hxx
	tools/inc/tools/agitem.hxx
	tools/inc/tools/chapi.hxx
	tools/inc/tools/download.hxx
	tools/inc/tools/eacopier.hxx
	tools/inc/tools/fract.hxx
	tools/inc/tools/fsys.hxx
	tools/inc/tools/geninfo.hxx
	tools/inc/tools/globname.hxx
	tools/inc/tools/inetmime.hxx
	tools/inc/tools/multisel.hxx
	tools/inc/tools/poly.hxx
	tools/inc/tools/postsys.h
	tools/inc/tools/postwin.h
	tools/inc/tools/presys.h
	tools/inc/tools/prewin.h
	tools/inc/tools/pstm.hxx
	tools/inc/tools/ref.hxx
	tools/inc/tools/simplerm.hxx
	tools/inc/tools/solar.h
	tools/inc/tools/table.hxx
	tools/inc/tools/urlkeys.hxx
	tools/inc/tools/urlobj.hxx
	tools/prj/build.lst
	tools/prj/d.lst
	tools/qa/makefile.mk
	tools/source/communi/geninfo.cxx
	tools/source/debug/debug.cxx
	tools/source/fsys/dirent.cxx
	tools/source/fsys/tdir.cxx
	tools/source/fsys/unx.cxx
	tools/source/fsys/urlobj.cxx
	tools/source/generic/color.cxx
	tools/source/generic/config.cxx
	tools/source/generic/fract.cxx
	tools/source/inet/inetmime.cxx
	tools/source/memtools/multisel.cxx
	tools/source/memtools/table.cxx
	tools/source/rc/resmgr.cxx
	tools/source/ref/globname.cxx
	tools/source/ref/pstm.cxx
	tools/source/solar/solar.c
	tools/source/stream/strmos2.cxx
	tools/source/stream/strmunx.cxx
	tools/source/stream/strmwnt.cxx
	tools/source/string/makefile.mk
	tools/source/testtoolloader/testtoolloader.cxx
	tools/test/makefile.mk
	tools/util/makefile.mk
	tools/win/inc/dll.hxx
	tools/win/inc/parser.hxx
	tools/win/inc/shellex.h
	tools/win/inc/shutil.h
	tools/win/inc/toolsdll.hxx
	tools/win/inc/winshell.hxx
	tools/workben/makefile.mk
	ucbhelper/source/client/proxydecider.cxx
	ucbhelper/workben/ucbexplorer/ucbexplorer.hrc
	unotools/inc/unotools/unotunnelhelper.hxx
	unotools/source/config/fltrcfg.cxx
	unotools/source/config/lingucfg.cxx
	unotools/source/config/misccfg.cxx
	unotools/source/config/pathoptions.cxx
	unotools/source/config/searchopt.cxx
	unotools/source/i18n/localedatawrapper.cxx
	unotools/source/ucbhelper/localfilehelper.cxx
	unotools/source/ucbhelper/ucbhelper.cxx
	unotools/source/ucbhelper/xtempfile.cxx
	vcl/aqua/inc/salbmp.h
	vcl/aqua/inc/salgdi.h
	vcl/aqua/inc/salinst.h
	vcl/aqua/source/app/salinst.cxx
	vcl/aqua/source/gdi/aquaprintaccessoryview.mm
	vcl/aqua/source/gdi/salgdi.cxx
	vcl/aqua/source/gdi/salprn.cxx
	vcl/aqua/source/window/salframeview.mm
	vcl/aqua/source/window/salobj.cxx
	vcl/inc/vcl/bitmap.hxx
	vcl/inc/vcl/brdwin.hxx
	vcl/inc/vcl/button.hxx
	vcl/inc/vcl/cmdevt.hxx
	vcl/inc/vcl/cvtgrf.hxx
	vcl/inc/vcl/dialog.hxx
	vcl/inc/vcl/dockwin.hxx
	vcl/inc/vcl/event.hxx
	vcl/inc/vcl/fixed.hxx
	vcl/inc/vcl/fldunit.hxx
	vcl/inc/vcl/floatwin.hxx
	vcl/inc/vcl/gdimtf.hxx
	vcl/inc/vcl/glyphcache.hxx
	vcl/inc/vcl/graphite_adaptors.hxx
	vcl/inc/vcl/graphite_features.hxx
	vcl/inc/vcl/graphite_layout.hxx
	vcl/inc/vcl/ilstbox.hxx
	vcl/inc/vcl/image.h
	vcl/inc/vcl/imgctrl.hxx
	vcl/inc/vcl/impbmpconv.hxx
	vcl/inc/vcl/impprn.hxx
	vcl/inc/vcl/jobset.h
	vcl/inc/vcl/keycodes.hxx
	vcl/inc/vcl/lstbox.hxx
	vcl/inc/vcl/mapunit.hxx
	vcl/inc/vcl/menu.hxx
	vcl/inc/vcl/msgbox.hxx
	vcl/inc/vcl/outdev.hxx
	vcl/inc/vcl/prndlg.hxx
	vcl/inc/vcl/salatype.hxx
	vcl/inc/vcl/salbmp.hxx
	vcl/inc/vcl/salgdi.hxx
	vcl/inc/vcl/salinst.hxx
	vcl/inc/vcl/seleng.hxx
	vcl/inc/vcl/settings.hxx
	vcl/inc/vcl/smartid.hxx
	vcl/inc/vcl/status.hxx
	vcl/inc/vcl/strhelper.hxx
	vcl/inc/vcl/svapp.hxx
	vcl/inc/vcl/svdata.hxx
	vcl/inc/vcl/syschild.hxx
	vcl/inc/vcl/sysdata.hxx
	vcl/inc/vcl/taskpanelist.hxx
	vcl/inc/vcl/toolbox.hxx
	vcl/inc/vcl/vclevent.hxx
	vcl/inc/vcl/windata.hxx
	vcl/inc/vcl/window.hxx
	vcl/inc/vcl/wintypes.hxx
	vcl/os2/source/app/salinst.cxx
	vcl/os2/source/gdi/salgdi.cxx
	vcl/os2/source/window/salmenu.cxx
	vcl/os2/source/window/salobj.cxx
	vcl/prj/build.lst
	vcl/source/app/dbggui.cxx
	vcl/source/app/help.cxx
	vcl/source/app/idlemgr.cxx
	vcl/source/app/settings.cxx
	vcl/source/app/svapp.cxx
	vcl/source/app/svdata.cxx
	vcl/source/app/svmain.cxx
	vcl/source/app/svmainhook.cxx
	vcl/source/app/unohelp.cxx
	vcl/source/app/vclevent.cxx
	vcl/source/control/button.cxx
	vcl/source/control/combobox.cxx
	vcl/source/control/edit.cxx
	vcl/source/control/field.cxx
	vcl/source/control/fixed.cxx
	vcl/source/control/ilstbox.cxx
	vcl/source/control/imgctrl.cxx
	vcl/source/control/makefile.mk
	vcl/source/control/tabctrl.cxx
	vcl/source/gdi/bitmap.cxx
	vcl/source/gdi/bitmap2.cxx
	vcl/source/gdi/bitmap4.cxx
	vcl/source/gdi/bmpconv.cxx
	vcl/source/gdi/cvtsvm.cxx
	vcl/source/gdi/font.cxx
	vcl/source/gdi/gdimtf.cxx
	vcl/source/gdi/image.cxx
	vcl/source/gdi/impimage.cxx
	vcl/source/gdi/jobset.cxx
	vcl/source/gdi/makefile.mk
	vcl/source/gdi/metaact.cxx
	vcl/source/gdi/outdev.cxx
	vcl/source/gdi/outdev3.cxx
	vcl/source/gdi/outdev4.cxx
	vcl/source/gdi/outdevnative.cxx
	vcl/source/gdi/pdfwriter.cxx
	vcl/source/gdi/pdfwriter_impl.cxx
	vcl/source/gdi/print3.cxx
	vcl/source/gdi/salmisc.cxx
	vcl/source/glyphs/gcach_ftyp.cxx
	vcl/source/glyphs/gcach_ftyp.hxx
	vcl/source/glyphs/glyphcache.cxx
	vcl/source/glyphs/graphite_cache.cxx
	vcl/source/glyphs/graphite_layout.cxx
	vcl/source/glyphs/graphite_textsrc.hxx
	vcl/source/helper/canvasbitmap.cxx
	vcl/source/helper/smartid.cxx
	vcl/source/helper/xconnection.cxx
	vcl/source/src/btntext.src
	vcl/source/src/images.src
	vcl/source/src/print.src
	vcl/source/window/accel.cxx
	vcl/source/window/accmgr.cxx
	vcl/source/window/brdwin.cxx
	vcl/source/window/btndlg.cxx
	vcl/source/window/dlgctrl.cxx
	vcl/source/window/javachild.cxx
	vcl/source/window/menu.cxx
	vcl/source/window/msgbox.cxx
	vcl/source/window/printdlg.cxx
	vcl/source/window/status.cxx
	vcl/source/window/syschild.cxx
	vcl/source/window/toolbox.cxx
	vcl/source/window/toolbox2.cxx
	vcl/source/window/window.cxx
	vcl/source/window/window2.cxx
	vcl/source/window/wrkwin.cxx
	vcl/unx/gtk/app/gtkdata.cxx
	vcl/unx/gtk/app/gtkinst.cxx
	vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx
	vcl/unx/gtk/window/gtkframe.cxx
	vcl/unx/gtk/window/gtkobject.cxx
	vcl/unx/headless/svpbmp.hxx
	vcl/unx/headless/svpgdi.cxx
	vcl/unx/headless/svpgdi.hxx
	vcl/unx/headless/svpinst.cxx
	vcl/unx/headless/svpinst.hxx
	vcl/unx/headless/svpprn.cxx
	vcl/unx/headless/svpprn.hxx
	vcl/unx/headless/svppspgraphics.cxx
	vcl/unx/headless/svppspgraphics.hxx
	vcl/unx/headless/svptext.cxx
	vcl/unx/inc/dtint.hxx
	vcl/unx/inc/plugins/gtk/gtkdata.hxx
	vcl/unx/inc/pspgraphics.h
	vcl/unx/inc/salbmp.h
	vcl/unx/inc/saldata.hxx
	vcl/unx/inc/saldisp.hxx
	vcl/unx/inc/salgdi.h
	vcl/unx/inc/salinst.h
	vcl/unx/inc/xfont.hxx
	vcl/unx/kde/kdedata.cxx
	vcl/unx/kde4/KDESalGraphics.cxx
	vcl/unx/source/app/keysymnames.cxx
	vcl/unx/source/app/saldata.cxx
	vcl/unx/source/app/saldisp.cxx
	vcl/unx/source/app/salinst.cxx
	vcl/unx/source/app/wmadaptor.cxx
	vcl/unx/source/dtrans/X11_selection.cxx
	vcl/unx/source/dtrans/X11_service.cxx
	vcl/unx/source/gdi/makefile.mk
	vcl/unx/source/gdi/pspgraphics.cxx
	vcl/unx/source/gdi/salgdi.cxx
	vcl/unx/source/gdi/salgdi3.cxx
	vcl/unx/source/gdi/salprnpsp.cxx
	vcl/unx/source/gdi/xfont.cxx
	vcl/unx/source/gdi/xlfd_attr.cxx
	vcl/unx/source/gdi/xlfd_attr.hxx
	vcl/unx/source/gdi/xlfd_extd.cxx
	vcl/unx/source/gdi/xlfd_extd.hxx
	vcl/unx/source/gdi/xlfd_smpl.cxx
	vcl/unx/source/gdi/xlfd_smpl.hxx
	vcl/unx/source/printer/ppdparser.cxx
	vcl/unx/source/printer/printerinfomanager.cxx
	vcl/unx/source/window/salframe.cxx
	vcl/unx/source/window/salmenu.cxx
	vcl/unx/source/window/salobj.cxx
	vcl/util/makefile2.pmk
	vcl/win/inc/salbmp.h
	vcl/win/inc/saldata.hxx
	vcl/win/inc/salgdi.h
	vcl/win/inc/salinst.h
	vcl/win/source/app/saldata.cxx
	vcl/win/source/app/salinst.cxx
	vcl/win/source/gdi/salgdi.cxx
	vcl/win/source/gdi/salgdi3.cxx
	vcl/win/source/gdi/salprn.cxx
	vcl/win/source/gdi/winlayout.cxx
	vcl/win/source/window/salframe.cxx
	vcl/win/source/window/salobj.cxx
	vcl/workben/outdevgrind.cxx
	vos/inc/vos/execabl.hxx
	vos/inc/vos/macros.hxx
	vos/inc/vos/pipe.hxx
	vos/inc/vos/process.hxx
	vos/inc/vos/refernce.hxx
	vos/inc/vos/signal.hxx
	vos/inc/vos/socket.hxx
	vos/inc/vos/stream.hxx
	vos/inc/vos/thread.hxx
	vos/source/pipe.cxx
	vos/source/process.cxx
	vos/source/signal.cxx
	vos/source/thread.cxx
	vos/source/timer.cxx

2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [475b40d0b5ec7967513b23e45bdb7219dda2db75]

WaE: variables set but unused


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [09f9d9627e2e9302713b282dafc1134ab7d4640a]

WaE: signed unsigned comparisions


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [19b51185c4458c777b1a8f5c78096da7e9e1a5a4]

WaE: ambiguous && ||


2011-03-11  Caolán McNamara  <caolanm@redhat.com>  [b75594502351e91585b923de2e6f22c07b779012]

WaE: fix member init order list


2011-03-11  Martin Hosken  <martin_hosken@sil.org>  [8a81ace476b02eb27117f83e5cec3358ffd62b88]

Add missing scripts from ICU list. Make math and symbols weak


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [35b9c4974a5cb7bf23d2e601766eb432bee681ec]

USCRIPT_INVALID_CODE is -1 so take signed here


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [77017d048793b0a9f9628f962ae3f089c5361e86]

use SAL_N_ELEMENTS


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [a5c0be250002ee4ccde490ce855965e0071ab3f3]

unused UBlock2Script struct definition


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [982d289f0fa9d24517ce844c86725fb96c0b345d]

unused global table


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [d83bc4d9921afd31f1afddc52f39951bb686e60a]

Related: rhbz#680460 reorganize this to make it inheritable


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [28e6caab0a9c04b306f723fb3390332f5ef94a61]

add cairo_ft_font_face_create_for_pattern wrapper


2011-03-10  Thorsten Behrens  <tbehrens@novell.com>  [1237dd5025ba1122246e75a8481ea32d7141caee]

Revert comphelper unit test noadditional change (gr2)

This reverts commit b5984e292401e87f68343e1bf8a565b622c3b4b7.

Commit broke all tinderboxen.

2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [b5984e292401e87f68343e1bf8a565b622c3b4b7]

graphite2 consolidated patch


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [722cf17fcf43a54d600809edc8b52c43fc487e0a]

enable fontcapabilities under windows


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [5d8f056cacb31b7b324b6154f120b8dcfc5820e3]

Do SMP properly for ICU. No bug thankfully


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [20594d17cdb367ba81183a5c3847efa2e90531c8]

Work around ICU bug regarding SMP ranges not working, so expand them


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [1ae0df1c597f7c55ed411707018fd56884d08531]

Attempt to fix winlayout memory leak


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [c0ee5f3da6b8ac0c27950a1715a6bf80f1ecacb6]

break graphemes on new uax#29 updates, use ICU for script identification


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [0ba940b307b67aef2a8090f7d55384f8818f317f]

Use statically built graphite library


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [f098d34fa7000ed690130bccda68797211a2e0b9]

revert bad patch in graphite consolidated patch


2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [85dc00b157fb97b70ff5fa20bf9e6355404aba30]

graphite2 consolidated patch


2011-03-10  Radek Doulik  <rodo@novell.com>  [1f4078d8be0755ea33ec36edacdf805e1ce24270]

fix for 3.3.2 blocker fdo#34718 - change the type of nDrawerHeight to long

 - before it became big positive long in the called Point::Move
   function, moving the drawer under the visible area. so it was
   basically signed/unsigned problem in the layouter

2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [525b6b30859ad5faf2f6c694a895b09a82c5100a]

fix leaks on bad ttf files


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [f82a8f61c630030481293e7ae9872c1ca7ab57e0]

remove memleak


2011-03-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [80faa7482b5db5865d7e748cf1468645918e7d56]

vcl120: #i114306# tweak defaultprinter behavior again


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [ef33edc9b8f02a163264e9e25e14b1430a8e345c]

remove FtFontFile leaks


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [c07828372a32f112a5e7e0131629c08e302a1104]

release fonts on shutdown


2011-03-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [662d5ff77358579224ca5626bfc7a7cffc61e842]

vcl120: rebase to DEV300m102


2011-03-09  Nigel Hawkins  <n.hawkins@gmx.com>  [df6002163515888351fdfa15e7f961a0c710a80f]

Remove SvLongs declaration and definition


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [bc78cf7caa13319b99a39069329ec22d557b81c5]

Add Cherokee preview


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [83c93074d772ff2c24af68674aa6107864e71a3a]

mask out cjk punctuation


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [75486f56065404258e9875467433986e5807d8d9]

Cyrillic+Georgian is likely best previewed as Georgian


2011-03-09  Xavier ALT  <dex@phoenix-ind.net>  [78d1edb4daef632623b923f1be0606372d314158]

remove SVX_LIGHT macro


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [c7e1506b832281f5469602bcd9ca99bab19dc716]

enable fontcapabilities under windows


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [39387fda8c027722d7db2a1320a2bebf95efb641]

Resolves: rhbz#682621 better resizing of overtall glyphsubs


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [f6733d3f2ccc7b6a8da8752ad14bfd939acb3fa2]

cppcheck: this method can be const


2011-03-09  Andras Timar  <timar@fsf.hu>  [56c8f941db0be4e77188170e06191c07a5cf036b]

update help text of localize tool


2011-03-09  Andras Timar  <timar@fsf.hu>  [9bc6fcf21994c8c77d3e4669dcaa2ce12e570525]

no need to blacklist dictionaries, because is is not whitelisted


2011-03-08  Andras Timar  <timar@fsf.hu>  [9c856503e7c82d8ce082ddfda8dbfea27beab236]

adapt localize to LibreOffice directory structure


2011-03-08  Katarina Machalkova  <kmachalkova@suse.cz>  [f902f2d7772214fdfe5682b1d001873ba025a06a]

Un-breaking the unit test


2011-03-08  Katarina Machalkova  <kmachalkova@suse.cz>  [90dddf42f604ada86f68c458cb633f1dda3cb8bc]

Adding '-N => (N)' format to en_* locale -- bnc659993

LocaleNode.cxx says it's only legal for those based on en_US

2011-03-08  Katarina Machalkova  <kmachalkova@suse.cz>  [a52392c31c99a1269260d98dbd75916e368b44b3]

Handle tinkering with '-N => (N)' number format -- bnc#659993


2011-03-08  Katarina Machalkova  <kmachalkova@suse.cz>  [36fbbd2be2ff92351cfa9fc68c0a4f7e1f918303]

Revert "Introducing new number format ( -N => (N) ) -- bnc#659993"

This reverts commit 97ce42ad29560d39560b7f7c23785142803ae52f.

Adding the format to every lang. breaks the std. format indexing
(thus, unit test too)
Moreover, it is not "legal" for non-English locale (or so
LocaleNode.cxx says)

2011-03-08  Caolán McNamara  <caolanm@redhat.com>  [ed5f33e33dc9d2b477bbdbb852256edd8b745277]

Resolves: rhbz#682716 pa-IN isn't handled by fontconfig well

i.e. pa-IN gets fontconfig to consider all "pa" and "pa-pk" fonts, see
fdo#35118 for what I'd like fontconfig to do instead and prioritize generic
"pa" over "pa-pk" in thsis case.

Looking at the current list of fontconfig languages, this is the only one
likely afflicted at the moment, so help fontconfig out here.

2011-03-08  Luboš Luňák  <l.lunak@suse.cz>  [3c4e713c58972bdd7569ccc16af8e507e325fa2d]

avoid race condition with multiple window resizing (bnc#674806)


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [9c59688b152ed2c4d46f9bd588c91a01247f6aeb]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-08  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [3418cce3fa35a1d19a14affa8471b537bda57177]

Added shadow color configuration save.


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [5cbbee27351fa7460755ed469a5166bb4545c0d6]

CWS-TOOLING: integrate CWS os146


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [56fbd699bb8b44bf46f35276e9682f449faa7eab]

CWS-TOOLING: integrate CWS vcl119


2011-03-05  Takeshi Abe  <tabe@fixedpoint.jp>  [f6345cad1d4f3e7b3e8cc193a4bce1becbd55eb1]

Remove dead code


2011-03-05  Takeshi Abe  <tabe@fixedpoint.jp>  [60239fde98d88ef7449fe507cd11ccd91ce3d56e]

Removed unused field bGerman


2011-03-05  Takeshi Abe  <tabe@fixedpoint.jp>  [50ecc72670a81a1e901e95591aca42bf3834a1ef]

Remove dead code


2011-03-05  Christina Rossmanith  <ChrRossmanith@web.de>  [2eefdefac31042fe91cd940e3b278d1c622f0680]

Removed /* ### ACHTUNG: Neuer Text in Resource? - lines from libs-gui


2011-03-04  Guillaume Poussel  <gpoussel@gmail.com>  [d8c8b4fb19475e022e50339776440832a7c4148e]

Remove bogus and useless comments.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  Ivo Hinkelmann  <ihi@openoffice.org>  [76d8807886dd692bb5ea8ffa16dda8bdb77ec38d]

masterfix DEV300: KDE vs. tooltypes


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [cf89e05f512637980b0fd1342f2fa22eaf4734c9]

WaE: move that inside the TODO as well


2011-03-04  npcdoom  <venccsralph@gmail.com>  [1e8f1c5757bfbb26d55ec5a6eb4e9719e1fbaa8b]

Remove deprecated container List.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-03  Katarina Machalkova  <kmachalkova@suse.cz>  [10fc15ba01448ff5c633ddea0b36113be2f813f2]

Disabled failing format items for now :(

after introducing new num. formats (42[.00]), those items that
access standard format list cease to work :(

2011-03-03  Katarina Machalkova  <kmachalkova@suse.cz>  [a10428b18982b91bce7247901371f27c4103bffe]

Ooops, GetnAnz() got renamed to GetCount()


2011-03-03  Katarina Machalkova  <kmachalkova@suse.cz>  [97ce42ad29560d39560b7f7c23785142803ae52f]

Introducing new number format ( -N => (N) ) -- bnc#659993

+ teaching Calc num. formatting dialog to work with it
+ adding it to ~most locale (certainly I've forgotten some)

2011-03-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7ad02d48a9b8a7f637c8d89fb807a8da06b1240b]

Size matters


2011-03-02  Joseph Powers  <jpowers27@cox.net>  [eb4d8d03965f1a70d33abf73757cc7c43b818a3f]

Remove DECLARE_LIST( ConvList, Conversation* )


2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [18cc0c78f5d1e40acb1a0c693807015a1a30de69]

WaE: move that inside the TODO as well


2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [2071e47acde3402e94732840d1664cba5a03622d]

just use whatever works for everyone


2011-03-02  Joachim Lingner  <jl@openoffice.org>  [62ab4e1a61813493923f9840c86d49e2c74a3bdf]

jl164 #i109096# wrong use of path::native_file_string_w in fopen for Linux


2011-03-02  Joachim Lingner  <jl@openoffice.org>  [270689732362a15d4c805ecf6fd07e875e2c4068]

jl164 #i109096# make patch::native_file_string_w windows only


2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [25c91f493804ca9f3e297cab595621c823c6eab5]

Disable testing for the currency format codes.

On some systems (including Fedora) the last two currency codes
differ.  Let's disable this test for now until we find out how to
properly test this again.

2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [b722614de75c6f9f675aa85605752627288b9bbf]

Add missing osl/diagnose.h include


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [8c5f102512ef736735ce58ebd8d04ab9c24ecbed]

Move some DBG_UTIL to OSL_DEBUG_LEVEL


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [eb207167d0fa43719b4771aa9d11f690cc05c5f9]

Add osl/diagnose.h include


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [aa4b849ed4a79252fe24c801600a9c6ff2e8888e]

Move DBG_ERROR to OSL_FAIL


2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [18e446f55110c1890933c68bc66c70d33ec5ced9]

CWS-TOOLING: integrate CWS mhu21


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [f66ecc7846ccda840b9ec0e6027bc2e5180e4a8b]

Many of us still use compilers that don't support C++0x properly.

This fixes a build breakage in svtools, in ctrlbox.cxx.

2011-03-01  Julien Nabet  <serval2412@yahoo.fr>  [d90386875b3e6ad581244830120ac2856b38e868]

Remove "using namespace ::rtl"


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [a81147a39f89670b9e67f6ceb6d4d34cce788624]

handle minimal Greek fonts


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [aad4d95fcddd7ce359d0278f019d2a99d170a29e]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [94a952ef50d6f8945e2a6705cc31a670a1661f58]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [690fff079861cbb3f98719189066d75be57243a8]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [b53b9d9ce439385f32b2153bdaaceac979fec693]

make sure to include the header


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [06e05f70e0984bdee05d99557ee210ed55f28080]

add font capabilities


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [4dc3267c43ca224bf47cedf342edf0f7e88c029c]

Get better hints as to what script a font is likely tuned for


2011-03-01  Luboš Luňák  <l.lunak@suse.cz>  [2496a496024ae2d44e100c02b4258f653adb3d32]

const static data


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [96062594fe0d4e6f3a765a3618fddcf67176594e]

Fix debug build: add missing using ::rtl::OString


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [4f8ace68fdcf9d976b9f690f391844514baf5d31]

Actually unotools already depends on i18npool. Removing it.


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [bc575aa51668343f5e7d4b8263474d77cc86569b]

CWS-TOOLING: integrate CWS impress195


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [8bee4844e600720e9ee0b66bf229991a22243211]

Disable this temporarily due to the objection from Thai users.


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [f5ec43a44d1e923e0ec68b5f9a6857bad05dfb3b]

CWS-TOOLING: integrate CWS sw34bf03


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [6dc20c90d43f7cfa0205313ac8834c946dfe13a3]

More test cases for Thai-specific format codes.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [3a649b1e600ca4034fa9ec8cd040e5615621bf14]

Renamed GetnAnz() to GetCount(), to make it easier for us to understand.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [6ee742a43baa0caccee68840a99bda92e77ccfee]

Store locale type instead of language type.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [f2c3c7179a131b6045eda2b0460dabdc255b42c1]

Updated method documentation.


2011-02-27  Rafael Dominguez  <venccsralph@gmail.com>  [b36cc82d4ab11af687d87b890d010b6c05671ff4]

[PATCH] Remove deprecated container List and update required headers.


2011-02-27  Joseph Powers  <jpowers27@cox.net>  [86ad90287ff14fe7c0bf4bde142fb197422f1034]

Add Missing "using ::rtl::OString;"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [6d8db28b78bd0041a37fef9668a1c43d332246b5]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [53291d73caf69d3da36a69cb22bda61ace7305df]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [f7475bcb5ab08007911badd196223dfe9f954ef1]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [ec7514786b14161964c5e3d78afe0ddb8db941c3]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [90254b43d45392142af9db2b4bc82e068b46a13f]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [209e038acaea44f2e8215cbbe265e46ac3314d2f]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [2862181f149da207d2dee7a14d4968ee1607a066]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [dfdcbdbccaa295c2ef410d1046548107ee451c06]

Remove "using namespace ::rtl"


2011-02-27  Julien Nabet  <serval2412@yahoo.fr>  [117b0d3e06dd628bec4c2bf8db889edc40f0ace8]

Fix small bug


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [4e9a91703fd7071109bbe9c4116ade4572bdc638]

Remove "using namespace ::rtl"


2011-02-26  David Tardon  <dtardon@redhat.com>  [64420464952dd37196ce5e97aa2ec614b8e78654]

WaE: suggest parentheses around '&&' within '||'


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [25143b086a3498a2d29e6742d817860ebdf2f658]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-25  Luboš Luňák  <l.lunak@suse.cz>  [9f588950a1f5f87c597826c037cc4a7d73c5bace]

some fixes for checkboxes and radiobuttons in popups (bnc#581833)


2011-02-25  Kohei Yoshida  <kyoshida@novell.com>  [204c8eb689e0e3e734e849c964d56123d2b80af1]

Sigh....


2011-02-25  Kohei Yoshida  <kyoshida@novell.com>  [b237b8d1b20ee06e20407de27a198a9a8a0ca011]

Added i18npool as dependency to svl, the unit test now depends on it.


2011-02-25  Kohei Yoshida  <kyoshida@novell.com>  [6e25b37524be235e85637a2f57e3a5b6fd920135]

More on using real namespace scopes.


2011-02-25  Kohei Yoshida  <kyoshida@novell.com>  [4561f0dcb096e3ae6a5e6f5e900fd710a968c383]

Let's remove using namespace rtl while I'm at it.


2011-02-25  Kohei Yoshida  <kyoshida@novell.com>  [89fa357a5ba909b537b3724cfec8d9c91bfd2422]

Use real namespace scopes. The old scheme screwed up context tagging.


2011-02-24  Kohei Yoshida  <kyoshida@novell.com>  [7665c59fa2b03681d327643750363326b55940af]

Correct cppunit error message.


2011-02-24  Kohei Yoshida  <kyoshida@novell.com>  [da5d69e9295b6212e22bfdd77c1ed5e76e9f6b43]

Use OUString instead of String in the unit test code.

Added another method PutEntry() to allow rtl::OUString to be used.
We'll keep this until UniString gets totally eradicated.

2011-02-24  Kohei Yoshida  <kyoshida@novell.com>  [2efd2c6715dc31ec6d7831f70bd520d93489c47a]

Generate locale code that includes numeral shape and calendar type.


2011-02-24  Kohei Yoshida  <kyoshida@novell.com>  [7a7ba843aafcbd0fa3e5b2f2f9540b76b945d408]

I need iostream and its friends while debugging the unit test code.


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [635e9b8a0e21f9fe0a555dad865ed2f7a5513bae]

remove empty TESTSHL2LIB


2011-02-24  Kohei Yoshida  <kyoshida@novell.com>  [26ab3db800dec0654dddf5ac29d2e78d956a6fe5]

Pick up numeral shape and calendar type as well as the language.

So far this change doesn't affect the behavior of the number formatter
but only to pick up extra data that Excel provides (that we need to
map to our own later on).

2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [163693e3bc1884284bb9809506eecf6df3962631]

Get this to work under windows.

The test code itself isn't compiled with SVL_DLLIMPLEMENTATION
so either it gets compiled with SVL_DLLIMPLEMENTATION and links
to the .lib or it gets compiled without it and links to the .dll
and sticks to the exported methods. In this case we can currently
take the latter methinks.

2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [94d22dc2bff29d5a36e72b2f1e95f4002cddbe5b]

remove unused export.map


2011-02-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [88d9b1b82c6eb78dfc118ec32db33ebd81fa82d5]

debuglevels: simplify the build system, by complicating the OOo code ;)

Introduce DBGSV_(TRACE/WARNING/ERROR)_OUT, which controls the output channel for tools-level
traces/warnings/assertions, when no dbgsv.ini file is found (this is the increased OOo complexity).

Use this in installationtest.mk, instead of creating a dedicated dbgsv.ini file.

Yet to come: add support for DBGSV_ERROR_OUT to the GNU make build system. Which is the reason why
DBGSV_ERROR_OUT was introduced: Currently, running a GNU make based test pops up assertions as message
boxes. Before the change here, we would have needed to add dbgsv.ini support to the GNU make build system,
which sounds not like a funny a reasonable thing to do. So, instead, we will simply set DBGSV_ERROR_OUT,
which is much simpler and less error prone.
2011-02-24  Joachim Lingner  <jl@openoffice.org>  [fdc68d5dbee78c55626c5e3b4d23985cee6b7136]

jl164 #i109096# HelpLinker does not work with long path on Windows XP because of fopen


2011-02-24  Joachim Lingner  <jl@openoffice.org>  [f725808b3d1ae8e686d7731778725883e12ddb5e]

jl164 #i109096# java help indexer service did not work with long file paths


2011-02-23  Joseph Powers  <jpowers27@cox.net>  [956c02ea8a8cf7bd2c22f6ca6b60ac325352c839]

Some more #include <boost/ptr_container/ptr_vector.hpp> fixes


2011-02-23  Joseph Powers  <jpowers27@cox.net>  [bc99bf60638c286922b09ba5f33166be96c21472]

Add missing #include <boost/ptr_container/ptr_vector.hpp>


2011-02-23  Kohei Yoshida  <kyoshida@novell.com>  [28370475daecb60a545aeba4d93a4bbd0ca532db]

Unit test for default number format codes for US English.


2011-02-23  Kohei Yoshida  <kyoshida@novell.com>  [f50073aac85a376c385aa4373d812e7ffc285a05]

Run unit test as part of the build.

For now, there is no test yet, but it's coming soon.

2011-02-23  Kohei Yoshida  <kyoshida@novell.com>  [1fd9b57c03e1ba569c2003b2f7503693678ecb1e]

Initial unit test skeleton, copied and modified from sc.


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [834333bcc57a86abf34220e604da6870bc9c27d0]

debuglevels: pulled and merged latest changes from same CWS / other repo


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7179fd559407350ee74f2291adb9e2a79cb34796]

debuglevels: removed unreachable code (unxsol* WaE)


2011-02-23  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [67441fb7d40ee8395f545f6d6d04d2d24026d88f]

Update from master repository (DEV300_m100).


2011-02-23  Kohei Yoshida  <kyoshida@novell.com>  [03d685c85f765c9d32e52820b4244ccefa7b6856]

Git commit --amend implies -a !?  Removing uninteneded commit.

So, it seems that when you git add and git commit --amend, it commits
all changes even when you don't specify -a !?

*sigh*

2011-02-23  Kohei Yoshida  <kyoshida@novell.com>  [0c6497cf4eebd0999f9e0f925d0bc0f25e68116c]

Updated method documentation to be more specific.


2011-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [77b5c93209bd9a458c095ba12f4d7dcb7340ba11]

vcl119: solve a merge problem


2011-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [5df2384951442331ee1b36452c4ff94f39aee43d]

vcl119: rebase to DEV300_m101


2011-02-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [3dce170195e758e614477ca38a5b720434cf5843]

vcl119: persistent window state for print dialog


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c189b6244fd9c774152e0dcb65c4f0d6a0dbb4a6]

debuglevels: pulled and merged latest changes from DEV300_next


2011-02-23  Luboš Luňák  <l.lunak@suse.cz>  [f836140555c905f85464e6a0e355171231e81054]

try to work around IM problems with KDE4 integration (bnc#665112)

See comment for SalKDEDisplay::checkDirectInputEvent(). This was
introduced when switching to using Qt event loop, Qt processes
IM handling before LO gets a chance to do something and this conflicts.
This is rather hackish but I have no better idea and as long as
the IM protocol does not change it should be fine.

ACK by Petr Mladek.

2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [523001fc554a12eacd5f4c3e9438a914a9c31ea5]

debuglevels: merged to-be-m101


2011-02-22  Kohei Yoshida  <kyoshida@novell.com>  [367a658bb537c964be3f940ce24b81e6666a688b]

Accidentally changed the logic. Fixing it now.


2011-02-22  Kohei Yoshida  <kyoshida@novell.com>  [775f6adf7dba25e69132e3fa113925ff311dc125]

Break up giant if statement into smaller ones.


2011-02-22  Kohei Yoshida  <kyoshida@novell.com>  [6ec2f4f6ab8e61ccddd8a595ef708603d5104e08]

Fixed indentation and bracket style.


2011-02-22  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [d45ded1ada6808349eecf94d265277b9d0fe5e53]

vcl119: #i109847# #i112313# workaround a strange clip region problem on windows printer drivers


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [49008f4beff6f44441476cf394e36e5b03993d2e]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [2d45c235a02b07de09514dd2fe096f4daacd1ccb]

Don't use gsl_getSystemTextEncoding for the imported clipboard AnsiString

What the *current* system encoding is has no bearing on what
the source one was. Unfortunately doesn't seem to be stored anywhere,
so best to assume 1252.

2011-02-22  Nigel Hawkins  <n.hawkins@gmx.com>  [a780de704fb00a2a21e87b2fad042f35a940e6f0]

Remove SvBools from svl


2011-02-22  Rafael Dominguez  <venccsralph@gmail.com>  [e0b9df123939c6ea273e7fe5fe40a106ce0c7a0f]

Update mpItemList from std::vector to boost::ptr_vector.


2011-02-22  Luboš Luňák  <l.lunak@suse.cz>  [871595f09d0b63997f098d6a8b9d457db989c158]

try to work around IM problems with KDE4 integration (bnc#665112)

See comment for SalKDEDisplay::checkDirectInputEvent(). This was
introduced when switching to using Qt event loop, Qt processes
IM handling before LO gets a chance to do something and this conflicts.
This is rather hackish but I have no better idea and as long as
the IM protocol does not change it should be fine.

2011-02-22  Luboš Luňák  <l.lunak@suse.cz>  [882e85cd8aabc28abdcbfb2dbf2bc6b54e868190]

report properly button positions in Qt scrollbars (bnc#550828)


2011-02-22  Michael Meeks  <michael.meeks@novell.com>  [18a79a536aa38479517b1fd29eaf5e15da05d8dd]

fix fdo#32640 - un-necessary reverse lookup on startup

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [e88ceb097c39ce8a556897b8664f10b1d5504b46]

revert this


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [c0d02fa33017f3559601326a16736c054ff614a3]

-r and -s doesn't do anything


2011-02-22  Michael Meeks  <michael.meeks@novell.com>  [629bf06c491ea556f65f935b113532fb5c37c058]

fix fdo#32640 - un-necessary reverse lookup on startup


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [44dc57f6a6503d1b8161823057973e8150c74482]

fix build error


2011-02-21  Joseph Powers  <jpowers27@cox.net>  [b14a3919f15badcf65c1954d112bf9ca83d0efb6]

Remove SV_IMPL_MEMBER_LIST (it's not used)


2011-02-21  Joseph Powers  <jpowers27@cox.net>  [801ecf81f7cbc5a1dada1887f2b930a17990af41]

Remove DECLARE_LIST( DdeFormats, long )


2011-02-21  Joseph Powers  <jpowers27@cox.net>  [3233b666d82f3a1e3443732c1ac2a7c81502a259]

Remove classes DdeServiceList & DdeTopicList

These don't appear to be used anywhere.

2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [720e9dd1c1a505dec57d9d763cf734930fc47c23]

Remove ZTC support

Obsolete Zortech compiler

2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [3c3a3197d3695612af9181f6ecaeaa8e7c6ba6be]

Remove CSET support

Obsolete IBM CSet C-Compiler

2011-02-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [7d16c5c24479830f13e30bffe3b0bf44f9d2b19c]

vcl119: #i114306# update jobsetup before and after print job


2011-02-21  Francois Tigeot  <ftigeot@wolfpond.org>  [36f1f2fe440bacd37c0c0f9eb21de49bcb36cbd1]

Remove OSF/1 support


2011-02-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [adc4ce43673382565777d971250404aec703ad43]

#i117037# re-introduce the XDialog2 support which got lost with some merge conflict resolving


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [d5c4750337c5b866b67d9afa684a8342e6c52d30]

Include precompiled_tools.hxx


2011-02-21  Radek Doulik  <rodo@novell.com>  [faf02acc88bc4d7ead617e8e4999ac717bbce31b]

fix cairo canvas edge count calculation

(cherry picked from commit abb5233c0b9b584407b4696f5db2c330ca45b632)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [8b09e97588969e0e4f6433cf6868566e1ab317ad]

Drop a few apparently pointless assertions


2011-02-20  Joseph Powers  <jpowers27@cox.net>  [39177ec1604298ee68f1c953326629a8fb71838c]

Remove DECLARE_LIST( ImplTabBarList, ImplTabBarItem* )


2011-02-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ab716c44eecf58c3a870892a9acfdb947ac44735]

debuglevels: #i116845# replace the 'CoreDump' output channel for assertions with 'Debug' The former was implemented on Windows only, and then effectively the same as the 'Debugger' option. So, it was removed in favour of a new 'Abort' channel which, well, aborts when an assertion fires.


2011-02-20  Thomas Arnhold  <thomas@arnhold.org>  [de449732ea1fc91f3a31c8beabb150c3e07b5092]

Remove TCPP support

Old Turbo C++ compiler.

2011-02-19  Joseph Powers  <jpowers27@cox.net>  [c3720cffcbf23111820e49222c6daf30f02ab210]

Remove DECLARE_LIST( SalFontCache, SalFontCacheItem* )


2011-02-19  Joseph Powers  <jpowers27@cox.net>  [c6bc0ec7f2d4f12b6657ee5edb1061da2e5df7b2]

Remove DECLARE_LIST( SalFontCache, ExtendedFontStruct* )


2011-02-19  Joseph Powers  <jpowers27@cox.net>  [0652ae4bd471a14df87394794fc1bd37eb372a53]

Remove DECLARE_LIST( SalDisplays, SalDisplay* )

It's always easy when they aren't used.

2011-02-19  Joseph Powers  <jpowers27@cox.net>  [f91ebb7e51fcf72f3e7064af95ba6e424d1f0974]

Remove DECLARE_LIST( ImplTBList, ToolBox* )


2011-02-19  Joseph Powers  <jpowers27@cox.net>  [052d00a6e356a1731abef629e4be84319e60eeae]

Some more #include <tools/list.hxx> cleanup

I basically removed them for everywhere and then added back in only the
ones required to get it to build.

I did a "make distclean" on Mac and it worked.

2011-02-18  Joseph Powers  <jpowers27@cox.net>  [5d45f20e65069d3f48c0f3d194cfa83e3e746e27]

Remove DECLARE_LIST( ImplStatusItemList, ImplStatusItem* )


2011-02-18  Joseph Powers  <jpowers27@cox.net>  [4d9c75adf6cae7b30d917322e0dd2212a6597e1e]

Remove DECLARE_LIST( ImplSplitList, SplitWindow* )


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [c5556e23cf4e619856433a079a17935afde8421c]

tidy this up and be consistent


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [61e1d71e8d4d5cef9379f555a7e36df29d5b374a]

Try and protect the Indic grapheme/cell skipping with a unit test.


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [4991331a706a42953dbb3cb424359e9507f80cdf]

Resolves: fdo#33898 Try and use EUDC as first-level glyph fallback font


2011-02-18  Takeshi Abe  <tabe@fixedpoint.jp>  [4299e7c6dca4cded5e1e5780f17889200e68b988]

Removed unused variable


2011-02-18  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [ac7f067881d2afcbd57ed70a52e6cd1d09398493]

Use decimalStringToNumber for natural comparison


2011-02-18  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [4919987ff6a50313925341aad6141249739ea67e]

Added comphelper::string::decimalStringToNumber


2011-02-18  Release Engineering  <releng@openoffice.org>  [14caafb68b7085b58315f870be8f711ed2e6a111]

merged DEV300


2011-02-18  Tor Lillqvist  <tlillqvist@novell.com>  [0c3d975e0a9599c2daf14e7fd54acad559850c1d]

Drop 16-bit Windows code


2011-02-17  Joseph Powers  <jpowers27@cox.net>  [10ad9a22a4eac9f8c221e93abf7da2ac5eb8e2e5]

Remove DECLARE_LIST( ImplBtnDlgItemList, ImplBtnDlgItem* )


2011-02-17  Joseph Powers  <jpowers27@cox.net>  [71a79cf252f39a2f3a0514c6f6baa078e3cb6734]

Remove DECLARE_LIST( ImplAccelList, Accelerator* )


2011-02-17  Radek Doulik  <rodo@novell.com>  [dc3e6b46400c42e0148925c31de43edf9c6fbacf]

Revert "fix cairo canvas regression - do not access polygon points outside range"

 - it is not needed anymore

This reverts commit a898a8cb077c05b1085da8254e66f61aa265b7dc.

2011-02-17  Joseph Powers  <jpowers27@cox.net>  [a8c2a81cc55f91b37f2c513cc7889a3e3f16e2fd]

Remove DECLARE_LIST( ImplAccelList, ImplAccelEntry* )


2011-02-17  Joseph Powers  <jpowers27@cox.net>  [d56053e397b11ba0adc34328717c73d74a0c07fd]

Remove DECLARE_LIST( ImplMoreWindowList, Window* )


2011-02-17  Christina Rossmanith  <ChrRossmanith@web.de>  [28f781cf124dbd1b94c7003ee715a09a9e93bc34]

Removed unused methods


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [b97ecdf4a046ab9f29e86368317d245ae9c109bd]

CWS-TOOLING: integrate CWS l10nmove


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [0f0dc820c617660313ed9215fd5edb3a8ec979db]

CWS-TOOLING: integrate CWS gridsort


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [31ff78a5c8b106333ffc59e1e0ebd75f4b8e9f36]

CWS-TOOLING: integrate CWS locales34


2011-02-17  Radek Doulik  <rodo@novell.com>  [abb5233c0b9b584407b4696f5db2c330ca45b632]

fix edge count calculation


2011-02-17  Julien Nabet  <serval2412@yahoo.fr>  [b9d3e82c547abf924c698190702c5d70d07dbfa0]

fdo#32552 alt key opens "File" menu


2011-02-17  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [8af50dae6df48005cf97b631abfba654ebfeffa6]

#i115784# dtrans: fix #include filenames.


2011-02-17  Joseph Powers  <jpowers27@cox.net>  [ba7b5afa57e3cedeacfb40902322bc7089561335]

Remove DECLARE_LIST( ImplIdleList, ImplIdleData* )


2011-02-16  Joseph Powers  <jpowers27@cox.net>  [1ffdb5fafd8d222365698d0311c95d4fab6b7109]

Remove DECLARE_LIST( StringList_Impl, OUString* )


2011-02-17  Takeshi Abe  <tabe@fixedpoint.jp>  [5931c0debcf4e60c06c9b5595c18fefa9c0ddbc1]

Fixed typo


2011-02-17  Takeshi Abe  <tabe@fixedpoint.jp>  [db3e3b380f7ae79188ed9affa1ac5a5a28892184]

Removed dead code


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [647858098c3f6ea0cf8eef333bb04facd9aa2a74]

Remove BLC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"BLC - borland compiler (OS2, win16) - obsolete"

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [be57f8bdbc111f37504ab9f0a6c5bf2181eefd93]

Remove WTC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"WTC - watcom compiler (OS2, WNT?) - obsolete"

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [24e2e6f335afec346b8cb367b69308e42977ef65]

Remove MTW support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"MTW - metrowerks compiler (mac OS9 ?) - obsolete"

2011-02-16  Kurosawa Takeshi  <taken.spc@gmail.com>  [99564198cdf9b30c73dff02432a61323ff044296]

Use GDK_HAND2 mouse cursor instead of GDK_HAND1

LibreOffice uses GDK_HAND1 for POINTER_REFHAND and GDK_HAND2 for POINTER_HAND.
However there is not much difference between GDK_HAND1 and GDK_HAND2.
GDK_HAND1 means "a right-pointing hand" and GDK_HAND2 means "a left-pointing hand".

Since GDK_HAND2 is much more popular and some cursor themes don't contain cursor file for GDK_HAND1, we should use GDK_HAND2 for both POINTER_REFHAND and POINTER_HAND.

2011-02-16  Radek Doulik  <rodo@novell.com>  [74b3688c6a388f077f6dd01dffee63bb872cce5c]

fix cairo canvas regression - do not access polygon points outside range

(cherry picked from commit a898a8cb077c05b1085da8254e66f61aa265b7dc)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [570386760394e505bf7dcc8c61c3948dc4a51659]

Remove SCO support


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [3facc3bc4b78f049412fc9aef81af462cfec01cd]

Remove HPUX support


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [c413213c6cd34c6b126a7686f943da749ee2bce9]

Remove TEST* and DEBUG*


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [e9479d2d6f11c876695f84eba3f6e90e25f90c52]

Remove HDU_DEBUG

OSL_DEBUG_LEVEL > 2 isn't activated anyway so I removed it at this point.

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [62197ad2d0a8073817d8406d304afd0b58372dd5]

Remove unused USED ;)


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [0e32eb42cef44d79b7fe3b6837f2057a0383d155]

Remove XX_OV


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [297372733552610b7b260110e8d55dce381bb9b4]

Remove DBG_MI


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [66e8b4cf1280c43b989dd6a704eb77ee0c953cfb]

Remove unused files from svdde


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [a125486bfec05d2dbf1831ae0edd448358006fb6]

Remove OLD_CHAOS ;)


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [bc8cb60173e938fe4b27f877d882faedee7b46a0]

Remove erTEST


2011-02-16  Radek Doulik  <rodo@novell.com>  [a898a8cb077c05b1085da8254e66f61aa265b7dc]

fix cairo canvas regression - do not access polygon points outside range


2011-02-16  Joseph Powers  <jpowers27@cox.net>  [e22d5ab122c46e332060d9d17c342ef33de4cc33]

Forgot to remove the line of code I comment out.


2011-02-16  Joseph Powers  <jpowers27@cox.net>  [3d000f245c4d9c99b953385773767e9a90c53684]

Remove DECLARE_LIST( StringList_Impl, ::rtl::OUString* )


2011-02-16  Joseph Powers  <jpowers27@cox.net>  [165c3e24b85267b484b601e5054fd493092e78df]

Remove DECLARE_LIST( IMPL_ConfigurationListenerList, ConfigurationListener* )


2011-02-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [0d5465e35d032956271b057495a38adfde01b29a]

rebase two more patches to DEV300_m100


2011-02-16  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [9b62cbe6687a650995029fadc38294872f15e421]

rebase to DEV300_m100


2011-02-16  Joseph Powers  <jpowers27@cox.net>  [fa0c91f700c90d6b5e4201c07cf7c698e471f1a5]

Remove DECLARE_LIST( InternalStreamLockList, InternalStreamLock* )


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [79a1e9222f6a4772980efa26175b5829abc6ee94]

CWS-TOOLING: integrate CWS accfixes


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [6c32b55bac0b18c8c8a7081486c3c5ec6b1b8988]

CWS-TOOLING: integrate CWS mongolianlayout


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [931029a1f590d39128c48ec49c71d427c655bbfe]

CWS-TOOLING: integrate CWS ab80


2011-02-16  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [cc2e1cf9bbf3e793abec2e10be05e350ae8364d8]

Cleanup in comphelper unit tests.


2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [899df094017c479a32e19e751ccb7b1058c032a3]

clear windows warning, struct vs class


2011-02-16  David Tardon  <dtardon@redhat.com>  [c1a6f4e999c18d692b8c0dff46f71b80f44778a1]

WaE: unused variable


2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [06804c0fc64e5bf8a4e9939545ce8bdc427c5bb2]

WaE: ambiguous {


2011-02-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f80a743b2abc08b77b0132c75d7b7e138b9bcf7b]

Fix a crash when using on cygwin with symlinked directories

But only God knows where is actually the root cause of this crash

2011-02-16  Christina Rossmanith  <ChrRossmanith@web.de>  [1bec3a8d6b984e1a48308425eedacd2e191b7669]

fixed spelling menues -> menus


2011-02-15  Joseph Powers  <jpowers27@cox.net>  [c9d5abbf58d577bb162209fdd37957d9d4288865]

Remove DECLARE_LIST( FileStatList, FileStat* )


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [0fa8890482057cd4feb88cc96d01551f9e3f5036]

Remove HP9000


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [efb68812b19e1e697af56e0f687c4322d94c4590]

Remove unused and deprecated macros


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [66dea8c7399e06ba90f386ca4edaf5043d3f45ee]

Remove SINIX


2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [72c077af87526998afa8b2018b2e446e72e2d5af]

fixed compile errors after resync to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [a397e5f9ad0a6032e4d12d52a60a684cb9f1dc86]

CWS-TOOLING: integrate CWS spc01_DEV300


2011-02-15  Mathias Bauer  <mba@openoffice.org>  [d44259783b2ee4a64902f315fd69d9c38d42bb4f]

CWS mongolianlayout: resync to m100


2011-02-15  Andreas Bregas  <ab@openoffice.org>  [8c06f3559418a7062deff042a6cf03c6093416a1]

ab80: resync to m100


2011-02-15  Radek Doulik  <rodo@novell.com>  [104c373f43f494e059a040c323ea7e2f1b879d7c]

GDIMetaFile::bUseCanvas related changes (prerequisite for fixing n#650049)

 - add GetUseCanvas() for read access
 - update bUseCanvas when playing on metafile

2011-02-15  Radek Doulik  <rodo@novell.com>  [bb6e3a77426bd8815760f6a46914dfc3568527cb]

clean the code a bit


2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [d5fed83f5286c1be0f5431be7845916550d3e264]

accfixes: merged to m100


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [78bba90d9c0f9bad6140764b37001908e1a0c747]

remove Collator headers


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [156372046376f5b8346b844df08ccd0668136333]

these fairly heavy weight Collator Wrappers aren't used


2011-02-15  Francois Tigeot  <ftigeot@wolfpond.org>  [05c77c0d10fb43ff4987278fde7b720469a57e03]

dragonfly stuff


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [6b0b9c1f9bf382a503c0fc34591eb5ab2103a26c]

use Natural sort as default sort for listboxes, etc.


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [5cee52c4e132bc83d3840213ef303b53f7212989]

use Natural sort as default sort for listboxes, etc.


2011-02-15  Joseph Powers  <jpowers27@cox.net>  [45d5fb96f490600e1c2900dd9159e50ced19509e]

Remove DECLARE_LIST( FSysSortList, FSysSort* )

Note: FSysSort is an int. So I just changed it to a vector< int >. This
should reduce the chance of a memory leek and also speed things up a little.

2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [a98607009903c751cec9b9ae88d9f7e2077a082e]

CWS-TOOLING: integrate CWS vcl118


2011-02-15  os  <os@openoffice.org>  [f3b74edd2f7cee7221f09458e7b7f03aba0e485c]

m100 merged


2011-02-15  Joseph Powers  <jpowers27@cox.net>  [36522f65f9cf5cb39695ef54c0c8a82c77c87e25]

Remove DECLARE_LIST( DirEntryList, DirEntry* )


2011-02-15  Joseph Powers  <jpowers27@cox.net>  [732f667114e8947954e68efc969fbf09d656bffa]

Remove some extra DECLARE_LIST() items


2011-02-15  Jan Holesovsky  <kendy@suse.cz>  [1af3890a426394b1fad3ebf706f4f94991bad7b3]

Fix incorrect use of uno::Sequence.


2011-02-15  Michael Meeks  <michael.meeks@novell.com>  [dc42647b0dcce34d9c7d23758fb28741aae8eb00]

disable EMF+ rendering on windows - it doesn't work yet


2011-02-15  Michael Meeks  <michael.meeks@novell.com>  [5715b3d4200b8d307243a82fdadd898877f5bd63]

catch exceptions from failing UNO-ness, fdo#33785 backstop.


2011-02-15  Michael Meeks  <michael.meeks@novell.com>  [c0266efec94cb185268e2d120d6f6994d7cb59d9]

disable EMF+ rendering on windows - it doesn't work yet


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [4f72902ccfd8da112954a776e12acff177b6cca8]

chart52: merge with DEV300_m100


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [08212f41ee9e6321fcba9517c3dbc9da0674ecfc]

Remove HP9000


2011-02-15  David Tardon  <dtardon@redhat.com>  [27807f776bc5ddd91144da9c8c24b7766998174f]

destroy the VCL UNO wrapper as late as possible


2011-02-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7b1016af7b6ab3669c83973eb383e85fbe01776a]

gridsort: post-rebase fixes


2011-02-15  Jan Holesovsky  <kendy@noe.suse.cz>  [03225023fd48a37ed81848ec8c51964e1b5a422e]

Use contstructor instead of assignment, fixes unittest in sc.


2011-02-14  Joseph Powers  <jpowers27@cox.net>  [d9ecc206d98fcb09f4306eb4ca1a5de0d1db8159]

Merge PRV_SV_DECL_REF_LOCK into SV_DECL_LOCK

Also delete some commented out code.

2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d37c99c5fe5bb1f3372979d4f5ac14ef3c2fda69]

debuglevels: pulled and merged DEV300.m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d53806ff18ccb545aa7707345327c91b5c508007]

gridsort: pulled and merged DEV300_m100


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [aef78e6feac8a7c6b3f916bdecebff4aebc7c616]

visibility markup is in the wrong place


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [954f4e6538ed516848d955b1088788265aeb738c]

squeeze these down in case of StringCompare casting


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [182be9f9bc4153aba729bb3c64146ff13203d98c]

we can make this const


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [efb85252da68b4820d7e05e9519c49bcbc874c41]

Adjust this to use a Collator to do the string compare

And a break-iterator to break it up into string/digit sections. A bit over
engineered I guess.

2011-02-14  Kohei Yoshida  <kyoshida@novell.com>  [49d7d62a0236e99f518c7e7c032f1b277cb53b5a]

Correctly display shortcut keys for ';' '[' and ']'. (fdo#32891)

In the keyboard shortcut customization dialog....

On Linux, It's better to use Ctrl+;, Ctrl+[ and Ctrl+] than
Ctrl+semicolon, Ctrl+bracketleft, Ctrl+bracketright, respectively.

On Windows, these key names were empty.

2011-02-14  Kevin Hunter  <hunteke@earlham.edu>  [d9f7de3b9730aefc674d5d6110a29e0f6e58a9a0]

cppcheck: post- to pre- *crement change


2011-02-14  Ivo Hinkelmann  <ihi@openoffice.org>  [c6d9104cb26f416f3505653fd0fcc321b7b3d04e]

l10nmove: loc -> l10n


2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [3c7a167b1b3c912ef9e5a5ed59fda752dcbe3d35]

fix a merge problem


2011-02-14  Joseph Powers  <jpowers27@cox.net>  [499fbe0376e290aed3ec6d00206a26747329b11d]

Remove class SfxCancelManager

This is only used in binfilter; which has its own copy of the class.
make distclean & make check work on Mac OS X

2011-02-14  Joseph Powers  <jpowers27@cox.net>  [a723f877bc3197bed325603e7ea451140d02486f]

Merge PRV_SV_DECL_REF_SIGNATURE into PRV_SV_DECL_REF_LOCK

The 2nd macro is the only location in the code where the 1st was used.
I think it's easier to read if the 2nd macro has all the code.

2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [1828789faf8bf29abebde3c2efb974bd92f19566]

rebase to DEV300_m100


2011-02-15  Takeshi Abe  <tabe@fixedpoint.jp>  [868904db755e7bccf0f1e622768414a9508a92d5]

Removed an uncompiled file

Its use has gone at 2004: b24b344741fdd4bd8750ff54ce50b146dc31cc8f

2011-02-14  Michael Stahl  <mst@openoffice.org>  [2f06488896d709237d6b9ad8e40ef537a29edeca]

sw34bf03: merge DEV300_m100


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [65d3e635ba4a0a609b22e9bb223b5a99a8f67106]

move this (cool) natural sort into comphelper


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [a871ec81d793c8599f3f40f96155a9196141b76e]

move this to comphelper


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [dd0e82eccbe2e4eb70c3be66af80f11701f0d20e]

add mode lines to new files


2011-02-13  Joseph Powers  <jpowers27@cox.net>  [4230fc75d3d7c5a99fc1bed237aa30c668e1ca82]

Remove unused macros SV_DECL_IMPL_LOCK & SV_DECL_IMPL_MEMBER_LIST


2011-02-13  Joseph Powers  <jpowers27@cox.net>  [f42519a9ee059eb0f0dc6f51ffa2f9786e66118d]

Remove DECLARE_LIST( ImpSelList, Range* )


2011-02-13  Caolán McNamara  <caolanm@redhat.com>  [45c1171b653c7bf936a5815229795eab1ac50b5e]

cppcheck: reduce the scope of the variable


2011-02-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [50cc506f253f06e63c1c11fd57b8dea83e4ff87e]

debuglevels: silence WaE with uncmaxci.pro+debug


2011-02-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3b7134a685978d202c9ffa4a3b14dcd9dd9ad5e3]

debuglevels: SalRGB.other -> SalRGB.otherSalRGB. Allows compiling with debug an WaE on current Solaris platforms (whether otherwise the identifier 'other' conflicts with another one deep inside boost)


2011-02-13  Tor Lillqvist  <tlillqvist@novell.com>  [cb4c618f9b242087b01dcd18833cfc23c37bd9c1]

Fix x64 Windows build


2011-02-13  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [dae7bedd9a0da0a650f4cfefe05fec7e73389e40]

WaE variable types in fprintf, specify expected type/add casting


2011-02-13  Joseph Powers  <jpowers27@cox.net>  [d979e959592b9339ee07ca36843ddfb4455ec069]

Remove DECLARE_LIST( GenericInformationList_Impl, GenericInformation* )


2011-02-12  Joseph Powers  <jpowers27@cox.net>  [1af7142ef3ac842ac3a97fbae363e8c9e5c02094]

Don't export bootstrp/sstring.hxx

This file is no longer needed outside of tools.

2011-02-12  Joseph Powers  <jpowers27@cox.net>  [6e99ecaac5c51205f3c1b534ded4776400de73d5]

Remove DECLARE_LIST( UniStringList, UniString* )

This was only used by cuigaldlg.hxx/.cxx. So I moved the defination to the
.hxx. This allowed me to just delete it from this file.

2011-02-12  Joseph Powers  <jpowers27@cox.net>  [376422aac12f322375cc5015ddd573befa2d1465]

Remove unused class SUniStringList


2011-02-12  Joseph Powers  <jpowers27@cox.net>  [941eb9f005e08f413a5341266db2d9a602cbafae]

Remove DECLARE_LIST( ByteStringList, ByteString* )


2011-02-12  Joseph Powers  <jpowers27@cox.net>  [6ee3a0521bf60a49e7c3d35c7c2428799aa4eedb]

Remove some unneeded CDEFS+=-D_TOOLS_STRINGLIST

The only source code that referenced _TOOLS_STRINGLIST was sstring.cxx and
all it did was define it if it wasn't already defined.

2011-02-11  Joseph Powers  <jpowers27@cox.net>  [78bd97554160bf2c676794878d7965e8016ba618]

Remove DECLARE_LIST( ByteStringList, ByteString * )

Alsp fixed some memory leeks.

2011-02-11  Joseph Powers  <jpowers27@cox.net>  [2cc2e5b9a45887a53f01ad2fd324b6ed43f018ef]

Remove DECLARE_LIST( ByteStringList, MkLine * )

Also fix some memory leeks.

2011-02-11  Petr Mladek  <pmladek@suse.cz>  [29b510e2a77f65445831767fe2061a92b6b57279]

use "BrOffice" name if the Brazilian UI translation is used (bnc#33744)

it is not enough to check the system UI setting

Signed off by Michael Meeks

2011-02-11  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [fb3f07bf74d533502853e127974a39dd35357cf4]

Remove obsolete Hyperlink Bar from libs-gui

Removed all code related to hyperlink bar from libs-gui repo.

2011-02-11  Takeshi Abe  <tabe@fixedpoint.jp>  [3b8c4baec540c851ebf97d933e11150192defa87]

GetEnglishSearchFontName() searches Takao fonts

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-02-11  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [5efb77eeba4f0a3b5fc2cda98f13dbe442b28367]

DEV300 masterfix: #i116814,i116838#: fix XCloneable so that tests work again


2011-02-11  Joseph Powers  <jpowers27@cox.net>  [3fa9ccffd2af19e2983824083a08593462545d7f]

Revert removeal of mkfilt.

It seems that this is used manually to create build files.

2011-02-11  Joseph Powers  <jpowers27@cox.net>  [98d5291506c94a068948d43fe83401d0100fdfa0]

Remove an unused build tool addexes2/mkfilt

I did a quick ./g grep and didn't find anything that used it.
I also did a make distclean and smoketest, so it might be ok (Mac OS).

PS: If we added it back in, note that it has a major memory leek related to
the DECLARE_LIST().

2011-02-11  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [29bdde0dbf5e59edeec0a4d331cdc03641fb2764]

vcl119: #i114356# use PageRange property if application has set it


2011-02-11  Michael Stahl  <mst@openoffice.org>  [dfcca1b37461fe6f2374c07d4bb03baeefe4bbf0]

sw34bf03: merge to-be-m100 DEV300_next


2011-02-11  Andreas Bregas  <ab@openoffice.org>  [54d8da54f6a872499a51367a6ec7293a4b316987]

ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300

ab77: #163789# Handle class module factories document specific
ab77: #163732# Defer removal of documents until XCloseListener::notifyClosing
ab77: #163808# make VBA symbols Application.ScreenUpdating and Application.Interactive work globally on all documents
ab77: wae
ab77: #163840# read UTF-8 BOM
ab77: #163732# VBA UserForm_Terminate triggered too late while closing document
ab77: minor correction
ab77: assertion: do not call ::rtl::OUString::copy() with negative index
ab77run2: #163869# do not call Class_Terminate VBA macros when document disposes
dr77i: #163941# do not update drawing layer when pasting from clipboard after cut
mib21: #163944# ignore trailing whitespace in Basic source lines
mib21: #163948# allow to manually pack MSVC DLLs into extensions
mib21: #163948# multiprocess build fix
Authors:
Andreas Bregas <ab@openoffice.org>
Daniel Rentz [dr] <daniel.rentz@oracle.com>
Eike Rathke [er] <eike.rathke@oracle.com>
2011-02-11  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [071354e24035aa359b416b17dcd53b6ae8e17f87]

Fixed size computation for toolbar menus with controls (cherry picked from commit 8fc079ad197755ecb6191181de79fb60a6f6ae86)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [e93adfca1859b618ff0854aeff8b938ef3783f89]

try and use the same spacing between checkboxes and text as vcl does


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [e854a7889067a298922d44b423148b1ba556151b]

(std|boost)::hash on a const char* hashes the pointer not the contents


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [2756c9435e5af07a9a1ce93b4bbb76f552bb765d]

(std|boost)::hash on a const char* hashes the pointer not the contents


2011-02-10  Joseph Powers  <jpowers27@cox.net>  [4f8714a7052a0a0474896adc1339cb46b9dd6d39]

Remove DECLARE_LIST( ComponentEntryList, ComponentEntry* )


2011-02-10  Joseph Powers  <jpowers27@cox.net>  [79cd4bb9e39e0c8e80feb3503fd29b1dbb079841]

Remove DECLARE_LIST( UnoControlModelEntryListBase, UnoControlModelEntry* )


2011-02-10  Kevin Hunter  <hunteke@earlham.edu>  [d38e88ed6cfb8cccbd315d63291894ffc3740951]

cppcheck: post- to pre- *crement change.


2011-02-10  Michael Meeks  <michael.meeks@novell.com>  [29e6053738f10979a9a282d4c14de1af0e5538ab]

catch exceptions from failing UNO-ness, fdo#33785 backstop.


2011-02-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [21cc1ebc300babe993bffd686ad2066606998851]

vcl119: #i80730# fix cursor paint behavior and timer


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [d9787ab9282f6ee79eec4bd009278c109154c48b]

DEV300 masterfix: #i116747#: remove pre-OSX Mac resoure fork definition files (*.r)


2011-02-10  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [5f8990c7ace7ffaf34e887c28f345ccc304d2548]

Add a CompareToNumeric to ByteString & UniString


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [74355e8c20833e04669a789ed1e1a3faed1c6820]

DEV300 masterfix: #i10000#: fix typo


2011-02-10  Joseph Powers  <jpowers27@cox.net>  [420ba36357262eb3b6ddee0b917dbc8d5aa58b77]

Remove DECLARE_LIST( PopupMenuRefList, uno::Reference< awt::XPopupMenu >* )


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [619f7a11ae82b626f072a82512b5139fec283067]

DEV300 masterfix: #i116814,i116838#: re-enable test (XCloneable)


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [b336065890b4d382d496ab8a6dac9ea099f1c23c]

add sample Hangul text for hang script-tag


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [1bd86adb0f756e755f36a1779ed28c6f4ddf7467]

CWS-TOOLING: integrate CWS hr75


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [5ff10849437994317ccb2162580fc9722ba724fb]

preview area is a little overlarge


2011-02-10  Luboš Luňák  <l.lunak@suse.cz>  [8dd029aa89f4e980442ddc0361c8831421190823]

properly fix incorrect recent backport

ACK by Kendy

2011-02-10  Nigel Hawkins  <n.hawkins-KK0ffGbhmjU@public.gmane.org>  [25c172bc43ea39b659f421d1da0c5a18f3b5c22f]

Remove last traces of SvBytes from svl


2011-02-10  Nigel Hawkins  <n.hawkins-KK0ffGbhmjU@public.gmane.org>  [fb1eb425ffe023a9126cfa1e190cf77e9ebdeae3]

Remove SvBytes completely


2011-02-10  Takeshi Abe  <tabe-wFAinkBuZDxhPPLSxPa2lQ@public.gmane.org>  [1f6e66c431b58904829f60a94a0f45e8b87f349e]

fix memleak


2011-02-10  Takeshi Abe  <tabe-wFAinkBuZDxhPPLSxPa2lQ@public.gmane.org>  [11f000805d2b05de3badfa7a3fc590cdc7dfad75]

remove dead code


2011-02-09  Kohei Yoshida  <kyoshida@novell.com>  [33627b90c9ba8015a2c37bf1b59105c790c1b13d]

Perhaps the font layout capabilities should be read only once per font?

Or else the boolean data member makes no sense.  The mac code does it
that way too.

2011-02-09  Kohei Yoshida  <kyoshida@novell.com>  [797c363346185bf84a19950c2299d682e0ffc4d9]

Fixed a build breakage on Windows re FontLayoutCapabilities change.


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [39bc2d02c71b804565d275089d67a323d1e775b9]

Remove unused basic/workben


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [edbc91b090daa443bb78c867ca64a3ef43a8cf91]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d40e80813a9475bd6a6cb30a1ab6a26ccfca53b1]

Removing the ext_std masterpiece


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [4f38ce0b565ff22a17da005229c20e3685f2d908]

Remove old modified message


2011-02-09  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [a2703ea33e437e869ded4e835caae5da86f0eb39]

CWS-TOOLING: integrate CWS ivo30


2011-02-09  Joseph Powers  <jpowers27@cox.net>  [72157ed84eb6169a95f7182b8763de9c696de237]

Since the prototypes are const, the method should also be const.

PS: Also a missing ";"

2011-02-09  Joseph Powers  <jpowers27@cox.net>  [802e2ab87b524279c83865ca76a7cfe7881f0ff7]

Delete some unused code

Also some trailing whitespace in the editbrowsebox.hxx

2011-02-09  Radek Doulik  <rodo@novell.com>  [7de8695f19626c764a4b43cfb30179525d9a5956]

GDIMetaFile::bUseCanvas related changes (prerequisite for fixing n#650049)

 - add GetUseCanvas() for read access
 - update bUseCanvas when playing on metafile

2011-02-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [231c08745dbf29068bb13054eebc415bd2be46ca]

vcl119: #i116131# catch meanwhile invalid pointers


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [d2962abe43766bc94deb808b808b7c1ff1d25617]

revert this as its orthogonal to the font capabilities


2011-02-09  Francois Tigeot  <ftigeot@wolfpond.org>  [e98d7c6284344e7411ea40443de03f7c941ea6a8]

Show exception message


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [d3a45a1f667b0c11146ded5abe2af52c21e26d76]

Resolves: fdo#33510 A way to query about likely font layout capabilities


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [a8e88da77e8f73ee2d55249361db9115d454679e]

Resolves: fdo#33510 better font preview for Arabic/CTL fonts


2011-02-09  Joseph Powers  <jpowers27@cox.net>  [dab17b16bbdd36c645b73b6064a130e10982d58a]

Remove DECLARE_LIST( ImpFilterList, ImpFilterItem* )


2011-02-08  Joseph Powers  <jpowers27@cox.net>  [c2bcd53df63fc20c16dd14d84df566839fdcd4fa]

Remove DECLARE_LIST( UniStringList, UniString* )


2011-02-08  Joseph Powers  <jpowers27@cox.net>  [ab3d78a5aee9dfb82a0fdca2afe9197597953198]

Remove a comment out DECLARE_LIST

The easyiest type.

2011-02-08  Tobias Rosenberger  <son@ich-habe-fertig.com>  [88a40376969cb4154f1649c2b2eb4a2ca0343690]

translated parts of German comment in svtools/inc/ruler.hxx


2011-02-08  Kenneth Venken  <kenneth.venken@gmail.com>  [6656b1d7cfd2ec840e93b95a7c168ea88ca22777]

Refactor gendict


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [b7b10a26601cc83914d15a8703eb923df5084234]

prewin.h already includes <windows.h>


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [f9cccf77514c6c572986cfab0423da53438f6437]

add in AIX here as well


2011-02-08  Baptiste Daroussin  <bapt@freebsd.org>  [ecbec07771b518617c188a0a6ef182195214de0e]

LD_LIBRARY_PATH fix for freebsd


2011-02-08  Eike Rathke  <erack@openoffice.org>  [08ed2a3f5c53d67b9190666c3f42eee092ffc033]

locales34: #i116701# display all digits of era year in era based calendars also for SHORT_YEAR


2011-02-08  Thorsten Behrens  <tbehrens@novell.com>  [bca38f48296305f1dfc48416691159d3e0d4bf44]

Added iota to stl compat header, switch canvas to use that


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [3c45b1a733f56aa9e622fddd0c8832b32c5a933b]

revert USHORT->size_t change, breaks build

clone/components/cui/source/tabpages/borderconn.cxx:215:1: error: narrowing conversion of '-1u' from 'size_t' to 'short unsigned int' inside { }

2011-02-08  Eike Rathke  <erack@openoffice.org>  [df6240551bacea8614c08b4c643f9b9316cb7f4d]

locales34: merge m99


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01dc580419e0707f346dc780c07d4ed5d53cbca8]

Port stuff to our private implementation of SGI extensions


2011-02-08  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [462b3d61e352189d3d4c71acb7f62f6919381fd1]

lp#696527: enable human icon theme in LibreOffice (cherry picked from commit 00b43fc0d82950e2abc57cca3746d395252bc9e0)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-08  Joseph Powers  <jpowers27@cox.net>  [27f2608c5d1deb6cfc8c7e56239563815588e015]

Remove DECLARE_LIST( ValueItemList, ValueSetItem* )


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [28ffd925230908e78f6cdf4ebaad86820cd0fe8f]

CWS gnumake3: resolve conflicts after pulling in cws removetooltypes01


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [dccdf3fba8ee8224259b0e03496a7d4191670d7d]

GetTaskItem unused anywhere


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [aaffd8e311f5fc8e074506b705771e42a6e51745]

Move prewin.h and postwin.h to solenv and adapt


2011-02-08  David Tardon  <dtardon@redhat.com>  [0ec0893ce8b8d9a023da1479739dfba9117f5239]

do not derive from std::list


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [9428bb323f9ea1855d464583d76501f5e195cfab]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Thorsten Behrens  <tbehrens@novell.com>  [0f4b5e19fcc872bc7a452edc66cbcb6ce413b5d7]

Remove last remaining SGI-ism from basebmp

Get rid of std::project2nd, which is an SGI extension to STL.
Permits build against compiler-provided stl, no need for stlport
anymore.

2011-02-08  Takeshi Kurosawa  <taken.spc@gmail.com>  [cc7391712b64f0b805eaeeed6bc5b548003ca2d4]

Encapsulate calculation of gradient bounding box to Gradient::GetBoundRect

Export filters need to get gradient bounding box.

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [25fce4988d40042bdb2d754888dec36a3858ee1c]

Fixed crasher introduced by commit #196197b2


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f2dd092d577fc60fbfd5eaf90e47924dda13bd8a]

std::bit_vector -> ::std::vector<bool, std::allocator<bool> >


2011-02-07  Joseph Powers  <jpowers27@cox.net>  [1b4db06c87782d6281c7af2f5ae94568f64a557c]

Remove DECLARE_LIST( ImplTaskSBItemList, ImplTaskSBFldItem* )


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [4e043a2fff67ec6124f5772b47e533f5521e29cc]

Fix comphelper parallel build, so that the tests may run.


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [ec429247fb8613ab7e030d42db8efbc75bed6e8f]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	vcl/unx/kde4/KDESalGraphics.cxx
	vcl/unx/source/gdi/salgdi.cxx

2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [195e11ae09df2c1189e77c6609f9cada2d8d816e]

Remove some dead code


2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [e96af00f42a3ae85f3a538e7d3ff6c015b4b98a8]

hr75: #i116747#: remove obsolete copyright notices


2011-02-07  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [00b43fc0d82950e2abc57cca3746d395252bc9e0]

lp#696527: enable human icon theme in LibreOffice


2011-02-07  David Tardon  <dtardon@redhat.com>  [e733989c94603878b4ac4cf08125fde303c55879]

actually enable the STL adaptation


2011-02-07  David Tardon  <dtardon@redhat.com>  [131a1f0fe7655cf5b039c342c385318212608a44]

TESTSHL2LIB does not exist anymore


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [d8227e38864d8fc74a754ef86919528872d5783c]

removetooltypes01: #i112600# Fix build problem after rebase in toolkit


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [95b5d2acfc064710a0fde22d3bd831feed324efc]

removetooltypes01: #i112600# Fix build problem after rebase in vcl


2011-02-07  Joseph Powers  <jpowers27@cox.net>  [868303b7accf4ab0a8c3b40a766cf52d5f7195ff]

Remove DECLARE_LIST( ImplTaskItemList, ImplTaskItem* )


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [4fd337689f1bc9f8e584cc2d3dfe126f27fa18c2]

removetooltypes01: #i112600# Fix problem after rebase in svl


2011-02-07  David Tardon  <dtardon@redhat.com>  [79b76265a16ab7cb2198aee50bf5621815d8d7f6]

add (pre|post)extstl.h around cppunit headers


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [257a777d51156d8b5519e68cedca92d27f6ad1c3]

removetooltypes01: Rebase to DEV300m99


2011-02-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8fc079ad197755ecb6191181de79fb60a6f6ae86]

Fixed size computation for toolbar menus with controls


2011-02-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [560ee224078b7b153c8acf305d5e3387dc46bcbc]

Fixed ToolbarMenu drawing text over controls if any


2011-02-07  Xisco  <xisco@Xisco-PC.(none)>  [1d5b1333fb1f5741ca9527b5e2060a2d60059aee]

fix cppcheck errors and warnings


2011-02-07  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [9d42e6936b0725c39e4514d18edee16d478a67f3]

Removed odd line.


2011-02-07  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [3c8a234a8bcd0e75615c3a477aa062990ef9a71e]

Re-animated tests that were based on deprecated testshl.


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d449df56d95459a83457495fb8e6a24d3fa300b7]

little cleanup of comments


2011-02-06  Andreas Sliwka  <andreas.sliwka@gmail.com>  [6e2ce8b1de83ec6c44e118b7c41fee022b98bbb0]

translate some German comments


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [b78b0b52d7656ac0c1aeeaadff320396299d3175]

Remove dead code


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [8c25607adc2363da0c3619acf4bf3c4f60582b8f]

Correct OSL_DEBUG_LEVEL usage

- remove values greater than 2
- move level 1 for debug_printf() to level 2 as it's user defined output
  and it gets defined at level 2 in salframe.cxx for example.

2011-02-05  Joseph Powers  <jpowers27@cox.net>  [d3db3ae7565d18acbda68dc1e7ca95b8646a2c6d]

Remove DECLARE_LIST( ImplHeadItemList, ImplHeadItem* )


2011-02-05  Joseph Powers  <jpowers27@cox.net>  [4a94538e9ba45ce65148d85ffa2dee52c5275ef8]

Remove DECLARE_LIST( ImplFontList, ImplFontNameListData* )


2011-02-05  Joseph Powers  <jpowers27@cox.net>  [196197b206b3404b331895a5444ec5ce45b4bf1b]

Remove DECLARE_LIST( ImpLineList, ImpLineListData* )


2011-02-05  Joseph Powers  <jpowers27@cox.net>  [1ea1910f738406085b0acc4dfe43a84a3fe93f97]

Remove DECLARE_LIST( ImpColorList, ImplColorListData* )


2011-02-05  Joseph Powers  <jpowers27@cox.net>  [389344e5efbe9084a90e66667078fad7b78d57d8]

Remove DECLARE_LIST( NewDocList_Impl, ::rtl::OUString* )


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [27fac980087ff7648ba480de11e1055c5cef432e]

some more std::hash_map::resize rests removed


2011-02-04  Joseph Powers  <jpowers27@cox.net>  [c8654eacdcb75d97218d9dcd70347f7ac974904b]

Remove some more INCLUDED_HASH_MAP guards.

INCLUDED_HASH_MAP is used for <hash_map> also which can cause issues.
unordered_map.hpp has it's own internal guard so its safe to just remove
the exernal guard.

2011-02-04  Joseph Powers  <jpowers27@cox.net>  [babcd2d0075e8a60825d5a87f2589f7a2ef54baa]

Remove the #include guards. The .hxx file has it's own guards.

Also add #include <vector> to work around a boost issue.

2011-02-04  Tobias Rosenberger  <son@ich-habe-fertig.com>  [905bb143ff4355b55d3c5d76b2f252f732c2df7e]

Translated parts of German comment in inc/ruler.hxx


2011-02-04  Rene Engelhard  <rene@debian.org>  [55b64863ec6eec23de004be6de7bcea7d47d806c]

add explicit QRegion* for clipRegion to fix compile


2011-02-04  Michael Stahl  <mst@openoffice.org>  [a2909176808335bdaaeb0d6a423a52d7e2c136f0]

gnumake3: toolkit: disable unoapi test UnoControlDialogModel


2011-02-04  Joseph Powers  <jpowers27@cox.net>  [6ecdae26517b89ee6707eea336b9251f5e493d1f]

boost::unordered_map<> doesn't support resize()


2011-02-04  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [0218f1016207cb20b6ad8a5d521e667a5e4b1861]

No resize for boot::unordered_map.


2011-02-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [78edcb1160bd4fa45170bc21ce3f31f10d00d172]

gridsort: need another include after the rebase to m99


2011-02-03  Joseph Powers  <jpowers27@cox.net>  [974d747369d4e41c1e3c31ec704530e200ffbe3d]

Remove DECLARE_LIST( HistoryList_Impl, FolderHistory* )

Also found some memory leeks...

2011-02-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [8a0b6109a35ffa2841a37efa42628fc2ba7e0da7]

std::hash -> boost::hash


2011-02-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d3a2c05c6481755cc6e11dba5feee4e4a6aef26b]

use boost::hash instead of std::hash


2011-02-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7663a623e41406c16140a955003b0073dba2fdf3]

Bulk move libs-gui to boost unordered containers


2011-02-03  Chris Carpenter(mordocai)  <mordocai@gmail.com>  [2f0b0c37e7f1817c826b8ecf9bf841990b84f0ac]

Complete Easy Hack: Remove obsolete BmpColorMode enum


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [63a3bb846802463d47d2b789d79208fda4ae53b2]

CWS gnumake3: some problems found in rebuild after resync


2011-02-03  Peter Jentsch  <pjotr@guineapics.de>  [c0d3ecab12f990b0c534c690ba4ea7d5c79860e9]

New sax documenthandler adapter.

A simple adapter for sax document handlers and is a prerequisite of
the new flat odf export implementation.

2011-02-03  os  <os@openoffice.org>  [a77d0646b031563c953d829c10f9a72436680469]

initialize boolean value


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [127294646845f9963a13a563ecf773665f37605e]

CWS gnumake3: resync to m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [beb9c9637d4d27c113aaadf860868b838e0558ba]

fix copy ctor and assignment sigs


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [bc2e289368259e820c0110fac73aae29f399f22c]

fix up some includes


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [470263b82373187452832299c7cf1442a43b4cd9]

Related: fdo#33510 right align symbol preview area and center text on line

Stick the symbol preview over on the right, do more careful shrinkage of fonts
to fit height if neceessary, chop bits off the preview text to get it to fit in
available space to make it looks pleasently aligned.

Be way more careful about centering the text in the available area.

2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [49c72c82b2b6301d6e9fcff309fd7381b1b2b02b]

Related: fdo#33510 identify known symbol fonts that don't advertise as such


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d480d544e2f0630d536c164d7fcb909a61e5facc]

chart52: merge with DEV300_m99


2011-02-03  Mikhail Voytenko  <mav@openoffice.org>  [ff095e9bb7793782c9a7c13d43c1c801cb3c6127]

removetooltypes01: #i112600# adjust cairo-related source code in canvas


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [95efc5bb48e1fcf0677dd48483d74c5fe3c6fb0c]

CWS gnumake3: gcc warning fixed


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [234b994ea95a3f532b7b402e9fd2ee907df63844]

CWS gnumake3: clean up mingw stuff after adding STDLIBS


2011-02-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [37611627fb4206928e4012858bd88673f700cb70]

pulled and merged DEV300.m99


2011-02-02  Joseph Powers  <jpowers27@cox.net>  [baca441250208ba80a059a516647e7eefa690f6c]

Remove DECLARE_LIST( StringList_Impl, OUString* )


2011-02-02  Joseph Powers  <jpowers27@cox.net>  [8b7cbdf258f1515e72ae62d9286a13241fb1a249]

Remove some commented code


2011-02-02  Joseph Powers  <jpowers27@cox.net>  [524039eba26f4d16f058f008d353aaad036c8638]

Remove DECLARE_LIST( RectangleList, Rectangle* )


2011-02-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e5753897d2221f849d02a4dae1de448b3190482b]

gridsort: disabled a test which currently fails on Linux


2011-02-02  Jonathan Callen  <abcd@gentoo.org>  [ae795936750a714ec523cfa52d593625e59804b5]

Convert tools/list.hxx usage to std::list


2011-02-02  Mathias Bauer  <mba@openoffice.org>  [513fa25ad2fe3d827f70626d76e0e707a24fdf19]

CWS gnumake3: rename gb_StdLibs -> gb_STDLIBS; remove explicit linking of individual standard libs from makefiles; fix export problem in framework


2011-02-02  Joseph Powers  <jpowers27@cox.net>  [c97e6bafd6b7c4bf6af8aafdc6597a757c327238]

Remove DECLARE_LIST( BrowserColumns, BrowserColumn* )


2011-02-02  Mikhail Voytenko  <mav@openoffice.org>  [f5bfb74ea425798673824999ee76a77ef676c3d0]

removetooltypes01: #i112600# fix wrong type usage


2011-02-02  Kohei Yoshida  <kyoshida@novell.com>  [be0393f12c023de49dace77f50db9e168a56b303]

i18npool now depends on cpputools for regcomp for its unit test.


2011-02-02  Ivo Hinkelmann  <ihi@openoffice.org>  [948d004a475dee6b86788adaf495a74c16124935]

ivo30: #i116651# fix for unlocalized help


2011-02-02  Joseph Powers  <jpowers27@cox.net>  [fcad67121977628f4a6bfc47536aee859516e8ac]

Remove DECLARE_LIST(SvAddressList_Impl, SvAddressEntry_Impl*)


2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [f18e99ec0d7264a59e7356532334197578f67bab]

enable the breakiterator line break test


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [cbc679efa5dcda07ffd14824d1c5c0fb21a7e5ab]

Clean up makefiles


2011-02-02  os  <os@openoffice.org>  [f4729dab3b1bcd057fc569d712163e37c387d0cf]

os146: gnumake3 merged


2011-02-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c7b1581ac5796c5bdfe684ce468cf06747918154]

gridsort: when cancelling a column sort by releasing the mouse outside the start column, properly recover the handler state


2011-02-01  Joseph Powers  <jpowers27@cox.net>  [cdb020f73c421191bacae4325db8ddca430b6c38]

Remove DECLARE_LIST( UCBStorageElementList_Impl, UCBStorageElement_Impl* )

Also:
- Fixed 2 memory leeks: UCBStorage_Impl::Commit & UCBStorage_Impl::Revert
	They where erasing the list item but not deleting the object.
- Fixed the code to not skip the element after a removed item.
	UCBStorage_Impl::Revert & UCBStorage_Impl::Commit

The code passes smoketest.

2011-02-01  Michael Stahl  <mst@openoffice.org>  [3059581035523f6f19f2d403810623c2c1afa950]

gnumake3: remove loads of obsolete dmakefiles


2011-02-01  Michael Stahl  <mst@openoffice.org>  [8b79b54a6d04eeab5113c7bd0a753d98ca4a14fc]

gnumake3: remove obsolete cppunit test in comphelper


2011-02-01  Michael Stahl  <mst@openoffice.org>  [c72941db6c1aa92c91db9287e8d8b33d39126fc1]

gnumake3: convert some dmake files for tests to gbuild


2011-02-01  Michael Stahl  <mst@openoffice.org>  [27d71ecde436863b1ffc671eaf153a85822ff972]

gnumake3: remove dmake files for tests in converted modules


2011-02-01  Mathias Bauer  <mba@openoffice.org>  [7f116b0732f61c28553f4a94911ed46705c24384]

CWS gnumake3: use standard linked libs on Windows


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [e83a41564e1780e36ad2affd3dce2aa3939972db]

Clean up makefiles


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [6703163cd201792d6bc9976a56072cfa4509484b]

Remove RCS information


2011-02-01  Joseph Powers  <jpowers27@cox.net>  [e3e3b8d6b0b2a6c89cdfa8c1fe26f722d108d375]

Remove DECLARE_LIST( FileStringList, String* )


2011-02-01  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [4e44602b40d61f8b80480c453ac12f7a1b281cb9]

vcl118: #i65970# revert earlier changes


2011-02-01  Ivo Hinkelmann  <ihi@openoffice.org>  [04ecd378b246cc2ee4c15843ee80b6407010968a]

l10nmove: #i116586# Move l10n module into own repository


2011-02-01  os  <os@openoffice.org>  [bb126840d46e6230f40d9f4f8013e923076ba08d]

m98 merged


2011-02-01  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [fa3f44bafd4804cbdad2b52b07e57ab65a31e5ae]

Update from sibling repository.


2011-02-01  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [79e92eacb2102f846e27b23496bc9d28dcd5377f]

#i115784# Valgrind: conditional jump or move depends on uninitialized value(s).


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [a2d578cda3a94b8a28c8030a173bb69cf91e5aad]

CWS-TOOLING: integrate CWS writerfilter09


2011-02-01  Caolán McNamara  <caolanm@redhat.com>  [b77f7f6cf6cf8789d82f1cbda7298fc290728143]

exclude the localized style names from the cachemap


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [bdf831413e608a6600fc1dfce2590883ef08cb46]

CWS-TOOLING: integrate CWS dba34b


2011-02-01  pgajdos  <pgajdos@novell.com>  [650ad1697d1e8087159f6c7de51e36a9ae428de4]

Fixing font style languages.


2011-02-01  Michael Meeks  <michael.meeks@novell.com>  [1a4f2c597e4881271d6ffe1a4d726ec738f66b7e]

remove obsolete m_bSingleAltPress (cherry picked from commit a63e78439ca947499a4678cea4dd8e9e07054ab9)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-02-01  Lucas Baudin  <xapantu@gmail.com>  [ba110ce308ac66d568a1f6430d4e3217a1849716]

Remove the menu when Left Alt Key was pressed; for GTK (cherry picked from commit db1f9d326bdd678c177eea337997b3c0aefa0c19)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-02-01  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f58ea508ad11a0ad4b581ef51e7a307d1cf87f48]

fdo#33459: year of era in long format for zh_TW by default


2011-01-31  Julien Nabet  <serval2412@yahoo.fr>  [d535b736f8f864f7fe6cdd23ef339af8038ec795]

Some cppcheck cleaning


2011-01-31  Michael Meeks  <michael.meeks@novell.com>  [229282ceaaf975cc4d41d79fd48fb946ecef0e39]

fix branching on un-initialized memory in some cases


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [bdd03adc633764d7386513333655eb838300ded8]

Remove RCS lines.


2011-01-31  Jesús Corrius  <jesus@softcatala.org>  [c73ce65d4269861712a1febbc69c1c39193914e0]

Fix wrong collation for Catalan language


2011-01-31  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [62551a6801e844f623c9867261f6dea9ee333f0b]

fdo#33459: year of era in long format for zh_TW by default


2011-01-31  Mathias Bauer  <mba@openoffice.org>  [23592e16f504e0ef091f282b22ee138ed1d478a0]

CWS gnumake3: workaround for cygwin coredump; don't create deliverlog in parallel


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8afb36d1af6d9fe97743589d1f1991af25b8a06d]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2011-01-31  Kurosawa Takeshi  <taken.spc@gmail.com>  [734b3160092a6eb001595ee86ffa880fde378c99]

Remove GradientWrapper

These files are not compiled.

2011-01-31  Lucas Baudin  <xapantu@gmail.com>  [687cd010e67ff760c04c14660b4b5e4dc3cdfa1e]

GTK: Use gtk vseparator instead of native one for the toolbar


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [561f066289a8bb0d7b72976c69d21475e61229bf]

gridsort: pulled and merged latest changes from CWS dba34b


2011-01-31  David Tardon  <dtardon@redhat.com>  [b2e6d88bb08187c6f816124fa9494cad51e42f51]

use the right variable

Not that it matters much, as nWheelBehavior has the same value...

2011-01-30  Andy Holder  <andy.m.holder@gmail.com>  [4bbfae7e5f2f70fd159b8519519b9cc4d6c11cc2]

cppcheck: Prefer prefix ++/-- operators


2011-01-30  Caolán McNamara  <caolanm@redhat.com>  [6ce730bef2b7ab768c6a9daf80fdd23445b7adc7]

fdo#33349 archaic 'Berling Antiqua' claims to also be 'Times New Roman'


2011-01-30  Jesús Corrius  <jesus@softcatala.org>  [affa15b894b66b3d12d00ab1ad3c567ade88800e]

Fix wrong collation for Catalan language


2011-01-30  Mathias Bauer  <mba@openoffice.org>  [a5f2498bbac25c48ffdab7c323627d88cd80da6f]

CWS gnumake3: merge minibranches


2011-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5a09b66ec5e261159a78eb74c3caee3ef6353e8]

Revert "Work around compilation errors on 64-bit Windows"

This reverts commit a82aae8c5da6d708ff0efd17d28548f6d2fa5cc0, which breaks
directx canvas build on Windows 32-bit

2011-01-30  Eike Rathke  <erack@openoffice.org>  [08fd6d938c9e74ab4b0bfbd2f420e516da471e91]

locales34: #i116483# add Lojban [jbo] locale data; contributed by <ambershadow> via it46, with corrections


2011-01-30  Eike Rathke  <erack@openoffice.org>  [2305eb353f5a8f1e97f4df591b7a55285aadd579]

locales34: chmod -x


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [18a459d404517588c09471838ce4b90b394ff344]

Remove OV_DEBUG.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [1e05c5e6c9be32e67e499e61257de1d35776d3f1]

cppcheck: remove unused variable aBuf.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [49ac29e457de1bab3ae43291f384c1918a83756c]

cppcheck: remove unused variables.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [44b15a9542cd759e501781a6c03b4340a73d79f3]

cppcheck: remove unused variable pTrans.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [aadecb3676cd1bae6d72c758bc9c5ed57ab11307]

Remove unused variable errMsg and dead code.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [110393a97d6e0626e43da60500d23d1d47742210]

Remove double line spacing and unused code.


2011-01-29  Jonathan Callen  <abcd@gentoo.org>  [f60230633bf937a87a963f0969ed449b6ff533db]

Remove unused SalFontStructList


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [d1fa75c09bfd65232fab21712fde7daac736e78e]

Resolves: fdo#31271 wrong line break with ( (cherry picked from commit f36959ea3f48c491739deee1e152240ece9397f1)


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [f36959ea3f48c491739deee1e152240ece9397f1]

Resolves: fdo#31271 wrong line break with (


2011-01-28  Michael Meeks  <michael.meeks@novell.com>  [a63e78439ca947499a4678cea4dd8e9e07054ab9]

remove obsolete m_bSingleAltPress


2011-01-28  Lucas Baudin  <xapantu@gmail.com>  [db1f9d326bdd678c177eea337997b3c0aefa0c19]

Remove the menu when Left Alt Key was pressed; for GTK


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [1fbec9492f92e35d3751244b7a90f35e303017d1]

CWS gnumake3: extract.hxx cppuhelper->comphelper


2011-01-28  Nigel Hawkins  <n.hawkins@gmx.com>  [fe4fb1e7480000bcb64e7c7b13cc0e55fc429628]

Remove SvShorts


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [88d6104236dee2f154c590d1ec3895ffb225dcc6]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [804af5e48eec0f1dbdc63d96b2687d18d23b7eb9]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-28  Caolán McNamara  <caolanm@redhat.com>  [c0a4eba8de77b2e021acf36eb618f9a8014803f9]

Related: fdo#31016 document one-liner to disable it for testing


2011-01-28  Khaled Hosny  <khaledhosny@eglug.org>  [d8dd138a3228df9e9cfd0a1a19aa320a3a1ccb6d]

Resolves: fdo#31016 try some bandaids to improve Arabic rendering


2011-01-28  Lucas Baudin  <xapantu@gmail.com>  [ad7584a2acbfe42e005188e2379bda49a7e880e2]

fix fdo#33473: bin duff 'togglebutton' detail hurting Ambience theme.

cf. https://webstats.gnome.org/GTK%2B/ThemingInternals
(GtkToggleButton is a subclass of GtkButton)

2011-01-28  Hans-Joachim Lankenau  <hjs@openoffice.org>  [fb93d84f568e64df306649dbca31ea27cd1d0d88]

gnumake3: missed renamed component file for comphelper


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [1c8280dcb687247a34d26b206d33c1cbe5a0513d]

CWS-TOOLING: integrate CWS tabcontrol


2011-01-28  Hans-Joachim Lankenau  <hjs@openoffice.org>  [0208adf783ea5049466350b1cdeac6fe6c4769de]

gnumake3: remove comphelper version; fix including extract.hxx


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [908eec42a7fbc735b92d11c93be9b6ce514d53e0]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/tabcontrol


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [a11db696ad36c17408414b4b55a499840c6b8329]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [0ad236344b2b8b709c2362a2f5f03868e1e1725b]

tabcontrol: merge master


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8fbfceebdfb7f44cee68d4039a99c6d910102098]

undoapi: pulled and merged DEV300.m98


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [d026a2bb31cc30fa60179bef9079b45e05a7f827]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2011-01-28  Carsten Driesner  <cd@openoffice.org>  [ad8726bac8e64c1758ce155f5f04f313e823d45f]

removetooltypes01: #i112600# Fix build problems with gcc on Linux x64


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2a27fb32d1d1e9a1818137ab04ae23720b20bf65]

dba34b: do not use a throbber image which doesn't fit into the window


2011-01-27  Eike Rathke  <erack@openoffice.org>  [310b4aacb0ad73e346f1cdb410fc07ec766f6dc0]

locales34: #i112240# for system icu >=4.4 add Close_Parenthesis to $CL Close_Punctuation; patch from <cmc>


2011-01-27  Eike Rathke  <erack@openoffice.org>  [97717def47559cc2e8b7b61965659701afc2cbf8]

locales34: #i106785# add Haitian_Haiti [ht-HT] to language list and locale data; locale data contributed by <jcpoulard>


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [fab212113d7ca94ee3ff123eecfc71254532c7f7]

Update from sibling repository.


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [8d2a8b63cb45dbdf94deccf2afb13a61ce1d3036]

Update from master repository (DEV300_m98).


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [f7d99fae6aab153a874986d135bcfa21bd902043]

WaE: gcc 4.6.0 various warnings


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [45537f3ed710d198553afef6c2e568afe08c560f]

CWS-TOOLING: integrate CWS os147


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [6291005ec191d655e55a83fa2dd9013e188f44ba]

CWS-TOOLING: integrate CWS tl84


2011-01-27  Carsten Driesner  <cd@openoffice.org>  [b7cbe26055cdfdd35e9f54418bf62f50340bf8c1]

removetooltypes01: #i112600# Fix build problem on Linux x64


2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [fac147320310d278d0f9ac5773ec35a798a99e14]

gridsort: impl_ni_updateColumnWidts: after calculating effective widths, forward this to the column models


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [fa1bb962027718f44e4bbce6dd92cc1087ee69bd]

WaE: gcc 4.6.0 various warnings


2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [be7b0050a95fbf5db2da729f87e967e683069800]

gridsort: removed unused includes


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [0d3ec767f918321f733fdafcf7631d857f8d6598]

Do potentially pointless assertions only if dbglevel > 1


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [b15b82d963c800014f578f9f0e2d002e091b996b]

Revert "Be less verbose when dbglevel <= 2"

I had misunderstood. dbglevel=1 is the "normal" debugging level for
when you want to be able to debug, and dbglevel=2 *is* the one to also
get verbose debugging output.

This reverts commit 0bc3445ae06919e9cf057b98b6d29981e6c2ef91.

2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5234dc1a4321ca12271dfb2d90ebbad24a2bd19a]

gridsort: properly render the sort indicator for right-aligned columns


2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [95c92b54567a68f375d3f0fd905512c6e9095527]

gridsort: element*: don't let non-runtime exceptions slip, this will crash on non-Windows platforms


2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c1f2d488c985568272d3333e37c30b560638c07d]

gridsort: more unit tests


2011-01-27  Michael Meeks  <michael.meeks@novell.com>  [2e714fc9116307a67cf99576f495c7cbb4e9628a]

native rendering for menubar item parts.


2011-01-27  Carsten Driesner  <cd@openoffice.org>  [3d66becc41ab183b62baa45e6bc23a68ce8e0b90]

removetooltypes01: #i112600# Fix build problem on Linux x64


2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7349627eb3ad53c6662250251890782546906269]

gridsort: tests for sortable grid data


2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7670cfb6f8997487c731dfe2c21e3dec7c389d70]

gridsort: minor changes to the new API: - renamed XMutableGridDataModel::setRowHeading to updateRowHeading for consistency reasons - renamed XSortableGridDataModel to XSortableGridData - actually, this is not a full-fledged model in itself.


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [e449af084167b7f368738ae0f37ec5f9929b78fc]

Avoid compiler warning


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [5ec4ab26f79faa63e0869917f7debdaf6371b7fa]

WaE: clear warnings


2011-01-26  Kenneth Venken  <kenneth.venken@gmail.com>  [faf3ae4d32e706d5df75d6dcb417484f4fa94ece]

cpp cleanliness: fixed some memleaks


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [11cc3d171b65addd660944e75f6b39a3735ebeb7]

throw out some unused methods


2011-01-26  Kenneth Venken  <kenneth.venken@gmail.com>  [ba7844e8f6678cad0460fbf4f4a5f312bebf22ae]

Cpp cleanliness: redundant assignment to self


2011-01-26  An Leenders  <an@Fluffy.(none)>  [308da37739c61c2e23aadc36f92e16d7060219a4]

cpp cleanliness: check for assignment to self


2011-01-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3059bbccbbdba247aba9efd98cefc6fe6b54a694]

gridsort: let the sort indicator arrow point up when sorted ascending, and down otherwise.


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [03e786115b098503ef7102527ccf1a637a71877d]

WaE: fix shadowing post list change


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [54de1b7e7bc0a1028cf722920347b1bd5d09d3fc]

Resolves: fdo#33523 fix scrollbars in themes that have no up/down buttons


2011-01-26  Luboš Luňák  <l.lunak@suse.cz>  [486581adade446b43011f6e7d2c6496abea8d28d]

proper Qt event loop integration also when Glib is not used


2011-01-26  Joseph Powers  <jpowers27@cox.net>  [55186f8fecd1b8e0a10adca0b9f720e1e3c3d3f6]

Remove DECLARE_LIST( SotFactoryList, SotFactory* )


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [9a9c78c567e6c7e1dd9eb0d782a6688bb50b9a0f]

CWS gnumake3: fix component location for msforms; change library name for msforms; change file names for gengal


2011-01-26  Luboš Luňák  <l.lunak@suse.cz>  [e479fe60e9ebefd18b591f48574c0b2424d4321f]

fix KDE3 library search order (fdo#32797)

Use LINKFLAGS instead of STDLIBS, as the latter comes way too late
in the link command and may result in some stray -L/usr/lib getting
before -L$KDEDIR/lib. Since KDE4 libs often tend to be installed
under /usr while KDE3 libs are often somewhere else such as /opt/kde3/lib,
this could cause using wrong libraries.
(cherry picked from commit b799041d66f5f5ec944b6baeec43df01fd3ace2c)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-26  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [3cf8fa7ff115a3eacd9635be8445ccda76dbb995]

vcl119: #i116632# fix an off by one display problem (thanks ssa!)


2011-01-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7d5032db68728f7606beb7a5539eae0847d47212]

gridsort: added missing Java file to makefil


2011-01-26  Joseph Powers  <jpowers27@cox.net>  [88c0057434e9ee202a55b25b88dcc53a8cdaceb2]

Remove DECLARE_LIST( RscStrList, ByteString * )


2011-01-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8e2a317488e7c211b61726bc12527316b99e93b2]

gridsort: grid control related unit tests (first set, more to come)


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [3677f5fe6bcd8cba808e0e1278970d1827abc6e5]

CWS gnumake3: wrong license header in solenv, missing d.lst in sot and vbahelper


2011-01-26  Carsten Driesner  <cd@openoffice.org>  [a8d160ea00c0c5ffec3747554e4c69244896f763]

gnumake3: adjust comphelper to new build env


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [9885200e656f9bbfdea90d5fc6701707a689dd40]

fix for fdo#32561

crash when iterating over the database types, see the bug ( fdo#32561 ) for more details

Signed-off-by: Noel Power <noel.power@novell.com>

2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [12f3867ab3574cc40f6ecf8ed6799a254b4c5293]

fix for fdo#32561# crash when moving through database types


2011-01-26  Mathias Bauer  <mba@openoffice.org>  [82fcbac0968657db25141d53959d7e06180e096a]

CWS gnumake3: several clean ups and fixes in makefiles


2011-01-25  Lucas Baudin  <xapantu@gmail.com>  [4381cb6bbd0a527cbbf1b8bc96666293a1702adf]

fix various gtk+ theme integration annoyances, fdo#32186


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [0bc3445ae06919e9cf057b98b6d29981e6c2ef91]

Be less verbose when dbglevel <= 2


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [36b9745cdc3e266f4a16e06adaa03e62234c560b]

Use correct type of parameter 7 to SendMessageTimeout


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [127ca75601facc37a1af6df1bf15fa5f4735219b]

Mac WaE


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [353ff6a3e06037dfcd69f0efdb709d549886c94c]

gridsort: pulled and merged DEV300m98


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [53e29e8222a9c61b5337a4b5b0b355896882bee8]

CWS gnumake3: resync to m98


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [79cdc35156c0ae0bd48cfbf6fe339c3ca8afc934]

CWS gnumake3: merge minibranches


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [9d7792e924bc66d765d824ba9e28965285244e1f]

CWS gnumake3: fix license headers


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [45abf89f6d4e9a75ca0b830c3a7f88b70f238321]

gridsort: adjusted new classes from MWS to the UnoControl/Model ctor changes done in the CWS


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [75cc449496162da8203d9d8297dc2b73019370e4]

gridsort: post rebase (which was implicitly done by merging CWS dba34b): re-do changes in the new build system


2011-01-25  Mikhail Voytenko  <mav@openoffice.org>  [1821f5f332adbc37d78053f839acd33e97ecab9f]

gnumake3: adjust sot project to the new build environment


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [c77e30f4eff68922cbc1c70a6596b5a59a0bf4ec]

Related: fdo#31271 create a unit test for the line break iterator


2011-01-25  David Tardon  <dtardon@redhat.com>  [a1f7b2515a6bd09a5569735a1269a9a4029d2d5c]

Revert "WaE: unused variables"

This reverts commit d06a2dd024d69dec873f1a59adbf7d5b372c39a1.

2011-01-25  David Tardon  <dtardon@redhat.com>  [44a2e28beb33697b54482f163041e2a8e1dae071]

WaE: remove unused variable


2011-01-25  David Tardon  <dtardon@redhat.com>  [7b468b63480f565df0b13843e0ae2b9863f67a84]

WaE: unused variables


2011-01-25  David Tardon  <dtardon@redhat.com>  [d06a2dd024d69dec873f1a59adbf7d5b372c39a1]

WaE: unused variables


2011-01-25  David Tardon  <dtardon@redhat.com>  [2a5464654183ffc92e69c3669550350d7e516d40]

WaE: remove unused variable


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [bb35dab1d6e2193d38a6908bfc06cfacb13bcadc]

WaE: gcc 4.6.0 various warnings


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [656bbe9a1ec296180cd0082f77ec78ee2cc3472f]

this looks wrong


2011-01-25  David Tardon  <dtardon@redhat.com>  [e46d800dc9d39c2ae377175dd141df1cded7e92b]

use OSL-style asserts


2011-01-25  David Tardon  <dtardon@redhat.com>  [e9e39195e7e0a68c53dbae255cad4ee368923047]

split the expr, as gcc 4.6 bails out on it


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [143008c0942c68306ba1a1ad2977c960fabf28a7]

#i10000# #i10000# changes from OOO330 m20


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [75a4b6c5c81ae8f01e606ceb0578a2750af43465]

gridsort: pulled CWS dba34b


2011-01-24  Joseph Powers  <jpowers27@cox.net>  [962471c0d378dfa847137354b7f36525de1d9b03]

Remove DECLARE_LIST( RESubResourceList, REResourceList * )


2011-01-24  Joseph Powers  <jpowers27@cox.net>  [1f06c584bcdb5373748eedd992c08cde2d68c8c0]

Remove DECLARE_LIST( RscDependList, RscDepend* )


2011-01-24  Joseph Powers  <jpowers27@cox.net>  [b98bb3990852267e0f523ec769b8be585d8accf8]

Remove DECLARE_LIST( RscSubDefList, RscDefine * )


2011-01-24  Joseph Powers  <jpowers27@cox.net>  [ef70418ebf8b32f2d10abce61c0aa2c1011ced14]

Remove DECLARE_LIST( RscSysList, RscSysEntry * )


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [a82aae8c5da6d708ff0efd17d28548f6d2fa5cc0]

Work around compilation errors on 64-bit Windows

Again the ULONG clashes on 64-bit Windows cause pain. Work around by
using pre/postwin.h, and that then necessitates use of explict
WIN_BYTE instead of just BYTE. Sigh...

2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [311724e4d7c8294407264fa1a3e33e4a3f3c9e12]

Add .gitattributes for proper handling of .doc and .sdw files.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [fd6efcef7b0e861529d7fed80b2bfac61ee2511c]

Rename old rcs documentation to proper Star Writer extension.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [71b5b7724982dacf5d4ea468366b68a6274d080f]

Undo commit c4e7af5 on rcs.doc. It's a binary file.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [1bda821d6466d96b473ac34c04361372dddceb4e]

Remove SPECIAL_DEBUG directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [d3ebbf4f51042cd018302db50396d1827e0ea9d1]

Remove erTEST directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [757cd8183728d33eb05e586d59f50e3a14cbed2f]

Remove  USE_CELL_BOUNDARY_CODE directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [f2572d04bd79a57119394b58ba13e599f04fd426]

Remove SPECIAL_DEBUG directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [6bbd065de5dc5912c32ebbffcee032f9e3517a0b]

Remove FS_PRIV_DEBUG directive.


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [8180ce48fd1c6540a3b9e478ae2c8d3840397c4e]

Include the wntmscx build directories


2011-01-24  Mathias Bauer  <mba@openoffice.org>  [25bd854320606474f7a18e35aafaee90cecb7edc]

CWS gnumake3: build gengal with gbuild


2011-01-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [3cec125e9b692374e713c66a234f5a26fc33452c]

Update from master repository (DEV300_m98).


2011-01-24  Joseph Powers  <jpowers27@cox.net>  [9643ee158fe45c518fbc2f809c212cba80737216]

Remove DECLARE_LIST( RscBaseList, RscTop* )


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4ec1b42602fd9a08d3ef6fb814fbd015a5178d7f]

gridsort: adjusted ITableModel documentation to the new realities


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6bf974db6a88d90f76c64721e7677681486d264b]

gridsort: fixed the UnoControlList/ComboBox ctors so that the latter registers the proper properties


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [73a8a5f713b65b0b5c42cc89db0395d62f62d742]

WaE: gcc 4.6.0 various warnings


2011-01-24  Carsten Driesner  <cd@openoffice.org>  [795640ad2b8f3048cb30968c813ca49280ad31fd]

removetooltypes01: Remove tool types from vcl and starmath


2011-01-24  Henning Brinkmann  <hbrinkm@openoffice.org>  [4cd2334f535573213254de87220248c9d606ce04]

merged DEV300_m98


2011-01-24  Ivo Hinkelmann  <ihi@openoffice.org>  [6c13c0bbb1f47e1ac8ad34b892ac94d7e5da85e3]

masterfix: #i10000# #i116562# kde patch


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2347663e3b92c250371d8a306368d9e86756cea8]

gridsort: Mac WaE


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [a636e611a971c497cee3d833d39363318c3b9e73]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [5ea40371ef37fd288cba803bde19885673def307]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [e4a02d7b35391dc92ea92558c0b726105b3037c9]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [e1e800fa535fa54257aac571e41cb17b86f3e6dd]

WaE: gcc 4.6.0 various warnings


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ab3a36032ad6467bacd5e049b488062bd3229c24]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/gridsort


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [03bb621a6bc3a309ec34ec41cca7671b3249bf93]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [cfd7e4a974201cec54f462064e718b69c8c66a77]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [9e30151fa1a1e6475a987a34e74f9f881817b8d4]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [c4cc9eeff41b45d0bbc69789a34deb416485b3c0]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [056e39a14c86aea101f89ac26780b54467549d83]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [3c6b6496eca13732eaa19a068ef7f000c911a1b0]

WaE: 4.6.0 unused variables


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e248436b52f27dc61f5077f57e744e543ce48dfc]

gridsort: re-did the column resizing - introduced XGridColumn.Flexibility, determining to which degree the column is resized during auto-column-resizing - removed XGridColumn.PreferredWidth - there really is no need for this anymore now - documented the relationship between XGridColumn.Flexibility and XGridColumn.Resizeable - re-implemented TableControl_Impl::impl_ni_updateColumnWidths, with (hopefully) less magic


2011-01-24  Mikhail Voytenko  <mav@openoffice.org>  [963ebea687b06c61075d4e9f28a3385c073dae41]

removetooltypes01: #i112600# adjust rebase for windows


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b5f34ad79ad2794161cb3c1b988d3ecf8e414192]

dba34b: reintroduced the fix for #i115468#, which got lost with the wrong resolution of merge conflicts in revision 273410


2011-01-24  Mikhail Voytenko  <mav@openoffice.org>  [f21c6a6578000264fde29206fe8ec25f51975a61]

removetooltypes01: #i112600# adjust rebase for windows


2011-01-23  Joseph Powers  <jpowers27@cox.net>  [bd5e5aa0e064c21b2affc86f239404458493543e]

Remove DECLARE_LIST( RscInconsList, RscInconsistent* )


2011-01-23  Joseph Powers  <jpowers27@cox.net>  [36533f4ea88c4d676f11182c65e059e948e6266e]

Remove DECLARE_LIST( FileList, ByteString* )


2011-01-23  Joseph Powers  <jpowers27@cox.net>  [156083dda04168472d4c1b23d7f0cc06b7b0c54b]

Remove DECLARE_LIST( XMLStringList, XMLElement* )


2011-01-23  Joseph Powers  <jpowers27@cox.net>  [5cd163969b0958bd5812f837ff014409bf5b72ce]

Remove DECLARE_LIST( XMLChildNodeList, XMLChildNode* )


2011-01-23  Joseph Powers  <jpowers27@cox.net>  [ea201756bab5e5e0a6260963e347eff7600c59cf]

Remove DECLARE_LIST( XMLAttributeList, XMLAttribute * )


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [804a8c5697a008b375f3f0bd70d1db49fbbc7187]

Kill Win9x and NT4 code


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [29c5f1b76ce1650dc5d86388264e27a7f0106294]

Kill Win9x and NT4 code


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [2022a19131c84a48be95f9b0e1cb6d1d9feca104]

Make parameters to Max() match in type


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [8a896db6763b4d55084b424e193ef3eff39f011a]

Hide ULONG while including more Win32 headers


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [ba94a13c51e2a00aa3b5dcc23b8e809e59d2fc39]

Hide and reveal also ULONG in presys.h / postsys.h

Although, I fail to understand why the duplication of work done in
prewin.h/postwin.h vs. presys.h/postsys.h is needed.

2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [a2fa7227bdf250ff0edb24314c3d4dee21101e1c]

Fix compilation on 64-bit Windows


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [f1bcc1da04d6fafbcca64fee6b5911512efb9602]

Fix compilation error on 64-bit Windows


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [674ad4fdadf5caf0a5c8a39f536cbef0a0c98762]

Fix compilation on 64-bit Windows

No need to force use of 32-bit time_t (which doesn't exist for 64-bit
Windows), just use defaults.

2011-01-23  Joseph Powers  <jpowers27@cox.net>  [5d454852490f27d2184d54f73311f4c196142d57]

Remove DECLARE_LIST() Impl_ParserMessageList & TokenListImpl


2011-01-23  Joseph Powers  <jpowers27@cox.net>  [e7594d5f002725509e013dc2a5c5e811e03d37eb]

Remove DECLARE_LIST( LngLineList, ByteString* )


2011-01-23  Joseph Powers  <jpowers27@cox.net>  [4aa6f662a0f93313eedc636269cf2c55fdcf2859]

Remove DECLARE_LIST( GSIBlock_Impl, GSILine *)


2011-01-22  Joseph Powers  <jpowers27@cox.net>  [39512ac7690bb222bc2915b182250550cd6f4789]

Remove DECLARE_LIST( ResStack, ResData * )


2011-01-22  Joseph Powers  <jpowers27@cox.net>  [0b7cad0b7357909e1761b957f4b96b096c47d010]

Remove DECLARE_LIST( ExportListBase, ExportListEntry* )


2011-01-22  Joseph Powers  <jpowers27@cox.net>  [ac5f4d49e1876e35db16e4b97c4b1bca0eb9c33a]

Remove DECLARE_LIST( CfgStackList, CfgStackData* )


2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [c9e0b0b691fe31da1d500705e0dd6fb1c10c90d3]

Make GetFileHandle's return type match declaration

But as the return type is just 32 bits, it is actually not enough for
a HANDLE anyway on a 64-bit OS. But on the other hand, this method is
private and not used on Windows at all. So just make it abort() then.

2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [ebb2c5fe409592024250a709d6cc9d3f22b64d65]

Define ULONG as WIN_ULONG while including shlobj.h

To match what prewin.h/postwin.h do.

2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [9247faeb830a6404b4dc840a857cfa5fd6b2af6f]

Hide also ULONG while including <windows.h>

LibreOffice's deprecated ULONG is sal_uIntPtr, and thus 64 bits on
64-bit Windows, unlike Windows's ULONG which is 32 bits on both 32-
and 64-bit Windows. So we must hide ULONG, too, to avoid compilation
errors on 64-bit Windows.

2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [f1e98c29604418fb2e896754f7e61c35b8281525]

Remove some dead code.


2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [34cd5cebeeb1ea2f4c1e0c9b18b22da0013f1b01]

Delete apparently unused SYSTEM_* definitions


2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [f3b48715518579876c6ab711aa5362d6cd45a604]

Add SYSTEM_* and __DLLEXTENSION values for WNT && X86_64


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [c4e7af576114b8ab2e6f3aab308f3bdbd6da7b75]

Remove empty description and dates.


2011-01-21  Luboš Luňák  <l.lunak@suse.cz>  [b799041d66f5f5ec944b6baeec43df01fd3ace2c]

fix KDE3 library search order (fdo#32797)

Use LINKFLAGS instead of STDLIBS, as the latter comes way too late
in the link command and may result in some stray -L/usr/lib getting
before -L$KDEDIR/lib. Since KDE4 libs often tend to be installed
under /usr while KDE3 libs are often somewhere else such as /opt/kde3/lib,
this could cause using wrong libraries.

2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [c346380e3582002640562502242d17347c669542]

Remove obsolete RCS lines.


2011-01-21  Andras Timar  <timar@fsf.hu>  [e0328aba6a27485e7f71f95ca14c2f95bd7e698c]

Default currency for Estonia should be Euro - fdo#33160

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-01-21  Carsten Driesner  <cd@openoffice.org>  [47594842369a9a06ce395290153e540a6c408c59]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [f997116c8fac8e27ee88e953c04987bdbb9d8bcb]

accfixes: accessible name for WINDOW_METRICBOX


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [b387c4b759176c877dcefa3693c2aeb8663cf8f0]

accfixes: just some exports in toolkit


2011-01-21  Tor Lillqvist  <tlillqvist@novell.com>  [0dcf64ce2251dee4f3b645a5d8018b8ff31dff2b]

Remove ShowHelpStatusText and HideHelpStatusText and associated cruft

These methods were not implemented by any subclass, and the
implementations in the base class were empty. Still, the quite heavy
(especially in our multi-lingual builds) GetHelpText() mechanism was
called to get a string to pass to ShowHelpStatusText(). So just remove
all of it. See see fdo#33088 and fdo#33315.

2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [16eeb071371c9450ab9f04b7924614c652f4b6e1]

Remove old RCS lines.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [cd571c83099b2760df22bd2ea720f3eef60a8ef1]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [1afbdb9242429b38f3daf5eb8c082550e0364f4e]

removetooltypes01: #i112600# Merge changes


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [0156bde7e838fff377a52c85f8f93580dea14e12]

removetooltypes01: #i112600# Fix build problems on non-pro


2011-01-21  Tor Lillqvist  <tlillqvist@novell.com>  [6daaf110b9d13220763bb0fe6041fd38c95ba797]

Avoid a pointless GetHelpText() call in the toolbox, too

Fixes fdo#33315. GetHelpText() can be quite heavy, see fdo#33088. Also
here the return value is passed to ShowHelpStatusText() which doesn't
do anything at all.

Signed-off-by: Caolan McNamara <caolanm@redhat.com>

2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [64a9f0e605ddd27af3017213a303fd85f2cd2cab]

accfixes: added more accessibility information and fixed tab orders in multiple dialogs (svtools module)


2011-01-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [db04cbfe36c6923d9ff71e8b3cb555cbf45966f1]

gridsort: mac WaE


2011-01-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3c515ae1b8de38490ab291dee6d523d36ad88925]

gridsort: GridTableRenderer::impl_paintCellContent allow for XInterfaces which are NULL, without asserting them


2011-01-20  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [b4d2f8f73b697e7e905819670d01fcf23f708b29]

vcl118: #i116501# additional needed fixes for gbuild migration


2011-01-20  Caolán McNamara  <caolanm@redhat.com>  [5133683dd91fd3da750a1bb35023b490ee532d47]

cppcheck: unused variable


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [b1cc57dd63a636494c4b3d2a6978fc5209e0faed]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [d5884f8edfb194e60a302a76ccb8443cae6d1b94]

accfixes: Introduced WINDOW_RULER


2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [b7833fca422fd70ba2add3a48e18e4a47e5b583e]

accfixes: Completed VCL Window API for accessible releations, renamed GetLabeledBy to GetAccessibleRelationLabeledBy


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [47f7cb98a3f5929048802af52241f3e9e2abe8a8]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [148dc320fbaca8cd859d5a9fa2638c9340ab2164]

vcl118: #i115048# revert brochure printing in writer to old behavior taking the paper size form the printer driver, add paper name to print preview


2011-01-19  Carsten Driesner  <cd@openoffice.org>  [0323721db73873feb38a775c9d0eaeca7e3de905]

removetooltypes01: #i112600# Make changes for MacOSX to remove tools types inc VCL and other projects


2011-01-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6dcc95c3aa24f37b04f097e1e07013f1dd819474]

gridsort: release our mutex before calling into the delegator (in particular for modifying calls, which trigger listener notifications)


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [bb91dc94b6381edb1a483665c7303b72c53ecd6b]

gnumake3: #i116390# finishing support for Junittests in gbuild


2011-01-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [fd923f21e60543ef82048f37a5549417256a4550]

gridsort: introduce XGridColumn::DataModelIndex. this allows for column removal/insertion at the GridColumnModel, without the need to touch the GridDataModel


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [a9142dee2254ad3d2094d6e3a3e166c9d88d9a1f]

masterfix: #i10000# resource fix


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [3a8d2b15d104358fb30f4ab7808d7a19ef0b8bff]

CWS-TOOLING: integrate CWS sb135


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [2fb9a7cb14ec085761d627f9f67df596775a10da]

CWS-TOOLING: integrate CWS mingwport33


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [c3cd4756cfbf2bb724b013d3b72c9de303d9a952]

CWS-TOOLING: integrate CWS ab79


2011-01-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5865d93b6fd7bef6bc59ea2f01027e9582e30e44]

gridsort: render indicator for current column sort


2011-01-19  Caolán McNamara  <caolanm@redhat.com>  [09b39c2cdf6aa5f24abb230544e000805e338cd4]

don't leak PPDParsers


2011-01-19  Caolán McNamara  <caolanm@redhat.com>  [36aa48b48d59b4aab5cc6c118963c22a22b4d0f3]

cppcheck: object destroyed immediately


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [689aea3d1d54e9e5724aec454201a4797d656185]

gridsort: fix calculation of nActualRows when rendering the row header area - there were edge cases where this area was too large


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [54b864a3cc37834a00e91e918a9de4c8180b8eb9]

gridsort: respect the collator got in the service ctor


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a7a1d9785e3a0b8b00bbd9df70c55ec06894fa7c]

gridsort: getStandardLessPredicate: optional collator instance for string comparison


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [37776ff14cb1b0b8b1792c640a0ccdcb544ca8a1]

gridsort: corrected include


2011-01-18  Luboš Luňák  <l.lunak@suse.cz>  [fa72b45a9394cbdabaea7a6b7ee10ee2fd408bd2]

forcing Qt native paint system is not necessary anymore

bf4b61c7b7f2ca1d9641ab0cf5f88a68bc3930d0 fixed the problem.

2011-01-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [7ce1efcc9ab589ece3b6d604ca3dd8ef2e05a98e]

vcl118: #i116501# migrated padmin module to gbuild system


2011-01-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [ac387ac7cd7fd9dde9454dbf608d8440c83cd47b]

vcl118: #i116501# migrated padmin module to gbuild system


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [5cab8ae1198d96e881d6e042de7881422c1a022d]

CWS-TOOLING: integrate CWS fwk162


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6cb06c8b7037bb8b2e526ec5c8fdca56c21aa6d0]

gridsort: introduce XSortableGridDataModel::removeColumnSort


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [517d39b7f250a53451a3a5508abf88f673785384]

CWS-TOOLING: integrate CWS gridcontrol07


2011-01-18  Tor Lillqvist  <tlillqvist@novell.com>  [699eac6373807f2ce2d731dd2f2640a540020f92]

Avoid GetHelpText() call which can be quite heavy

GetHelpText() can cause a quite heavy sequence of file and directory
lookups. See fdo#33088. As its return value here was just passed on to
ShowHelpStatusText() which doesn't do anything at all, it was
completely unnecessary. The GetHelpText() calls here caused the
noticeable slowdown in highlighting menu items on Windows with lots of
localised help files for some bundled extensions.

(cherry picked from commit 6fc21aa74b4d2aba07d854d5d3c2f404905b40ef)

Signed-off-by: Caolan McNamara <caolanm@redhat.com>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>
Signed-off-by: fstrba@novell.com

2011-01-18  Luboš Luňák  <l.lunak@suse.cz>  [3c13a7752cc1904e7a6a88380c10a2433a83feb8]

paint toolbar handle positioned properly (fdo#32558)

ACK by Kendy.

2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9799d7db6be4c4880180db875a7e673ca90d2fbb]

gridsort: #163172# added UNO API support for sorting grid data. Implementation still unfinished. Things missing in the SortableGridData implementation - add as listener to the delegator, so we're notified of changes - translate and multiplex those changes - do own notifications (XGridDataListener.dataChanged) when the sort order changed - (possibly) update the sort order when the data in the current sort-column changed


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c9b6697cf4f18dd01305325b91f30cff5febfab5]

gridsort: outsorced the STL-compatible Less-predicates for UNO types from enumerablemap.cxx to a dedicated file, which can be used in other places, too


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f1c8e24b768ddf754385301085aac4e85073247c]

gridsort: initial support for sorting the table data (unfinished)

What's there is a IMouseFunction implementation which cares for sorting the ITableModel's data,
by the column whose header was clicked. This is dependent on the model declaring support for sorting,
by exposing a ITableSort interface.

Missing pieces:
- no UNO equivalent, yet (neither as design nor as implementation)
- visualization of the current sort order/column
2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c355eb0769ed92d76bc21fddacd2d080616af82f]

gridsort: GCC WaE


2011-01-18  Mikhail Voytenko  <mav@openoffice.org>  [3c5a4811dbd36992b24b06d21b9ffa7f08122179]

removetooltypes01: #i112600# fixes for solaris


2011-01-18  Andre Fischer  <andre.f.fischer@oracle.com>  [ea29f32bd5bc1a937a747bd5a1f5b37f570ed25f]

calc65: #i116318# Fixed the painting of axial gradients.

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-17  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [0ac6ad70d230f9115bd4dfa1ff45bf5991142603]

fix after struct member renaminge (pXRenderFormat)

the right one, this time.... sorry.

2011-01-17  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [74da9d0752269ff4c750d89fe3d9024d46dfd81d]

fix after variable renaming (pXrenderformat)


2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [aa77be5b79314f713e44a1f20e588aa3ac82e315]

paint toolbar handle positioned properly (fdo#32558)

The problem was that we passed the whole widget geomtry to QStyle
but it expected only geometry of the handle and e.g. Oxygen used
center of the geometry.

2011-01-17  Eike Rathke  <erack@openoffice.org>  [efbe9e94cf806d4d0c62792bd8d3166e9b6c2c8e]

locales34: #i116449# include W in IndexKey


2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [1a78f3ba64bb48d203b28d95aea64d8e5eccc3df]

change the adjust argument to more versatile QRect


2011-01-17  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [986951ed0f679b8eccd691008aa78371d0be3f1d]

fix after struct member renaminge (pXRenderFormat)

the right one, this time.... sorry.

2011-01-17  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [8a9628dfc0a8285f46b598c49e78ffa4f80edb08]

fix after variable renaming (pXrenderformat)


2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [79dac55204ed7a58c64951881be0e515aeb4b3ba]

fix cases of using screen visual for a drawable

But I fear the assumption that there is just one visual per screen
is quite spread in the code :-/.

2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [4fff39f59ca0d78aa2ec98e41b679404d953a058]

add const to GetBitCount()


2011-01-17  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [6236bf062c2b94712f0e8f91cc51831f1962c18a]

vcl118: #i110916# move reverse page order checkbox to print range


2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [828d4e5f3dd64c2986cc2dbc0491f28d6e0c6db7]

use sane scrollbar sizes when drawing

bnc#619772 leads to a crash because maximum = minimum = 0, and this
strange (but for whatever reason needed) '- mnVisibleSize' hack
makes maximum be -1, eventually leading to a crash

2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [d46f89c39109a2ca351104c7feaefe59f187052a]

cleanup into one patch: do not mix unrelated X11 Visuals (fdo#33108)

Do not assume that there is just one generic Visual, as today's
XServers are ARGB-capable and cases of both the default depth
and 32bit visuals can happen.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [b23ca3c2d830dc18840a42f5881733fbf0951119]

and fix the 'XRenderPictFormat* pVisualFormat' misnomer too


2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [c8b124fe8675fef888f21f1abcf81cbc5c1f5801]

do not mix unrelated X11 Visuals (fdo#33108)

Do not assume that there is just one generic Visual, as today's
XServers are ARGB-capable and cases of both the default depth
and 32bit visuals can happen.

2011-01-17  Luboš Luňák  <l.lunak@suse.cz>  [adcf6494095e873d8c857457fda60d820b65a45b]

avoid some useless and confusing void* <-> XRenderPictFormat* casts


2011-01-17  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [b328ebbbd16ae7b3f270d71d4cd10eb01075c4ab]

vcl118: #i116133# convert to greyscale for PDFWriter


2011-01-17  obo  <obo@openoffice.org>  [beeef909a9a65ddb4af47b761c99b648ca5a6fa5]

CWS-TOOLING: integrate CWS calc65


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [45a39fb70e88e6f7e079eced2bcd182e4e7eb824]

gridsort: fix getRowAtPoint


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ae94926cc5923824eca840d906c4264686e5c513]

gridsort: do not activate header cells


2011-01-17  Ivo Hinkelmann  <ihi@openoffice.org>  [b0663a9104e03f4dc0302bcc270a861b2f362551]

CWS-TOOLING: integrate CWS xlastovi


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [bdfe1bcf4097fb1b1c728e896aa7a7d2746f6f21]

gridsort: fix impl_getColumnForOrdinate to take row headers into account


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f3c9f61213577be20d26bce936858834b632bc5e]

gridsort: moved the row selection functionality into a IMouseFunction implementation, too


2011-01-17  Mathias Bauer  <mba@openoffice.org>  [b8fb2083382c0bf134dc52a25c0c51e4ef5f08c9]

cws mongolianlayout: resync to m97


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d93b12e210f7370e32a25a7ce8146acbba2c7b57]

gridsort: outsourced the column-resizing functionality into a dedicated class. Less cluttering in the InputHandler implementation this way. Same outsourcing is still to happen to the row selection functionality. The upcoming feature of column sorting will be a IMouseFunction implementation, too.


2011-01-17  hb  <hbrinkm@openoffice.org>  [a8da0aa473eb179bcc9492808307a1c3970df110]

merge


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [45e56471bc7f447cf228c4a8191618501cb0f02b]

gridsort: delegated the column resize functionality to the DefaultInputHandler implementation


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [62d003f6736a2320d1939087818aeb0991107910]

equalsAsciiL faster than equalsAscii


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [1152cc57564cb65b904cc0aa7c782ca787866ee7]

equalsAsciiL faster than equalsAscii


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [3836f8e2494c829c6946c286823bb6339f3dd224]

equalsAsciiL faster than equalsAscii


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [a82086c22969112e1bf3f2251b0dfbfb0d942e31]

cppcheck: unused variable


2011-01-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [cf89c3cced0484468e299d16258217b3efbc8b52]

gridsort: UpdateTip: don't ignore the given text


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [2a9b72920c529218cac0c65eae26f4500b652b9e]

We're not going to be called "StarSuite" again

Once StarOffice came in two varieties, StarOffice and "StarSuite" in the Asian
market. This code effectively converted "StarOffice" to "StarSuite" if product
itself was called "StarSuite", which ain't going to the be the case again. So
we can remove all that and just hardcode the old file format names as
"StarOffice".

2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [fc6db21fbd38755caebea525f295b9404ea10954]

equalsAsciiL faster than equalsAscii


2011-01-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5772627d0e4ca86f5692ffee90d4388df0a250db]

gridsort: made the row title a row heading, being an Any instead of a string


2011-01-16  Eike Rathke  <erack@openoffice.org>  [909c9aa4550a068513300bc3e899c0466d9287b4]

locales34: #i115633# added Kabyle [kab-DZ] to language list


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [648f73a13999ecc85090435ce458bc87632fe4a3]

microopt, equalsAsciiL faster than equalsAscii


2011-01-16  Eike Rathke  <erack@openoffice.org>  [6f829476b41d179e61bb9fc7e5feadb2d1ac2e83]

locales34: #i115482# added Lojban [jbo] to language list


2011-01-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c623afffc47ef146157ff4c19f1989c592601a2f]

gridsort: GCC WaE


2011-01-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [78dd29042d07922b8037d01811ab86c869b3d210]

gridsort: adjust column indexes when inserting columns


2011-01-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3ca16446286ec99ead9a566a35606cef6b9568dd]

gridsort: add disposal checks and some rudimentary mutex locking


2011-01-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [12e87a7205aaa6f73867df70dbd8b318e22fdc4d]

gridsort: ComponentGuard class, encapsulating the 'lock mutex and check for disposal' patern


2011-01-16  Eike Rathke  <erack@openoffice.org>  [aaaf3c67faa75807c8fdbe2c93f8780caf70943f]

locales34: #i108182# added Urdu_Pakistan [ur-PK] locale data; contributed by <abdulmoeed> via it46 localegen


2011-01-16  Eike Rathke  <erack@openoffice.org>  [6a4a4200a3b17fd05b92ab4bc6a422154be9daee]

locales34: #i116241# added Limbu (Nepal) [lif-NP] locale data; contributed by <kaonohi> via it46 localegen


2011-01-16  Eike Rathke  <erack@openoffice.org>  [937196dfcb7c3db6ff38c7e6b90b405822e2ca29]

locales34: #i116240# added Hawaiian [haw-US] locale data; contributed by <kaonohi> via it46 localegen


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [dc22fe81565c0addc762aec6e117bf980555579b]

move these global static to be local statics


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [3132b358bd07705e7e3d9c82a2a7cba6fb7ec885]

equalsAsciiL faster than equalsAscii & comparetoAscii(const sal_Char*)


2011-01-16  Andras Timar  <timar@fsf.hu>  [099b897e96a8c50d9862be2620cb40da513795d1]

typo fix (s/Missmatch/Mismatch/)


2011-01-15  Joseph Powers  <jpowers27@cox.net>  [ae5a33575a05392b7f8f80dd4c63b9383483594d]

Convert SolarFileList from a vector to a list.

It's actually a queue so files get processed from the front and added to
the back.

2011-01-15  Joseph Powers  <jpowers27@cox.net>  [059d4603e7adf014397ebd626f5830d03db78c65]

Remove DECLARE_LIST( StarFileList, StarFile * )

Note: I messed up the SolarFileList before so I'm going to submit another
patch to fix it. I'm not sure why the code is working now...

2011-01-15  Joseph Powers  <jpowers27@cox.net>  [83f8ab3c21fbc293a78a85fdba810053ad79c261]

Remove DECLARE_LIST ( SolarFileList, String* )


2011-01-16  Eike Rathke  <erack@openoffice.org>  [ef4766ac471bb84314d575e724dd1287a406e111]

locales34: more checks on quotation marks


2011-01-16  Eike Rathke  <erack@openoffice.org>  [279097c06257867938fb878e231136b2c7a9d08d]

locales34: #i113937# added Yiddish_USA [yi-US] locale data; contributed by <cmc>


2011-01-15  Eike Rathke  <erack@openoffice.org>  [7cce5ccc1c4567b30d1fc274b2acb061bd3f32d5]

locales34: removed leading zero from 042E, as the number formatter generated yet another set of currency formats


2011-01-15  Eike Rathke  <erack@openoffice.org>  [6f4db6c07b2d224bf0d6d781787db5cfbd494c6b]

locales34: #i113504# add Sorbian,Lower [dsb-DE] locale data; contributed by <bernhard_b>


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [a3dd81f85624c0be71a4d612eaf5fc48031e4d42]

microopts equalsAsciiL faster than compareToAscii(const sal_Char*)


2011-01-15  Eike Rathke  <erack@openoffice.org>  [37f739df5e07daed4381bb2654ba05a9f1a91040]

locales34: #i116429# ensure shutdown of the CachedTextSearch global before the things it needs in its dtor are destructed; patch from <cmc>


2011-01-15  Andras Timar  <timar@fsf.hu>  [6ac877774a2b0c067df150ef6abcf501b2c9ff23]

translation fix in hu_HU.xml (felette/alatta -> fentebb/alább)


2011-01-15  Andras Timar  <timar@fsf.hu>  [6b7c6158952b2ae06541ee4ee7e8a35f5c05431f]

translation fix in hu_HU.xml (felette/alatta -> fentebb/alább)


2011-01-15  Andras Timar  <timar@fsf.hu>  [9b70fbc9d4ffc59d453eada93f0184dc1cb6c7cf]

Default currency for Estonia should be Euro - fdo#33160


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [8a43a311823278b93dc21b9a8e49d70c65098698]

equalsAsciiL faster than equalsAscii when length available


2011-01-15  Joseph Powers  <jpowers27@cox.net>  [25544f59773d8e3160fc4156d38205c441fcb53a]

Remove DECL_DEST_LIST()

There where only 2 of them

2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [8c11fbe7a722fc8dc604f30b2df9565eba389d90]

cppunit: make these tests work again


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [eb75f8ff5a2d20d15357d31b2b32aa43c9c3972e]

sync test with da0fd5c999fc6f8b5e2d4ecccbf66e1034a03ed9


2011-01-14  Carsten Driesner  <cd@openoffice.org>  [4d559d8ff8375ab8a1d0f8e38999273dcf173e9a]

removetooltypes01: #i112600# Remove tool types from binfilter, starmath, svx, toolkit and xmloff


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [e6a564af05833b74dc725f12a4b6dd2688f0f5a1]

get these tests building again


2011-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [1281099c82d76c815c9bfde1dd13c082bf1e723c]

rebase to DEV300_m97


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [1b30fce4fe02f91d7d2b73f603a428e8a0adfc54]

Related: rhbz#668057 recognize sftp urls


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [166986476cfa64457acde94e764273637249308a]

gridsort: XMutableGridData: renamed updateRow to updateRowData for consistency; introduced updateRowToolTip as shortcut for multiple updateCellToolTip calls


2011-01-14  Carsten Driesner  <cd@openoffice.org>  [d2b54a648ecd2371aa9dbe524250c6bce79ace51]

removetooltypes01: #i112600# Remove tools types from padmin


2011-01-14  Norbert Thiebaud  <nthiebaud@gmail.com>  [7c9cd0fae50a8b201e40c26bd85449db5c21fdb0]

remove a debug-only 3-state confusing pseudo-boolean...


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [761f28c10d0be33b9fad0147c98fab7c5edf0749]

gridsort: if the tooltip text contains line breaks, force the tip style to be 'balloon' - the 'normal' style doesn't support line breaks


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d56332a5c15c3353ed8b802c44699758916403fc]

gridsort: +QUICKHELP_TIP_STYLE_BALLOON, to be used with ShowTip, to force a tip to appear in balloon-style


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9f9bef2e2a815351740380445c1d4baa634e5428]

gridsort: re-add tooltip support to X(Mutable)GridDataModel, this time more explicit, and less magical


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6b0ce7f7914397d949fe7ab14199d83cf2b4ef9a]

gridsort: TableDataWindow: use Help::ShowTip instead of Help::ShowQuickHelp. This means it doesn't interfere with the "normal" quick help (which is a singleton really dedicated to, well, quickly displaying help). Also, it means we do not need the QUICKHELP_NO_DELAY flag.

To prevent flickering when repeatedly showing such a tip, introduced Help::UpdateTip, which updates an existing
tip, instead of destroying the old tip window, and creating a new one.

Used this new UpdateTip also in the BrowseBox, means means some less flickering there, too.
2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6e5646a85dfdac5488ccba3bc3d10caa68a39555]

gridsort: moved tabledatawindow from svtools/inc/svtools to svtools/source/table - this is not a public file, after all


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [659ffb160c32fe70d32019dde14df7203e3c64d3]

gridsort: fix calculation of auto-alternating-color: Do not adjust towards WHITE, but towards the color of the other rows


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [99630b9f95404355898a34d80bfc28349a7bea41]

gridsort: added runtime-checks (non-pro only) for consistency of m_aColumnWidths


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [9ac609713715bfb0acea87e1fe96b89db0935931]

removetooltypes01: #i112600# fix TRUE/FALSE autodoc tags


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [265b1a5ee10b807088d0f78cefb94a288137f5ee]

gridsort: respect runtime-changes of the table metrics (in the UNO control model)


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4af9218633235ec28ef9afa58b921539b8718fb5]

gridsort: ouch. Removed IAccessibleTable::GetSelectedRows. It exposed an internal implementation detail, and in fact some clients (the A11Y API implementation) exploited this, e.g. by simply adding elements to the array, without the owner (the TableControl/_Impl) ever noticing it. Replaced that with a working API.

In this course, removed XGridSelection::getMin/MaxSelectionIndex. Pretty useless IMO, unused, and ugly to
implement.
2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [62c2b100c1bf9d8f9eef966098d4ea632f1d6293]

gridsort: replaced RemoveSelectedRow by ClearSelection - the first implementation was buggy, anyway, and ClearSelection is the same as SelectAll( false ) (which was the only use case)


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ae9a099c70838995d24aa7caaec1d252962b8af8]

gridsort: fixed invalidateRowRange for some edge cases


2011-01-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [3ba4a2fb2cea4b6b89122af1685c625af6370d6c]

vcl118: ImplControlValue is needed outside vcl after all


2011-01-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [032d1fd33fb0ec5e5288f4327f8017266bbded58]

gridsort: rowsRemoved/Inserted: update scrollbars


2011-01-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4b8d7ae5bf5c0cf6d3fd65a36ad8ab7175412448]

gridsort: added runtime (non-pro) consistency checks for TableControl_Impl::m_aSelectedRows


2011-01-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b610d7120e7bd2e9aaea653fed73d7557f9f20a3]

gridsort: cleaned up (parts of) the selection-related code


2011-01-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [947f799980da3302f9c48af4ed7b1485bca2e8a1]

gridsort: moved *all* members from TableControl to TableControl_Impl - this is what the PIMPL pattern is good for, right? (Removed the AccessibleTableControl_Impl class in this course, not needed anymore)


2011-01-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [3956292637d9aa4c51b5cd07412e42a1f21a7889]

vcl118: solve a namespace conflict


2011-01-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [545977ab3ecd5021dff6c95cca6b85613fdca2f1]

gridsort: reworked the notification system for inserted/removed rows In this course, more code which was in SVTXGridControl was moved to the places it belongs to, effectively meaning that the TableControl has better chances than before to be used outside an SVTXGridControl (though we're not there, yet).

Also, the selection-related methods in TableControl/_Impl got some refactoring love, so the implementation
details are hidden in the Impl class now, instead of being exposed to an exploited by the TableControl.

And while we were there ... The XGridSelection does not provide a |selectColumn| anymore (there was no
preparation whatsoever for column selection, anywhere, thus it was a complete dummy.)
Also, its de/selectRows methods have been removed: They have questionable use, and make implementation
rather difficult, compared with multiple calls to de/selectRow.
